<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/


// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class rseventsControllerEvents extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask('apply' ,  'save');
		$this->registerTask( 'unpublish' , 'publish');
		$this->registerTask( 'saveYoutube' , 'saveextras');
		$this->registerTask( 'saveFlash' , 'saveextras');
		$this->registerTask( 'saveMeebo' , 'saveextras');
		$this->registerTask( 'saveMp3' , 'saveextras');
		$this->registerTask( 'saveFlickr' , 'saveextras');

	}
	
	
	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('events');
		$model->save();
	}

	//generate a new Private Url
	function generate()
	{
		$model = $this->getModel('events');
		$model->generate();
	}
	
	//save extras
	function saveextras()
	{
		$model = $this->getModel('events');
		$model->saveextras();
	}
	
	//delete extra
	function deleteExtra()
	{
		$model = $this->getModel('events');
		$model->deleteextra();
 	}

	//delete event
	function remove()
	{
		$model = $this->getModel('events');
		$model->remove();
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$this->setRedirect( 'index.php?option=com_rsevents&task=listevents');
	}
	
	//publish/unpublish
	function publish()
	{
		$model = $this->getModel('events');
		$model->publish();
	}
 
	//copy event
    function copy()
    {
		$model = $this->getModel('events');
		$model->copy();
    }	
	
	//archive the events
	function archive()
	{
		$model = $this->getModel('events');
		$model->archive();
	}

	//delete icon
	function deleteicon()
	{
		$model = $this->getModel('events');
		$model->deleteicon();
	}	
	
	//delete rating 
	function deleterating()
	{
		$model = $this->getModel('events');
		$model->deleterating();
	}
}