<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class rseventsControllerTickets extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'apply' , 'save');
		$this->registerTask( 'applycupon' , 'savecupon');
		$this->registerTask( 'orderup' , 'move');
		$this->registerTask( 'orderdown' , 'move');
		$this->registerTask( 'deleteTicket' , 'remove');
	}


	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('tickets');
		$model->save();
	}
	
	function cancel()
	{
		$idevent = JRequest::getInt('IdEvent',0,'request');
		$this->setRedirect( 'index.php?option=com_rsevents&task=listtickets&IdEvent='.$idevent);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	 
	function remove()
	{
		$model = $this->getModel('tickets');
		$model->remove();
	}
	
	//save order
	function saveOrder()
	{
		$model = $this->getModel('tickets');
		$model->saveOrder();
	}
	
	//move
	function move() 
	{
		$model = $this->getModel('tickets');
		$model->move();
	}
	
	function back()
	{
		$cid = JRequest::getInt('IdEvent',0);
		$this->setRedirect('index.php?option=com_rsevents&task=editevent&cid='.$cid);
	}
	
	function cancelcupon()
	{
		$cid = JRequest::getInt('IdEvent');
		$this->setRedirect('index.php?option=com_rsevents&task=cupons&cid='.$cid);
	}
	
	//save coupon
	function savecupon()
	{
		$model = $this->getModel('tickets');
		$model->savecoupon();
	}
	
	//remove coupon
	function removecupon()
	{
		$model = $this->getModel('tickets');
		$model->removecoupon();
	}
	
}