<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die();

class JElementDesigns extends JElement
{
   /**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	var	$_name = 'Designs';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$fieldName	= $control_name.'['.$name.']';
		
		$layouts = array();
		$layouts[] = JHTML::_('select.option', 'none', JText::_( 'RSE_SELECT_DESIGN' ) );
		$layouts[] = JHTML::_('select.option', '0', JText::_( 'RSE_DEFAULT_LAYOUT' ) );
		$layouts[] = JHTML::_('select.option', '1', JText::_( 'RSE_DEFAULT_CUSTOM_LAYOUT' ) );
		$layouts[] = JHTML::_('select.option', '2', JText::_( 'RSE_TABLE_LAYOUT' ) );
		$layouts[] = JHTML::_('select.option', '3', JText::_( 'RSE_TABLE_CUSTOM_LAYOUT' ) );
		
		jimport('joomla.filesystem.folder');
		jimport('joomla.utilities.simplexml');
		$files = JFolder::folders(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'designs','intro');
		
		if (!empty($files))
			foreach ($files as $file)
			{						
				$file = str_replace('intro_','',$file);
				
				$xml = new JSimpleXML;
				$xml->loadFile(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'designs'.DS.'intro_'.$file.DS.$file.'.xml');
				$name = $xml->document->attributes('name');
				$type = $xml->document->attributes('type');
				
				$layouts[] = JHTML::_('select.option', $file , $name. ' ('.$type.')' );
			}
		
		return JHTML::_('select.genericlist', $layouts, $fieldName, 'class="inputbox"', 'value', 'text', $value );
	}
}
?>