<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

// Version
$jversion = new JVersion();

// ACL Check
if ($jversion->isCompatible('1.6.0'))
{
	$user =& JFactory::getUser();
	if (!$user->authorise('core.manage', 'com_rsevents'))
		return JError::raiseWarning(404, JText::_('JERROR_ALERTNOAUTHOR'));
}

require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'rsevents.php');
require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'html.php');
require_once(JPATH_COMPONENT.DS.'controller.php');

JHTML::_('behavior.mootools');

//load scripts
rseventsHelper::loadAdminScripts();
//check for files
rseventsHelper::checkFiles();
//read the config
rseventsHelper::readConfig();
//archive events
rseventsHelper::archive();
//clean cache
rseventsHelper::cleancache();
//cleanup
rseventsHelper::cleanup();
//load the language
rseventsHelper::loadLang(true);

if($controller = JRequest::getWord('controller')) 
{
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) require_once $path; else $controller = '';
}

$classname	= 'rseventsController'.$controller;
$controller	= new $classname();
$controller->execute(JRequest::getVar('task','main'));
$controller->redirect();