<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript" type="text/javascript">
function createFilter(filter)
{
	document.getElementById('filter').value = filter;
	submitform();
}

function eraseFilter()
{
	document.getElementById('filter').value = '';
	submitform();
}
</script>
<form action="<?php echo JRoute::_('index.php?option=com_rsevents&task=archive'); ?>" method="post" name="adminForm" id="adminForm">
	<table class="adminform">
		<tr>
			<td width="100%"><?php echo JText::_('RSE_FILTER'); ?> <input type="text" name="rs_filter" id="filter" onchange="createFilter(document.getElementById('filter').value);" class="text_area" value="<?php echo $this->filter; ?>"/> <input type="button" value="<?php echo JText::_('RSE_FILTER'); ?>" onclick="createFilter(document.getElementById('filter').value);return false;" /> <input type="button" onclick="eraseFilter();" value="<?php echo JText::_('RSE_CLEAR_FILTER'); ?> " />
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['categories'];	?>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['locations'];	?>
			</td>
		</tr>
	</table>
	<div id="editcell1">
		<table class="adminlist" width="100%">
			<thead>
			<tr>
				<th width="1%">#</th>
				<th width="1%"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->data); ?>);"/></th>
				<th width="20%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_NAME_DEFAULT'),'e.EventName',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_SUBSCRIPTIONS'),'subscribers',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_OWNER'),'u.username',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_CATEGORY_NAME_DEFAULT'),'c.CategoryName',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_LOCATION_NAME_DEFAULT'),'l.LocationName',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_START_DATE_DEFAULT'),'e.EventStartDate',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_END_DATE_DEFAULT'),'e.EventEndDate',$this->sortOrder,$this->sortColumn,'archive'); ?></th>
			</tr>
			</thead>
	<?php
	$k = 0;
	for ($i=0,$n=count($this->data);$i<$n;$i++)
	{
		$row =& $this->data[$i];		
		$checked=JHTML::_('grid.id',$i,$row->RecordId);
		$publish=JHTML::_('grid.published',$row,$i);
		
		$this->db->setQuery("SELECT c.CategoryName FROM #__rsevents_categories c LEFT JOIN #__rsevents_events_cat ec ON ec.IdCategory = c.IdCategory WHERE ec.IdEvent =".$row->RecordId);
		$categs = $this->db->loadResultArray();
		$categs = implode("<br/>",$categs); 	
	?>
			<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $row->RecordId; ?></td>
				<td align="center"><?php echo $checked; ?></td>
				<td><?php echo $this->escape($row->EventName); ?></td>
				<td align="center"><?php echo ($row->EventEnableRegistration) ? '<a href="index.php?option=com_rsevents&task=listsubscriptions&rs_evn_filter='.$row->RecordId.'">'.$row->subscribers.'</a>' : '---'; ?></td>
				<td align="center"><?php echo $this->escape($row->username); ?></td>
				<td align="center"><?php echo $categs; ?></td>
				<td align="center"><?php echo $this->escape($row->LocationName); ?></td>
				<td align="center"><?php echo date($this->rseventsConfig['global.dateformat'],$row->EventStartDate); ?></td>
				<td align="center"><?php echo date($this->rseventsConfig['global.dateformat'],$row->EventEndDate); ?></td>
			</tr>
	<?php
		$k=1-$k;
	}
	?>
		<tfoot>
			<tr>
				<td colspan="11"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
		</tfoot>
		</table>
	</div>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="archive" />
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="view" value="archive" />
	<input type="hidden" name="controller" value="archive" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	</form>