<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript" type="text/javascript">
function createFilter(filter)
{
	document.getElementById('filter').value = filter;
	submitform();
}

function eraseFilter()
{
	document.getElementById('filter').value = '';
	submitform();
}

<?php if (rseventsHelper::is16()) { ?>
Joomla.submitbutton = function(task) 
<?php } else { ?>
function submitbutton(task)
<?php } ?>
{
	var form = document.adminForm;
	
	if(task == 'previewevent')
	{
		var ids = document.getElementsByName('cid[]');
		var id = '';
		for(i=0;i<ids.length;i++)
			if (ids[i].checked)
			{
				id = ids[i].value;
				break;
			}
		
		window.open('<?php echo JURI::root(); ?>index.php?option=com_rsevents&view=events&layout=show&cid='+id);
		return false;
	} else submitform(task);
}

</script>
<form action="index.php?option=com_rsevents&task=listevents" method="post" name="adminForm" id="adminForm">
	<table class="adminform">
		<tr>
			<td width="100%"><?php echo JText::_('RSE_FILTER'); ?> <input type="text" name="rs_filter" id="filter" onchange="createFilter(document.getElementById('filter').value);" class="text_area" value="<?php echo $this->filter; ?>"/> <input type="button" value="<?php echo JText::_('RSE_FILTER'); ?>" onclick="createFilter(document.getElementById('filter').value);return false;" /> <input type="button" onclick="eraseFilter();" value="<?php echo JText::_('RSE_CLEAR_FILTER'); ?> " />
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['categories'];	?>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['locations'];	?>
			</td>
		</tr>
	</table>
	<div id="editcell1">
		<table class="adminlist" width="100%">
			<thead>
			<tr>
				<th width="1%">#</th>
				<th width="1%"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->data); ?>);"/></th>
				<th width="20%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_NAME_DEFAULT'),'e.EventName',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				
				<?php if (JRequest::getVar('tmpl') != 'component') { ?>
				<?php if ($this->rseventsConfig['event.rating']) { ?>
				<th width="3%"><?php echo JText::_('RSE_EVENT_RATING'); ?></th>
				<?php } ?>
				<th width="2%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_SUBSCRIPTIONS'),'subscribers',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<th width="3%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_OWNER'),'u.username',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<?php } ?>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_CATEGORY_NAME_DEFAULT'),'c.CategoryName',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_LOCATION_NAME_DEFAULT'),'l.LocationName',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_START_DATE_DEFAULT'),'e.EventStartDate',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_EVENT_END_DATE_DEFAULT'),'e.EventEndDate',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?>
				<th width="3%"><?php echo JText::_('RSE_EVENT_REPEAT'); ?></th>
				<?php } ?>
				<th width="1%"><?php echo JHTML::_('grid.sort',JText::_('RSE_PUBLISHED'),'e.published',$this->sortOrder,$this->sortColumn,'listevents'); ?></th>
			</tr>
			</thead>
	<?php
	$k = 0;
	for ($i=0,$n=count($this->data);$i<$n;$i++)
	{
		
		$row =& $this->data[$i];		
		$checked=JHTML::_('grid.id',$i,$row->RecordId);
		$publish=JHTML::_('grid.published',$row,$i);
		
		$this->db->setQuery("SELECT c.CategoryName FROM #__rsevents_categories c LEFT JOIN #__rsevents_events_cat ec ON ec.IdCategory = c.IdCategory WHERE ec.IdEvent =".$row->RecordId);
		$categs = $this->db->loadResultArray();
		$categs = implode("<br/>",$categs); 
		
		$this->db->setQuery("SELECT COUNT(s.IdSubscription) FROM #__rsevents_subscriptions s LEFT JOIN #__rsevents_events e ON e.IdEvent=s.IdEvent WHERE s.IdEvent = ".$row->RecordId);
		$subscr =  $this->db->loadResult();
		
		$this->db->setQuery("SELECT CEIL(IFNULL(SUM(rating)/COUNT(id),0)) FROM #__rsevents_rating WHERE IdEvent = '".$row->RecordId."'");
		$rating = $this->db->loadResult();
		
	?>
			<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $row->RecordId; ?></td>
				<td align="center"><?php echo $checked; ?></td>
				<td>
					<?php if (JRequest::getVar('tmpl')) { ?> 
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'RSE_SELECT' );?>::<?php echo $row->EventName; ?>">
				<a style="cursor:pointer" onclick="window.parent.elSelectEvent('<?php echo $row->RecordId; ?>', '<?php echo str_replace( array("'", "\""), array("\\'", ""), $row->EventName ); ?>');">
					<?php echo htmlspecialchars($row->EventName, ENT_QUOTES, 'UTF-8'); ?>
				</a></span>
					<?php } else { ?> 
					<?php echo '<a href="index.php?option=com_rsevents&task=editevent&cid='.$row->RecordId.'">'.$this->escape($row->EventName).'</a>'; ?>
					<?php } ?>
				</td>
				
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<?php if ($this->rseventsConfig['event.rating']) { ?>
				<td align="center">
					<ul class="rse_star_rating">
						<li id="rse_current_rating" class="rse_feedback_selected_<?php echo $rating; ?>">&nbsp;</li>
					</ul>
				</td>
				<?php } ?>
				<td align="center"><?php echo ($row->EventEnableRegistration) ? '<a href="index.php?option=com_rsevents&task=listsubscriptions&rs_evn_filter='.$row->RecordId.'">'.$subscr.'</a> <a href="index.php?option=com_rsevents&task=listtickets&IdEvent='.$row->RecordId.'"><img style="vertical-align:middle;" src="'.JURI::root().'administrator/components/com_rsevents/assets/images/icons/tickets.png"/></a>' : '---'; ?></td>
				<td align="center"><?php echo $this->escape($row->username); ?></td>
				<?php } ?>
				<td align="center"><?php echo $categs; ?></td>
				<td align="center"><?php echo $this->escape($row->LocationName); ?></td>
				<td align="center"><?php echo date($this->rseventsConfig['global.dateformat'],$row->EventStartDate); ?></td>
				<td align="center"><?php echo date($this->rseventsConfig['global.dateformat'],$row->EventEndDate); ?></td>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<td align="center"><?php if($row->IdParent == 0) { ?><a href="index.php?option=com_rsevents&task=eventrepeat&cid=<?php echo $row->RecordId; ?>"><img src="<?php echo JURI::root();?>administrator/components/com_rsevents/assets/images/icons/details.png" /></a><?php } ?></td>
				<?php } ?>
				<td align="center"><?php echo $publish; ?></td>
			</tr>
	<?php
		$k=1-$k;
	}
	?>
		<tfoot>
			<tr>
				<td colspan="<?php echo $this->rseventsConfig['event.rating'] ? 12 : 11; ?>"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
		</tfoot>
		</table>
	</div>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="listevents" />
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="view" value="events" />
	<input type="hidden" name="controller" value="events" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	<?php if (JRequest::getVar('tmpl') == 'component') { ?>
	<input type="hidden" name="tmpl" value="component" />
	<?php } ?>
	</form>