<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<script language="javascript" type="text/javascript">
function createFilter(filter)
{
	document.getElementById('filter').value = filter;
	submitform();
}

function eraseFilter()
{
	document.getElementById('filter').value = '';
	submitform();
}
</script>
<form action="index.php?option=com_rsevents&task=listlocations" method="post" name="adminForm" id="adminForm">
	<table class="adminform">
		<tr>
			<td><?php echo JText::_('RSE_FILTER'); ?> <input type="text" name="rs_filter" id="filter" onchange="createFilter(document.getElementById('filter').value);" class="text_area" value="<?php echo $this->filter; ?>"/> <input type="button" value="<?php echo JText::_('RSE_FILTER'); ?>" onclick="createFilter(document.getElementById('filter').value);return false;" /> <input type="button" onclick="eraseFilter();" value="<?php echo JText::_('RSE_CLEAR_FILTER'); ?>" />
			</td>
		</tr>
	</table>
	<div id="editcell1">
		<table class="adminlist" width="100%">
			<thead>
			<tr>
				<th width="1%">#</th>
				<th width="1%"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->data); ?>);"/></th>
				<th width="50%"><?php echo JHTML::_('grid.sort',JText::_('RSE_LOCATION_NAME_DEFAULT'),'#__rsevents_locations.LocationName',$this->sortOrder,$this->sortColumn,'listlocations'); ?></th>
				<th width="3%"><?php echo JHTML::_('grid.sort',JText::_('RSE_PUBLISHED'),'#__rsevents_locations.published',$this->sortOrder,$this->sortColumn,'listlocations'); ?></th>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_ORDER'),'#__rsevents_locations.ordering',$this->sortOrder,$this->sortColumn,'listlocations'); echo '&nbsp;&nbsp;'.JHTML::_('grid.order',$this->data); ?></th>
				<?php } ?>
			</tr>
			</thead>
	<?php
	$k = 0;
	for ($i=0,$n=count($this->data);$i<$n;$i++)
	{
		$row =& $this->data[$i];
		$checked=JHTML::_('grid.id',$i,$row->RecordId);
		$publish=JHTML::_('grid.published',$row,$i);
	?>
			<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $row->RecordId; ?></td>
				<td align="center"><?php echo $checked; ?></td>
				<td>
				<?php if (JRequest::getVar('tmpl')) { ?>
				<span class="editlinktip hasTip" title="<?php echo JText::_( 'RSE_SELECT' );?>::<?php echo $row->LocationName; ?>">
				<a style="cursor:pointer" onclick="window.parent.elSelectLocation('<?php echo $row->RecordId; ?>', '<?php echo str_replace( array("'", "\""), array("\\'", ""), $row->LocationName ); ?>');">
					<?php echo htmlspecialchars($row->LocationName, ENT_QUOTES, 'UTF-8'); ?>
				</a></span>
				<?php } else { ?>
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'RSE_EDIT_LOCATION' );?>::<?php echo $this->escape($row->LocationName); ?>">
					<?php echo '<a href="index.php?option=com_rsevents&task=editlocation&cid='.$row->RecordId.'">'.$this->escape($row->LocationName).'</a>'; ?>
					</span>
				<?php } ?>
				</td>
				<td align="center"><?php echo $publish; ?></td>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<td class="order" align="center">
					<span><?php echo $this->pagination->orderUpIcon( $i, true, 'orderup', 'Move Up', 'ordering'); ?></span>
					<span><?php echo $this->pagination->orderDownIcon( $i, $n, true, 'orderdown', 'Move Down', 'ordering' ); ?></span>
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" class="text_area" style="text-align:center" />
				</td>
				<?php } ?>
			</tr>
	<?php
		$k=1-$k;
	}
	?>
		<tfoot>
			<tr>
				<td colspan="5"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
		</tfoot>
		</table>
	</div>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="listlocations" />
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="view" value="locations" />
	<input type="hidden" name="controller" value="locations" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	<?php if (JRequest::getVar('tmpl') == 'component') { ?>
	<input type="hidden" name="tmpl" value="component" />
	<?php } ?>
	</form>