<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewPayments extends JView
{
	function display($tpl = null)
	{		
		JSubMenuHelper::addEntry(JText::_('RSE_OVERVIEW'), 'index.php?option=com_rsevents');
		JSubMenuHelper::addEntry(JText::_('RSE_EVENT_MANAGER'), 'index.php?option=com_rsevents&task=listevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_ARCHIVE'), 'index.php?option=com_rsevents&task=archive');
		JSubMenuHelper::addEntry(JText::_('RSE_SUBSCRIPTION_MANAGER'), 'index.php?option=com_rsevents&task=listsubscriptions');
		JSubMenuHelper::addEntry(JText::_('RSE_CATEGORIES'), 'index.php?option=com_rsevents&task=listcategories');
		JSubMenuHelper::addEntry(JText::_('RSE_LOCATIONS'), 'index.php?option=com_rsevents&task=listlocations');
		JSubMenuHelper::addEntry(JText::_('RSE_THEMES'), 'index.php?option=com_rsevents&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSE_DESIGNS'), 'index.php?option=com_rsevents&task=listdesigns');
		JSubMenuHelper::addEntry(JText::_('RSE_GROUPS'), 'index.php?option=com_rsevents&task=listgroups');
		JSubMenuHelper::addEntry(JText::_('RSE_IMPORT'), 'index.php?option=com_rsevents&task=import');
		JSubMenuHelper::addEntry(JText::_('RSE_PAYMENTS'), 'index.php?option=com_rsevents&task=payments',true);
		JSubMenuHelper::addEntry(JText::_('RSE_SETTINGS'), 'index.php?option=com_rsevents&task=editsettings');
		JSubMenuHelper::addEntry(JText::_('RSE_UPDATES'), 'index.php?option=com_rsevents&task=update');
		
		$task=JRequest::getCmd('task','','request');
		switch($task)
		{
			default:
			case 'payments':
				
				JToolBarHelper::title(JText::_('RSE_PAYMENTS'),'generic.png');
				JToolBarHelper::addNewX('editpayment');
				JToolBarHelper::editListX('editpayment');
				JToolBarHelper::deleteList();
				JToolBarHelper::custom('main','preview.png','preview_f2.png',JText::_('RSE_RS_PRODUCT'),false);
				
				$plugins = $this->get('data');
				$this->assignRef('payments',$plugins);
				
			break;
			
			case 'editpayment': 
				
				JToolBarHelper::title(JText::_('RSE_ADD_EDIT_PAYMENT','generic.png'));
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
				
				$this->assignRef('payment',$this->get('payment'));
				$this->assignRef('editor',JFactory::getEditor());
				
				$tax_types = array(
					JHTML::_('select.option', '0', JText::_('RSE_PERCENT')),
					JHTML::_('select.option', '1', JText::_('RSE_FIXED_VALUE'))
				);

				$lists['tax_type']  = JHTML::_('select.radiolist', $tax_types, 'tax_type', '', 'value', 'text', $this->payment->id ? $this->payment->tax_type : 0);
				$lists['published']  = JHTML::_('select.booleanlist','published','class="inputbox"',$this->payment->id ? $this->payment->published : 1);
				$this->assignRef('lists', $lists);
				
			break;
		}
		
		parent::display($tpl);
	}
}