<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<br /><br />
<fieldset>
	<legend><?php echo JText::_('RSE_PAYMENT_DETAILS_SUMARRY'); ?></legend>
	<table width="100%" border="0" class="adminForm">
		<?php if ($this->ispdf) { ?>
		<tr>
			<td colspan="2"><?php echo $this->barcode; ?></td>
		</tr>
		<?php } ?>
		<?php if ($this->data) { ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_METHOD'); ?></td>
				<td><?php echo ucfirst($this->gateway); ?></td>
			</tr>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_PRICE'); ?></td>
				<td>
					<?php $total = 0; ?>
					<?php foreach($this->tickets as $ticket) { ?>
					<?php echo intval($ticket->TicketsSubscribed); ?>  x <?php echo number_format($ticket->TicketPrice,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?> <br />
					<?php $total += (intval($ticket->TicketsSubscribed) * $ticket->TicketPrice); ?>
					<?php } ?>
				</td>
			</tr>
			
			<?php if (!empty($this->data->Discount)) { ?>
			<?php $total = $total - $this->data->Discount; ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_DISCOUNT'); ?></td>
				<td><?php echo number_format($this->data->Discount,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?></td>
			</tr>
			<?php } ?>
			
			<?php if (!empty($this->data->early_fee)) { ?>
			<?php $total = $total - $this->data->early_fee; ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_EARLY_FEE_DISCOUNT'); ?></td>
				<td><?php echo number_format($this->data->early_fee,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?></td>
			</tr>
			<?php } ?>
			
			<?php if (!empty($this->data->late_fee)) { ?>
			<?php $total = $total + $this->data->late_fee; ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_LATE_FEE'); ?></td>
				<td><?php echo number_format($this->data->late_fee,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?></td>
			</tr>
			<?php } ?>
			
			<?php if (!empty($this->data->tax)) { ?>
			<?php $total = $total + $this->data->tax; ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_TAX'); ?></td>
				<td><?php echo number_format($this->data->tax,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?></td>
			</tr>
			<?php } ?>
			
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_TOTAL'); ?></td>
				<td><?php echo number_format($total,2,'.',''); ?> <?php echo $this->rseventsConfig['payment.currency']; ?></td>
			</tr>
		<?php } else { ?>
			<tr>
				<td width="20%" align="right"><?php echo JText::_('RSE_PAYMENT_METHOD'); ?></td>
				<td><?php echo JText::_('RSE_FREE_TICKET'); ?></td>
			</tr>
		<?php } ?>
	</table>
</fieldset>

<?php if(!empty($this->fields)) { ?>
<fieldset>
	<legend><?php echo JText::_('RSE_SUBSCRIPTION_INFO');?></legend>
		<table width="100%" border="0" class="adminForm">
		<?php foreach($this->fields as $fieldname => $fieldvalue) { ?>
			<tr> 
				<td><?php echo $this->captions[$fieldname]; ?></td> 
				<td><?php echo strpos($fieldvalue,'http://') !== false || strpos($fieldvalue,'https://') !== false ? '<a href="'.$fieldvalue.'" target="_blank">'.$fieldvalue.'</a>' : $fieldvalue; ?></td>
			</tr>
		<?php } ?>
		</table>
</fieldset>
<?php } ?>

<?php 
if ($this->gateway == 'paypal')
{
if(!empty($this->TD)) { ?>
<fieldset>
	<legend><?php echo $this->TD['TransactionTitle'];?></legend>
	<table width="100%" border="0" class="adminForm">
		<tr>
			<td>
				<h2><?php echo JText::_('RSE_PAYER_DETAILS');?>:</h2>
				<strong><?php echo $this->TD['TransactionCustomer'];?></strong>
				<p><?php echo $this->TD['TransactionEmail'];?></p>
				<p><?php echo $this->TD['TransactionAddressStreet'];?></p>
				<p><?php echo $this->TD['TransactionAddress'];?></p>
			</td>
			<td>
				<h2><?php echo JText::_('RSE_TRANSACTION_DETAILS');?>:</h2>
				<strong><?php echo $this->TD['TransactionItem'];?></strong>
				<p><?php echo JText::_('RSE_TRANSACTION_PRICE');?>: <?php echo $this->TD['TransactionItemPrice'];?></p>
				<p><?php echo JText::_('RSE_TRANSACTION_DATE');?>: <?php echo $this->TD['TransactionDate'];?></p>
				<p><?php echo JText::_('RSE_TRANSACTION_GATEWAY');?>: <?php echo $this->TD['TransactionGateway'];?></p>
			</td>
		</tr>
	</table>
</fieldset>
<?php } else { ?>
<fieldset>
	<legend><?php echo JText::_('RSE_PAYPAL_DETAILS'); ?></legend>
	<table width="100%" border="0" class="adminForm">
		<tr>
			<td><?php echo JText::_('RSE_PAYPAL_NO_DETAILS'); ?></td>
		</tr>
	</table>
</fieldset>
<?php }} ?>


<?php if ($this->gateway == 'offline') { ?>
	<fieldset>
		<legend><?php echo JText::_('RSE_TRANSACTION_PAYMENT_DETAILS'); ?></legend>
		<table width="100%" border="0" class="adminForm">
			<tr>
				<td width="25%" align="right"><b><?php echo JText::_('RSE_TRANSACTION_CC_NAME'); ?> :</b></td>
				<td><?php echo $this->card->name; ?></td>
			</tr>
			<tr>
				<td width="25%" align="right"><b><?php echo JText::_('RSE_TRANSACTION_CC_NUMBER'); ?> :</b></td>
				<td><?php echo $this->card->card_number; ?></td>
			</tr>
			<tr>
				<td width="25%" align="right"><b><?php echo JText::_('RSE_TRANSACTION_CC_EXPIRATION'); ?> :</b></td>
				<td><?php echo $this->card->card_exp; ?></td>
			</tr>
			<tr>
				<td width="25%" align="right"><b><?php echo JText::_('RSE_TRANSACTION_CC_CSC'); ?> :</b></td>
				<td><?php echo $this->card->card_csc; ?></td>
			</tr>
		</table>
	</fieldset>
<?php } ?>