<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<style type="text/css">
	.rse_column { width: 33%; float: left; padding-bottom: 15px; margin: 0 auto; }
	.portlet { margin: 0 1em 1em 0; }
	.portlet-header { margin: 0.3em; padding-bottom: 4px; padding-left: 0.2em; }
	.portlet-header .ui-icon { float: right; }
	.portlet-content { padding: 0.4em; }
	.portlet { border: 1px solid #CCCCCC; cursor: move; }
	.ui-sortable-placeholder { border: 1px dotted black; visibility: visible !important; height: 50px !important; }
	.ui-sortable-placeholder * { visibility: hidden; }
	.rserror { border:1px solid red; }
</style>
<script type="text/javascript">
	<?php if (rseventsHelper::is16()) { ?>
	Joomla.submitbutton = function(task) 
	<?php } else { ?>
	function submitbutton(task)
	<?php } ?>
	{
		var form = document.adminForm;
		if(task == 'cancel')
			submitform(task);
		else  
		{
			ret = true;
			if(form.name.value=='') { form.name.className = 'rserror'; ret=false; } else { form.name.className = '';  }	
			if(ret) submitform(task);
		}
		return false;
	}
</script>
<script type="text/javascript">
jQuery(function() {
	jQuery( ".rse_column" ).sortable({
		connectWith: ".rse_column",
		start: function(event, ui) {
            startposition = ui.item.prevAll().length;
        },
		receive: function(event,ui) {
			removepla = ui.item.attr('id');
			removefromcol = ui.sender.attr('id');
			currentpos = ui.item.prevAll().length;
			currentplaceholder = ui.item.attr('id');
			currentplaceholder = currentplaceholder.replace('pla_','');
			
			jQuery.ajax({
						  url: "index.php?option=com_rsevents&task=rempos&controller=themes",
						  type: "POST",
						  data: ({column: removefromcol , id : '<?php echo $this->data->id; ?>' , placeholder : removepla , position : startposition }),
						  dataType: "html",
						  beforeSend: function(){
							$('rse_loader').style.display = '';
							$('pla_edit').style.display = 'none';
							$('pla_edit').innerHTML = '';
						   },
						  complete: function(){
							$('rse_loader').style.display = 'none';
						   },
						  async:false
					   }
					);
		},
		stop: function(event,ui) {
		
			col = ui.item.parent().attr('id');
			placehld = jQuery('#'+col).sortable('serialize');
			
			var blocks = '';
			jQuery('#'+col + ' .hiddenBlock').each(function() {
				blocks += '&block[]=' + jQuery(this).val();
			});
			
			jQuery.ajax({
						  url: "index.php?option=com_rsevents&task=saveposition&controller=themes" ,
						  type: "POST",
						  data: "column="+col+"&id=<?php echo $this->data->id; ?>&"+placehld+blocks,
						  dataType: "html",
						  beforeSend: function(){
							$('rse_loader').style.display = '';
							$('pla_edit').style.display = 'none';
							$('pla_edit').innerHTML = '';
						   },
						  complete: function(){
							$('rse_loader').style.display = 'none';
						   },
						  success: function(data)
						  {
							$(col).innerHTML = data;
						  },
						  async:false
					   }
					);
			
		}
	});

	jQuery( ".portlet" ).addClass( "ui-widget ui-widget-content ui-helper-clearfix ui-corner-all" )
		.find( ".portlet-header" )
			.addClass( "ui-widget-header ui-corner-all" )
			.prepend( "<span class='ui-icon ui-icon-minusthick'></span>")
			.end()
		.find( ".portlet-content" );

	jQuery( ".portlet-header .ui-icon" ).click(function() {
		jQuery( this ).toggleClass( "ui-icon-minusthick" ).toggleClass( "ui-icon-plusthick" );
		jQuery( this ).parents( ".portlet:first" ).find( ".portlet-content" ).toggle();
	});

	jQuery( ".rse_column" ).disableSelection();
});
</script>
<script type="text/javascript">
	var rse_descriptions = new Array();
	rse_descriptions[1] = '<?php echo JText::_('RSE_PL_EVENTNAME_DESC',true); ?>';				rse_descriptions[2] = '<?php echo JText::_('RSE_PL_EVENTURL_DESC',true); ?>';
	rse_descriptions[3] = '<?php echo JText::_('RSE_PL_EVENTSUBTITLE_DESC',true); ?>';			rse_descriptions[4] = '<?php echo JText::_('RSE_PL_EVENTHOST_DESC',true); ?>';
	rse_descriptions[5] = '<?php echo JText::_('RSE_PL_EVENTOWNER_DESC',true); ?>';				rse_descriptions[6] = '<?php echo JText::_('RSE_PL_EVENTSTARTDATE_DESC',true); ?>';
	rse_descriptions[7] = '<?php echo JText::_('RSE_PL_EVENTSTARTDATEONLY_DESC',true); ?>';		rse_descriptions[8] = '<?php echo JText::_('RSE_PL_EVENTSTARTTIME_DESC',true); ?>';
	rse_descriptions[9] = '<?php echo JText::_('RSE_PL_EVENTENDDATE_DESC',true); ?>';			rse_descriptions[10] = '<?php echo JText::_('RSE_PL_EVENTENDDATEONLY_DESC',true); ?>';
	rse_descriptions[11] = '<?php echo JText::_('RSE_PL_EVENTENDTIME_DESC',true); ?>';			rse_descriptions[12] = '<?php echo JText::_('RSE_PL_EVENTDESCRIPTION_DESC',true); ?>';
	rse_descriptions[13] = '<?php echo JText::_('RSE_PL_EVENTPHONE_DESC',true); ?>';			rse_descriptions[14] = '<?php echo JText::_('RSE_PL_EVENTEMAIL_DESC',true); ?>';
	rse_descriptions[15] = '<?php echo JText::_('RSE_PL_EVENTICON_DESC',true); ?>';				rse_descriptions[16] = '<?php echo JText::_('RSE_PL_EVENTICONSMALL_DESC',true); ?>';
	rse_descriptions[17] = '<?php echo JText::_('RSE_PL_EVENTICONBIG_DESC',true); ?>';			rse_descriptions[18] = '<?php echo JText::_('RSE_PL_LOCATIONNAME_DESC',true); ?>';
	rse_descriptions[19] = '<?php echo JText::_('RSE_PL_LOCATIONURL_DESC',true); ?>';			rse_descriptions[20] = '<?php echo JText::_('RSE_PL_LOCATIONADDRESS_DESC',true); ?>';
	rse_descriptions[21] = '<?php echo JText::_('RSE_PL_LOCATIONCITY_DESC',true); ?>';			rse_descriptions[22] = '<?php echo JText::_('RSE_PL_LOCATIONSTATE_DESC',true); ?>';
	rse_descriptions[23] = '<?php echo JText::_('RSE_PL_LOCATIONDESCRIPTION_DESC',true); ?>';	rse_descriptions[24] = '<?php echo JText::_('RSE_PL_TICKETSAVAILABLE_DESC',true); ?>';
	rse_descriptions[25] = '<?php echo JText::_('RSE_PL_EVENTSHARING_DESC',true); ?>';			rse_descriptions[26] = '<?php echo JText::_('RSE_PL_EVENTFILES_DESC',true); ?>';
	rse_descriptions[27] = '<?php echo JText::_('RSE_PL_EVENTYOUTUBE_DESC',true); ?>';			rse_descriptions[28] = '<?php echo JText::_('RSE_PL_EVENTMP3_DESC',true); ?>';
	rse_descriptions[29] = '<?php echo JText::_('RSE_PL_EVENTFLASH_DESC',true); ?>';			rse_descriptions[30] = '<?php echo JText::_('RSE_PL_EVENTMEEBO_DESC',true); ?>';
	rse_descriptions[31] = '<?php echo JText::_('RSE_PL_GOOGLEMAP_DESC',true); ?>';				rse_descriptions[32] = '<?php echo JText::_('RSE_PL_EVENTPHOTOS_DESC',true); ?>';
	rse_descriptions[33] = '<?php echo JText::_('RSE_PL_EVENTCOMMENTS_DESC',true); ?>';			rse_descriptions[34] = '<?php echo JText::_('RSE_PL_EVENTRATING_DESC',true); ?>';
	rse_descriptions[35] = '<?php echo JText::_('RSE_PL_EVENTGUESTS_DESC',true); ?>';			rse_descriptions[36] = '<?php echo JText::_('RSE_PL_EVENTLINK_DESC',true); ?>';
	rse_descriptions[37] = '<?php echo JText::_('RSE_PL_GUESTMENU_DESC',true); ?>';				rse_descriptions[38] = '<?php echo JText::_('RSE_PL_HOSTMENU_DESC',true); ?>';
	rse_descriptions[39] = '<?php echo JText::_('RSE_PL_LOCATIONZIP_DESC',true); ?>';			rse_descriptions[40] = '<?php echo JText::_('RSE_PL_LOCATIONCOUNTRY_DESC',true); ?>';
	
	var rse_placeholders = new Array();
	rse_placeholders[1] = '{EventName}';			rse_placeholders[2] = '{EventURL}';
	rse_placeholders[3] = '{EventSubtitle}';		rse_placeholders[4] = '{EventHost}';
	rse_placeholders[5] = '{EventOwner}';			rse_placeholders[6] = '{EventStartDate}';
	rse_placeholders[7] = '{EventStartDateOnly}';	rse_placeholders[8] = '{EventStartTime}';
	rse_placeholders[9] = '{EventEndDate}';			rse_placeholders[10] = '{EventEndDateOnly}';
	rse_placeholders[11] = '{EventEndTime}';		rse_placeholders[12] = '{EventDescription}';
	rse_placeholders[13] = '{EventPhone}';			rse_placeholders[14] = '{EventEmail}';
	rse_placeholders[15] = '{EventIcon}';			rse_placeholders[16] = '{EventIconSmall}';
	rse_placeholders[17] = '{EventIconBig}';		rse_placeholders[18] = '{LocationName}';
	rse_placeholders[19] = '{LocationURL}';			rse_placeholders[20] = '{LocationAddress}';
	rse_placeholders[21] = '{LocationCity}';		rse_placeholders[22] = '{LocationState}';
	rse_placeholders[23] = '{LocationDescription}';	rse_placeholders[24] = '{TicketsAvailable}';
	rse_placeholders[25] = '{EventSharing}';		rse_placeholders[26] = '{EventFiles}';
	rse_placeholders[27] = '{EventYoutube}';		rse_placeholders[28] = '{EventMp3}';
	rse_placeholders[29] = '{EventFlash}';			rse_placeholders[30] = '{EventChat}';
	rse_placeholders[31] = '{EventMap}';			rse_placeholders[32] = '{EventPhotos}';
	rse_placeholders[33] = '{EventComments}';		rse_placeholders[34] = '{EventRating}';
	rse_placeholders[35] = '{EventGuests}';			rse_placeholders[36] = '{EventLink}';
	rse_placeholders[37] = '{GuestMenu}';			rse_placeholders[38] = '{HostMenu}';
	rse_placeholders[39] = '{LocationZip}';			rse_placeholders[40] = '{LocationCountry}';
	
	
	function rse_add_placeholder()
	{
		var container = $('col1');
		var placeholder = $('placeholders');
		
		var val = placeholder.value;
		var txt = placeholder.options[placeholder.selectedIndex].text;
		
		text = '<div class="portlet" id="pla_'+val+'">';
		text += '<div class="portlet-header">';
		text += txt;
		text += '<div class="rse_pl_tools">';
		text += '<a href="javascript: rseedit('+val+');">';
		text += '<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/edits.gif" />';
		text += '</a>';
		text += ' ';
		text += '<a href="javascript: rsedelete('+val+');">';
		text += '<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/deletes.png" />';
		text += '</a>';
		text += '</div>';
		text += '</div>';
		text += '<div class="portlet-content">'
		text += rse_descriptions[val];
		text += '<input type="hidden" class="hiddenBlock" name="position[block][]" value="'+rse_placeholders[val]+'" />';
		text += '</div>';
		text += '</div>';
		
		container.innerHTML += text;
		
		var placeholders = jQuery('#col1').sortable('serialize');		
		var blocks = '';
			jQuery('#col1 .hiddenBlock').each(function() {
				blocks += '&block[]=' + jQuery(this).val();
			});
		
		jQuery.ajax({
					  url: "index.php?option=com_rsevents&task=saveposition&controller=themes",
					  type: "POST",
					  data: "column=col1&id=<?php echo $this->data->id; ?>&"+placeholders+blocks ,
					  dataType: "html",
					  beforeSend: function(){
						$('rse_loader').style.display = '';
						$('add_btn').disabled = true;
						$('pla_edit').style.display = 'none';
						$('pla_edit').innerHTML = '';
					   },
					  complete: function(){
						$('rse_loader').style.display = 'none';
						$('add_btn').disabled = false;
					   },
					   success: function(data) {
						$('col1').innerHTML = data;
					  },
					  async:false
				   }
				);
	}
	
	function rseedit(pla, col, pos)
	{
		$('pla_edit').style.display = '';
		jQuery.ajax({
					  url: "index.php?option=com_rsevents&task=block&controller=themes",
					  type: "POST",
					  data: ({column: col , placeholder: pla , position: pos , id : '<?php echo $this->data->id; ?>' }),
					  dataType: "html",
					  beforeSend: function(){
						$('rse_loader').style.display = '';
					   },
					  complete: function(){
						$('rse_loader').style.display = 'none';
					   },
					   success: function(data) {
						$('pla_edit').innerHTML = data;
					  },
					  async:false
				   }
				); 
	}
	
	function rsedelete(pla, col, pos)
	{		
		jQuery.ajax({
					  url: "index.php?option=com_rsevents&task=rempos&controller=themes",
					  type: "POST",
					  data: ({column: col , placeholder: pla , position: pos , from: 'delete' ,  id : '<?php echo $this->data->id; ?>' }),
					  dataType: "html",
					  beforeSend: function(){
						$('rse_loader').style.display = '';
						$('pla_edit').style.display = 'none';
						$('pla_edit').innerHTML = '';
					   },
					  complete: function(){
						$('rse_loader').style.display = 'none';
					   },
					   success: function(data) {
						$(col).innerHTML = data;
					  },
					  async:false
				   }
				); 
		
		var placeholders = jQuery('#'+col).sortable('serialize');
		var blocks = '';
			jQuery('#'+col+' .hiddenBlock').each(function() {
				blocks += '&block[]=' + jQuery(this).val();
			});
		jQuery.ajax({
					  url: "index.php?option=com_rsevents&task=saveposition&controller=themes",
					  type: "POST",
					  data: "column="+col+"&id=<?php echo $this->data->id; ?>&"+placeholders+blocks,
					  dataType: "html",
					  beforeSend: function(){
						$('rse_loader').style.display = '';
					   },
					  complete: function(){
						$('rse_loader').style.display = 'none';
					   },
					   success: function(data) {
						$(col).innerHTML = data;
					  },
					  async:false
				   }
				);
	}
	
	function rse_save_block(pla,col,pos)
	{
		jQuery.ajax({
					  url: "index.php?option=com_rsevents&task=saveblock&controller=themes",
					  type: "POST",
					  data: ({column: col , placeholder: pla , position: pos , block : $(col+pla+pos).value , id : '<?php echo $this->data->id; ?>' }),
					  dataType: "html",
					  beforeSend: function(){
						$('rse_loader').style.display = '';
					   },
					  complete: function(){
						$('rse_loader').style.display = 'none';
						$('pla_edit').style.display = 'none';
						$('pla_edit').innerHTML = '';
					   },
					   success: function(data) {
						$(col).innerHTML = data;
					  },
					  async:false
				   }
				); 
		
	}
	
	function rse_cancel_block()
	{
		$('pla_edit').style.display = 'none';
		$('pla_edit').innerHTML = '';
	}
	
</script>

<form method="post" action="index.php?option=com_rsevents&task=edittheme" name="adminForm" id="adminForm">

	<div class="themes_left">
		<div class="rse_pl_container">
			<div class="rse_placeholders_text">
				<?php echo JText::_('RSE_PL_AV_PLH'); ?>
			</div>
			<div class="rse_placeholders">
				<?php echo $this->placeholders; ?>
				<button id="add_btn" type="button" onclick="rse_add_placeholder()"><?php echo JText::_('RSE_ADD_PLACEHOLDER'); ?></button>
			</div>
			<div class="rse_p_details">
				<label for="name"><?php echo JText::_('RSE_THEME_NAME'); ?></label> : 
				<input type="text" name="name" id="name" value="<?php echo $this->escape($this->data->name); ?>" size="30" />
			</div>
			<div class="themes_loader">
				<img id="rse_loader" style="display: none;" src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/loader.gif" />
			</div>
		</div>
		<div class="pla_container">
			<div class="pla_edit" id="pla_edit" style="display: none;">
			</div>
		</div>
	</div>

	<div class="theme_edit">
		<fieldset class="pl_fieldset">
			
			<div class="rse_column" id="col1">
				<?php 
					$placeholder1 = $this->getPlaceholders('col1',$this->data->id);
					if (!empty($placeholder1))
						foreach ($placeholder1 as $placeholder)
							echo rseventsHelper::showPlaceholder($placeholder->placeholder,'col1',$placeholder->position,$this->escape($placeholder->block));
				?>
			</div>
			
			<div class="rse_column" id="col2">
				<?php 
					$placeholder2 = $this->getPlaceholders('col2',$this->data->id);
					if (!empty($placeholder2))
						foreach ($placeholder2 as $placeholder)
							echo rseventsHelper::showPlaceholder($placeholder->placeholder,'col2',$placeholder->position,$this->escape($placeholder->block));
				?>
			</div>
			
			<div class="rse_column" id="col3">
				<?php 
					$placeholder3 = $this->getPlaceholders('col3',$this->data->id);
					if (!empty($placeholder3))
						foreach ($placeholder3 as $placeholder)
							echo rseventsHelper::showPlaceholder($placeholder->placeholder,'col3',$placeholder->position,$this->escape($placeholder->block));
				?>
			</div>
			
		</fieldset>
	</div>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_rsevents" />
<input type="hidden" name="cid" value="<?php echo $this->data->id; ?>" />
<input type="hidden" name="id" value="<?php echo $this->data->id; ?>" />
<input type="hidden" name="controller" value="themes" />
<input type="hidden" name="view" value="themes" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>