<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewTickets extends JView
{
	function display($tpl = null)
	{		
		JSubMenuHelper::addEntry(JText::_('RSE_OVERVIEW'), 'index.php?option=com_rsevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_EVENT_MANAGER'), 'index.php?option=com_rsevents&task=listevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_ARCHIVE'), 'index.php?option=com_rsevents&task=archive');
		JSubMenuHelper::addEntry(JText::_('RSE_SUBSCRIPTION_MANAGER'), 'index.php?option=com_rsevents&task=listsubscriptions');
		JSubMenuHelper::addEntry(JText::_('RSE_CATEGORIES'), 'index.php?option=com_rsevents&task=listcategories');
		JSubMenuHelper::addEntry(JText::_('RSE_LOCATIONS'), 'index.php?option=com_rsevents&task=listlocations');
		JSubMenuHelper::addEntry(JText::_('RSE_THEMES'), 'index.php?option=com_rsevents&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSE_DESIGNS'), 'index.php?option=com_rsevents&task=listdesigns');
		JSubMenuHelper::addEntry(JText::_('RSE_GROUPS'), 'index.php?option=com_rsevents&task=listgroups');
		JSubMenuHelper::addEntry(JText::_('RSE_IMPORT'), 'index.php?option=com_rsevents&task=import');
		JSubMenuHelper::addEntry(JText::_('RSE_PAYMENTS'), 'index.php?option=com_rsevents&task=payments');
		JSubMenuHelper::addEntry(JText::_('RSE_SETTINGS'), 'index.php?option=com_rsevents&task=editsettings');
		JSubMenuHelper::addEntry(JText::_('RSE_UPDATES'), 'index.php?option=com_rsevents&task=update');
		
		$db 	=& JFactory::getDBO();
		$task	= JRequest::getCmd('task','','request');
		$this->assignRef('rseventsConfig',rseventsHelper::getConfig());
		
		switch($task)
		{
			case 'listtickets':
			{
				JHTML::_('behavior.modal');
				JHTML::_('behavior.mootools');
				
				$idevent = JRequest::getInt('IdEvent',0,'request');
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent= '".$idevent."'");
				$eventname = $db->loadResult();
				
				JToolbarHelper::title(JText::_('RSE_MANAGE_TICKET').' <i>'.$this->escape($eventname).'</i>','generic.png');
				
				$bar = & JToolBar::getInstance('toolbar');
				$bar->appendButton( 'Link', 'new', 'RSE_CUPONS', 'index.php?option=com_rsevents&task=cupons&cid='.$idevent);

				JToolbarHelper::spacer();
				JToolbarHelper::addNewX('editticket');
				JToolbarHelper::editListX('editticket');
				JToolBarHelper::deleteList();
				JToolbarHelper::custom('back','back.png','back_f2.png',JText::_('RSE_BACK'),false);
				
				$sortColumn		= JRequest::getVar('filter_order','#__rsevents_tickets.ordering');
				$sortOrder		= JRequest::getVar('filter_order_Dir','asc');
				$pagination		= $this->get('pagination');
				$tickets		= $this->get('data');


				$this->assignRef('data',$tickets);
				$this->assignRef('idevent',$idevent);
				$this->assignRef('sortColumn',$sortColumn);
				$this->assignRef('sortOrder',$sortOrder);
				$this->assignRef('pagination',$pagination);
			
			} break;
			
			case 'editticket':
			{
				$cid 		= JRequest::getVar('cid',array(0),'request','array');
				$idevent	= JRequest::getInt('IdEvent',0,'post');
				if(is_array($cid)) $cid=intval($cid[0]);
				
				if($cid==0) 
					JToolBarHelper::title(JText::_('RSE_NEW_TICKET','generic.png')); 
				else 
					JToolBarHelper::title(JText::_('RSE_EDIT_TICKET','generic.png'));
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
				
				$ticket	= $this->get('Ticket');
				if(empty($ticket->IdEvent)) $ticket->IdEvent = $idevent;
				
				$this->assignRef('data',$ticket);
			} break;
			
			case 'cupons':
			{
				$cid = JRequest::getInt('cid');
				
				JToolBarHelper::title(JText::_('RSE_CUPONS','generic.png'));
				$bar = & JToolBar::getInstance('toolbar');
				$bar->appendButton( 'Link', 'back', 'RSE_BACK', 'index.php?option=com_rsevents&task=listtickets&IdEvent='.$cid);
				JToolbarHelper::spacer();
				JToolbarHelper::addNewX('editcupon');
				JToolbarHelper::editListX('editcupon');
				JToolBarHelper::deleteList('','removecupon');
				
				$data = $this->get('Cupons');
				
				$this->assignRef('data',$data);
				$this->assignRef('idevent',$cid);
			} break;
			
			case 'editcupon':
			{
				JToolBarHelper::title(JText::_('RSE_EDIT_CUPON','generic.png'));
				JToolBarHelper::save('savecupon');
				JToolBarHelper::apply('applycupon');
				JToolBarHelper::cancel('cancelcupon');
				
				
				$data = $this->get('Cupon');
				$cid  = JRequest::getInt('IdEvent');
				
				$this->assignRef('data',$data);
				$this->assignRef('idevent',$cid);
				
			} break;
			
		}
		parent::display($tpl);
	}
}