<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access'); 
?>

<form action="index.php?option=com_rsevents&task=users" method="post" name="adminForm" id="adminForm">
	<table>
		<tr>
			<td width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $this->filter;?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_type').value='0';this.form.getElementById('filter_logged').value='0';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['groups'];?>
			</td>
		</tr>
	</table>

	<table class="adminlist" cellpadding="1">
		<thead>
			<tr>
				<th width="2%" class="title">
					<?php echo JText::_( 'NUM' ); ?>
				</th>
				<th class="title">
					<?php echo JHTML::_('grid.sort',   'Name', 'a.name', @$this->sortOrder, @$this->sortColumn,'users' ); ?>
				</th>
				<th width="15%" class="title" >
					<?php echo JHTML::_('grid.sort',   'Username', 'a.username', @$this->sortOrder, @$this->sortColumn,'users' ); ?>
				</th>
				<th width="5%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   'Enabled', 'a.block', @$this->sortOrder, @$this->sortColumn,'users' ); ?>
				</th>
				<th width="15%" class="title">
					<?php echo JHTML::_('grid.sort',   'Group', 'groupname', @$this->sortOrder, @$this->sortColumn,'users' ); ?>
				</th>
				<th width="15%" class="title">
					<?php echo JHTML::_('grid.sort',   'E-Mail', 'a.email', @$this->sortOrder, @$this->sortColumn,'users' ); ?>
				</th>
				<th width="1%" class="title" nowrap="nowrap">
					<?php echo JHTML::_('grid.sort',   'ID', 'a.id', @$this->sortOrder, @$this->sortColumn ,'users'); ?>
				</th>
			</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="10">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
		<?php
			$k = 0;
			for ($i=0, $n=count( $this->data ); $i < $n; $i++)
			{
				$row 	=& $this->data[$i];
				$img 	= $row->block ? 'publish_x.png' : 'tick.png';
				$alt 	= $row->block ? JText::_( 'Enabled' ) : JText::_( 'Blocked' );
				
				$name = explode(' ',$row->name);
				$firstname = isset($name[0]) ? $name[0] : '';
				$lastname = ''; 
				if (count($name) > 1)
				{
					unset($name[0]);
					$lastname = implode(' ',$name);
				}
				
			?>
			<tr class="<?php echo "row$k"; ?>">
				<td>
					<?php echo $i+1+$this->pagination->limitstart;?>
				</td>
				<td>
					<a href="javascript:void(0);" onclick="if (window.parent) window.parent.rse_select_user('<?php echo $row->id; ?>', '<?php echo $this->escape($row->username); ?>' , '<?php echo $this->escape($this->_removeNewLine($firstname)); ?>' , '<?php echo $this->escape($this->_removeNewLine($lastname)); ?>', '<?php echo $this->escape($row->email); ?>');">
						<?php echo $this->escape($row->name); ?></a>
				</td>
				<td>
					<?php echo $this->escape($row->username); ?>
				</td>
				<td align="center">
					<img src="images/<?php echo $img;?>" width="16" height="16" border="0" alt="<?php echo $alt; ?>" />
				</td>
				<td>
					<?php echo JText::_( $row->groupname ); ?>
				</td>
				<td>
					<a href="javascript:void(0);" onclick="if (window.parent) window.parent.rse_select_user('<?php echo $row->id; ?>', '<?php echo $this->escape($row->username); ?>' , '<?php echo $this->escape($this->_removeNewLine($firstname)); ?>' , '<?php echo $this->escape($this->_removeNewLine($lastname)); ?>', '<?php echo $this->escape($row->email); ?>');">
						<?php echo $this->escape($row->email); ?></a>
				</td>
				<td>
					<?php echo $row->id; ?>
				</td>
			</tr>
			<?php
				$k = 1 - $k;
				}
			?>
		</tbody>
	</table>

	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="task" value="users" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	<?php echo JHTML::_( 'form.token' ); ?>
</form>