<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modRseventsGuestMenuHelper
{

	/**
	 * Method to get the events
	 *
	 * @access public
	 * @return array
	 */
	function getMenu(&$params)
	{
		$db		=& JFactory::getDBO();
		$cid	= JRequest::getInt('cid');
		$option	= JRequest::getCmd('option');
		$view 	= JRequest::getCmd('view');
		$layout	= JRequest::getCmd('layout');
		
		if ($option != 'com_rsevents') return '';
		if ($view != 'events') return '';
		if ($layout != 'show') return '';
		
		$module_suffix = $params->get('moduleclass_sfx','');
		
		require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'rsevents.php');
		require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'events.php');
		
		$db->setQuery("SELECT IdEvent, EventName, EventEnableRegistration, published, EventStartRegistration, EventEndRegistration FROM #__rsevents_events WHERE IdEvent = '".$cid."' ");
		$event = $db->loadObject();
		
		$attribs = array('jmodule' => 1 , 'suffix' => $module_suffix);
		
		return eventsHelper::createGuestMenu($event,$attribs);
	}
}