<?php
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );
define('RSEVENTS_PAYPAL','Paypal');
$user = & JFactory::getUser();

jimport( 'joomla.plugin.plugin' );


class plgSystemRSEventspaypal extends JPlugin
{
	var $document,$body,$link;
	function plgSystemRSEventspaypal( &$subject, $config )
	{
		parent::__construct( $subject, $config ); 									//Call the parent constructor
		$this->_plugin =& JPluginHelper::getPlugin( 'system', 'rseventspaypal' ); 	//Get a reference to this plugin
		$this->_params = new JParameter( $this->_plugin->params );					//Get the plugin parameters
	}

	function onAfterRender()
	{
		global $mainframe;
		
		$app =& JFactory::getApplication();		
		if($app->getName() != 'site') return;

		$paypalpayment = JRequest::getVar('paypalpayment', '', 'get');
		if (!empty($paypalpayment))
			$this->onPaymentNotification();
	}
	
	function onPaymentNotification()
	{		
		//get the database 
		$db = JFactory::getDBO();
		
		// read the post from PayPal system
		$post = JRequest::get('post', JREQUEST_ALLOWRAW);
		
		// ... and add 'cmd'
		$req = 'cmd=_notify-validate';
		foreach ($post as $key => $value)
		{
			$value = urlencode(stripslashes($value));
			$req .= "&$key=$value";
		}

		// post back to PayPal system to validate
		$header  = '';
		$header .= "POST /cgi-bin/webscr HTTP/1.0\r\n";
		$header .= "Content-Type: application/x-www-form-urlencoded\r\n";
		$header .= "Content-Length: " . strlen($req) . "\r\n\r\n";
		
		$url = $this->_params->get('paypal_mode') ? 'ssl://www.paypal.com' : 'ssl://www.sandbox.paypal.com';
		$fp = fsockopen($url, 443, $errno, $errstr, 30);

		// assign posted variables to local variables
		$item_name = $_POST['item_name'];
		$item_number = $_POST['item_number'];
		$payment_status = $_POST['payment_status'];
		$payment_amount = $_POST['mc_gross'];
		$payment_currency = $_POST['mc_currency'];
		$receiver_email = $_POST['receiver_email'];
		$payer_email = $_POST['payer_email'];

		$custom = JRequest::getVar('custom',0,'post');
		
		if ($fp)
		{
			fputs ($fp, $header . $req);
			while (!feof($fp))
			{
				$res = fgets ($fp, 1024);
				if (strcmp ($res, "VERIFIED") == 0)
				{
					// check the payment_status is Completed
					if ($payment_status == 'Completed')
					{					
						
						//Cron that sets non paid subscribers to denied after 12 h
						$db->setQuery("UPDATE #__rsevents_subscriptions SET SubscriptionState = -1 WHERE TransactionGateway = 'paypal' AND SubscriptionState = 0 AND SubscriptionDate < '".strtotime('-12 hours')."'");
						$db->query();
						
						
						if(!empty($post))
							foreach($post as $key=>$value)
								$transactionParams[] = $db->getEscaped($key.'='.$value);
						
						$db->setQuery("UPDATE #__rsevents_subscriptions SET SubscriptionState = 1, TransactionParams = '".implode("\n",$transactionParams)."' WHERE MD5(CONCAT(IdEvent,SubscriptionVerification,IdSubscription)) = '".$db->getEscaped($custom)."' LIMIT 1");
						$db->query();	
						
						$db->setQuery("SELECT e.EventName ,e.EventDescription ,e.EventStartDate , e.EventEndDate , e.EventHost , l.LocationName, l.LocationCity , c.CategoryName, u.username, s.Email FROM #__rsevents_events e LEFT JOIN #__rsevents_subscriptions s ON s.IdEvent = e.IdEvent LEFT JOIN #__users u ON u.id=s.IdUser LEFT JOIN #__rsevents_locations l ON e.IdLocation=l.IdLocation LEFT JOIN #__rsevents_categories c ON e.IdCategory=c.IdCategory WHERE MD5(CONCAT(s.IdEvent,s.SubscriptionVerification,s.IdSubscription)) = '".$db->getEscaped($custom)."' LIMIT 1");
						$subscriptionDetails = $db->loadObjectList();
						
						$db->setQuery("SELECT * FROM `#__rsevents_config`");
						$rseventsConfigDb = $db->loadObjectList();
						
						foreach ($rseventsConfigDb as $objConfig)
							$rseventsConfig[$objConfig->ConfigName] = $objConfig->ConfigValue;
							
						foreach($subscriptionDetails as $subscriptionDetailsObj)
						{
							$toChange = array('{EventName}','{EventDescription}','{EventStartDate}','{EventEndDate}','{EventHost}','{LocationName}','{LocationCity}','{CategoryName}','{username}');
							$with = array($subscriptionDetailsObj->EventName , $subscriptionDetailsObj->EventDescription , date($rseventsConfig['global.dateformat'],$subscriptionDetailsObj->EventStartDate) , date($rseventsConfig['global.dateformat'],$subscriptionDetailsObj->EventEndDate), $subscriptionDetailsObj->EventHost,$subscriptionDetailsObj->LocationName,$subscriptionDetailsObj->LocationCity,$subscriptionDetailsObj->CategoryName, $subscriptionDetailsObj->username);
							
							
							$from		= $rseventsConfig['emails.from'];
							$fromName	= $rseventsConfig['emails.from.name'];
							$to			= $subscriptionDetailsObj->Email;
							$subject	= $rseventsConfig['emails.activation.subject'];
							$body		= $rseventsConfig['emails.activation.content'];
							$body		= str_replace($toChange , $with ,$body);
							$mode		= $rseventsConfig['emails.activation.type'];
							$replyto	= $rseventsConfig['emails.reply'];
							$cc			= !empty($rseventsConfig['emails.cc']) ? $rseventsConfig['emails.cc'] : null;
							$bcc		= !empty($rseventsConfig['emails.bcc']) ? $rseventsConfig['emails.bcc'] : null;
							
							JUtility::sendMail($from , $fromName , $to , $subject , $body , $mode , $cc , $bcc , null , $replyto, null);
						}
					}
					else
					{
						// log for manual investigation
						return;
					}
				}
				elseif (strcmp($res, "INVALID") == 0)
				{
					// log for manual investigation
				}
			}
			fclose ($fp);
		}
		//else
		// HTTP ERROR -> log to admin
	}
	
	function parseParams($params)
	{
		$transactionDetails = array();
		$transactionDetails['TransactionTitle'] = $params->get('item_name','') . ' - ' . $params->get('mc_gross','') . ' ' . $params->get('mc_currency','');
		$transactionDetails['TransactionCustomer'] = $params->get('first_name','') . ' ' . $params->get('last_name','');
		$transactionDetails['TransactionEmail'] = $params->get('payer_email','');
		$transactionDetails['TransactionAddressStreet'] = $params->get('address_street','');
		$transactionDetails['TransactionAddress'] = $params->get('address_city','').', '.$params->get('address_state','').', '.$params->get('address_country','');
		$transactionDetails['TransactionItem'] = $params->get('item_name','');
		$transactionDetails['TransactionItemPrice'] = $params->get('mc_gross','') . ' ' . $params->get('mc_currency','');
		$transactionDetails['TransactionDate'] = $params->get('payment_date','');
		$transactionDetails['TransactionGateway'] = 'Paypal';
		
		return $transactionDetails;
	}
	
	function convertNumber($number)
	{
		return number_format($number, 2, '.', '');
	}
}