// @version 1.0.0
// @package RSEvents! 1.2.0
// @copyright (C) 2009-2010 www.rsjoomla.com
// @license GPL, http://www.gnu.org/licenses/gpl-2.0.html

function checkKeycode(e) 
{
	var keycode;
	
	if (window.event) 
	{
		keycode = window.event.keyCode;
		ctrlKey = window.event.ctrlKey;
	}
	else if (e) 
	{
		keycode = e.which;
		ctrlKey = e.ctrlKey;
	}
	
	if(ctrlKey && keycode == 38) 
	{
		document.getElementById('keywordrse').focus();
		document.getElementById('keywordrse').value = '';
	}
	
	if(keycode == 27)
		document.getElementById('rse_results').style.display = 'none';
	
	if(keycode==40)
		nextItem('down' , rs_results);
	
	if(keycode==38)
		nextItem('up' , rs_results);
	
	if(keycode==13)
		gotoItem(rs_results);
}

function gotoItem(items)
{
	for(i=0;i<items;i++)
		if(document.getElementById('result_' + i).className == 'rsActive')
			document.location = document.getElementById('result_' + i).href;
}

function nextItem(direction, items)
{	
	if(items>0)
	{
		current_active = -1;
		//get active item
		for(i=0;i<items;i++)
		{
			if(document.getElementById('result_' + i))
				if(document.getElementById('result_' + i).className == 'rsActive') 
					current_active = i;
		}
		
		if(direction == 'up') current_active -= 1;  else current_active += 1;
		if(current_active == -1) current_active = items-1;
		if(current_active == items) current_active = 0;	
		
		for(i=0;i<items;i++)
		{
			if(document.getElementById('result_' + i))
				document.getElementById('result_' + i).className = 'rsInactive';
				
			if(i==current_active)
				if(document.getElementById('result_' + i))
					document.getElementById('result_' + i).className = 'rsActive';
		}
	}
}

function resolveMouseOver(items)
{
	if(items>0)
	{
		for(i=0;i<items;i++)
		{
			if(document.getElementById('result_' + i))
			{
				document.getElementById('result_' + i).onmouseover = function()
				{
					for(i=0;i<items;i++)
						document.getElementById('result_' + i).className = 'rsInactive';
					this.className = 'rsActive';
				}
				document.getElementById('result_' + i).onmouseout = function()
				{
					this.className = 'rsInactive';
				}
			}
		}
	}
}

function generateResults(e)
{
	var keycode;
	if (window.event) keycode = window.event.keyCode;
	else if (e) keycode = e.which;
	if(document.getElementById('keywordrse').value.length > 1 && keycode != 40 && keycode != 38 && keycode != 27 )
	{
		var url = 'index.php?option=com_rsevents';
		var query = document.getElementById('keywordrse').value;
		var params = 'task=ajaxsearch&tmpl=component&string='+ query +'&randomTime='+Math.random();
		xml = CreateXMLHttpRequest();
		xml.open('POST',url,true);
		
		
		xml.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
		xml.setRequestHeader("Content-length", params.length);
		xml.setRequestHeader("Connection", "close");
		
		xml.onreadystatechange=function()
		{
			if(xml.readyState==4)
			{		
				document.getElementById('rsResultsUl').innerHTML=xml.responseText;
				document.getElementById('rse_results').style.display='block';
				rs_results = xml.responseText.split("\n").length - 1;
				nextItem('down',1);
				resolveMouseOver(rs_results);
			}
		}
		xml.send(params);
	}
}


function CreateXMLHttpRequest()
{
	//Ajax script to create the browser based ActiveXObject object
	var xmlHttpRequest = false;
	try
	{
		if(window.ActiveXObject)
		{
			for(var i = 5; i; i--)
			{
				try
				{
					if(i == 2)
					{
						xmlHttpRequest = new ActiveXObject("Microsoft.XMLHTTP");
					}
					 else
					{
						xmlHttpRequest = new ActiveXObject("Msxml2.XMLHTTP." + i + ".0");
					}
					break;
				}
				catch(excNotLoadable)
				{
					xmlHttpRequest = false;
				}
			}
		}
		else if(window.XMLHttpRequest)
		{
			xmlHttpRequest = new XMLHttpRequest();
		}
	}
	catch(excNotLoadable)
	{
		xmlHttpRequest = false;
	}
	return xmlHttpRequest;
}