<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class rseventsControllerSubscriptions extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
	}
	

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('subscriptions');
		$model->save();
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function delete()
	{
		$model = $this->getModel('subscriptions');
		$model->delete();
	}

	//set status to pending
	function pending()
	{
		$model = $this->getModel('subscriptions');
		$model->pending();
	}
	
	//set status to denied
	function denied()
	{
		$model	= $this->getModel('subscriptions');
		$model->denied();
	}
	
	//set status to accepted
	function accepted()
	{
		$model = $this->getModel('subscriptions');
		$model->accepted();
	}
}