<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class rseventsControllerTickets extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'apply' , 'save');
	}

	/**
	 * save a record
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('tickets');
		$model->save();
	}

	/**
	 * delete ticket
	 * @return void
	 */
	function deleteTicket()
	{
		$model = $this->getModel('tickets');
		$model->delete();
	}

	// ordering
	function saveOrder()
	{
		$model = $this->getModel('tickets');
		$model->saveOrder();
	}
	
	//delete coupon
	function deletecoupon()
	{
		$model = $this->getModel('tickets');
		$model->deletecoupon();
	}
	
	//save coupon
	function savecoupon()
	{
		$model = $this->getModel('tickets');
		$model->savecoupon();
	}
	
}