<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Component Helper
jimport('joomla.application.component.helper');

/**
 * RSEvents Component Route Helper
 *
 * @static
 * @package		RSEvents
 * @subpackage	Routing
 * @since 1.5
 */
class RseventsHelperRoute
{
	/**
	 * @param	int	The route of the content item
	 */

	function getRseventsRoute($id)
	{
		$needles = array(
			'view' => 'events',
			'cid' => (int) $id
		);

		//Create the link
		$link = 'index.php?option=com_rsevents&view=events&layout=show&cid='.$id;

		if($item = RseventsHelperRoute::_findItem($needles)) {
			$link .= '&Itemid='.$item->id;
		};
		
		return $link;
	}

	function _findItem($needles)
	{
		$component =& JComponentHelper::getComponent('com_rsevents');

		$menus	= &JApplication::getMenu('site', array());
		$items	= $menus->getItems('componentid', $component->id);
		
		$match = null;

		foreach($needles as $needle => $id)
		{
			foreach($items as $item)
			{				
				if ((@$item->query['view'] == $id && @$item->query['layout'] == 'show')) 
				{
					$match = $item;
					break;
				}
				
				if (@$item->query['view'] == $id) 
				{
					$match = $item;
					break;
				}
			}

			if(isset($match)) {
				break;
			}
		}		
		return $match;
	}
}
?>
