<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die();
 
jimport( 'joomla.application.component.model' );

class rseventsModelFiles extends JModel
{
	//get data
	function getData()
	{
		$cid = JRequest::getInt('cid');
		$row= & JTable::getInstance('Rsevents_Files','Table');
		$row->load($cid);
		return $row;
	}
	
	//get owner
	function getOwner()
	{
		$db =& JFactory::getDBO();
		$cid = JRequest::getInt('IdEvent',0,'request');
		
		$db->setQuery("SELECT IdUser FROM #__rsevents_events WHERE IdEvent = ".$cid);
		return $db->loadResult();	
	}
	
	//save files
	function save()
	{
		$app	=& JFactory::getApplication();
		$db 	=& JFactory::getDBO();
		$post	= JRequest::get('post');
		$cid 	= JRequest::getInt('cid',0);
		
		//get event name
		$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent = '".$cid."'");
		$eventname = $db->loadResult();
		
		//set permissions
		$filePermission = (isset($post['FilePermission'][0])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][1])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][2])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][3])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][4])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][5])? 1 : 0);
		
		$post['FilePermission'] = $filePermission;
		$row= & JTable::getInstance('Rsevents_Files','Table');
		
		if(!$row->bind($post)) return JError::raiseWarning(500, $row->getError());

		if ($row->store())
			$msg = JText::_( 'RSE_FILE_SAVE' );
		else
			$msg = JText::_( 'RSE_FILE_SAVE_ERROR' );
		
		if (rseventsHelper::is16())
			echo '<script type="text/javascript">window.parent.location.reload();window.parent.SqueezeBox.close();</script>';
		else
			$app->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=addeditevent&cid='.eventsHelper::sef($cid,$eventname).'&tab=4',false), $msg);
	}
	
	//delete file
	function delete()
	{
		jimport('joomla.filesystem.file');
		$app 	=& JFactory::getApplication();
		$db 	=& JFactory::getDBO();
		$user 	=& JFactory::getUser();
		$cid	= JRequest::getInt('cid');
		$idevent = JRequest::getInt('IdEvent');
		
		$db->setQuery("SELECT IdUser , EventName FROM #__rsevents_events WHERE IdEvent='".$idevent."'");
		$details = $db->loadResult();
		
		//load file details
		$db->setQuery("SELECT FileLocation FROM #__rsevents_files WHERE IdFile = ".$cid);
		$location = $db->loadResult();
		
		if (rseventsHelper::is16())
			$groups = JAccess::getGroupsByUser($user->id);
		
		if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $details->IdUser )
		{
			JFile::delete(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'assets'.DS.'files'.DS.$location);
			
			if(!empty($cid))
			{
				$db->setQuery("DELETE FROM #__rsevents_files WHERE IdFile = ".$cid);
				if(!$db->query())
					$msg = JText::_( 'RSE_FILE_DELETE_ERROR' );
				else
					$msg = JText::_( 'RSE_FILE_DELETE' );			
			} else
				$msg = JText::_( 'RSE_FILE_DELETE_ERROR1' );

			$app->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=addeditevent&cid='.eventsHelper::sef($idevent,$details->EventName).'&tab=4',false), $msg );
		} else $app->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$details->EventName),false), JText::_('RSE_ACCESS_DENIED'));
	}
}