<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(JPATH_COMPONENT.DS.'helpers'.DS.'rsevents.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'html.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'events.php');
require_once(JPATH_COMPONENT.DS.'controller.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'calendar.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'emails.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'theme.php');
require_once(JPATH_COMPONENT.DS.'helpers'.DS.'eventdesign.php');

//load scripts
rseventsHelper::loadSiteScripts();
//read the config
rseventsHelper::readConfig();
//archive events
rseventsHelper::archive();
//clean cache
rseventsHelper::cleancache();
//cleanup
rseventsHelper::cleanup();
//load the language
rseventsHelper::loadLang();

if ($controller = JRequest::getWord('controller'))
{
	$path = JPATH_COMPONENT.DS.'controllers'.DS.$controller.'.php';
	if (file_exists($path)) require_once $path; else $controller = 'rsevents';
}

$classname	= 'rseventsController'.$controller;
$controller	= new $classname();
$controller->execute(JRequest::getVar('task'));
$controller->redirect();