<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
?>

<?php if (rseventsHelper::is16()) { ?>
	<?php if ($this->parameters->get('show_page_heading', 1)) { ?>
	<?php $title = $this->parameters->get('page_heading', ''); ?>
	<h1><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_CATEGORIES'); ?></h1>
	<?php } ?>
<?php } else { ?>
	<?php if ($this->parameters->get('show_page_title', 1)) { ?>
	<?php $title = $this->parameters->get('page_title', ''); ?>
	<div class="componentheading<?php echo $this->escape($this->parameters->get('pageclass_sfx')); ?>"><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_CATEGORIES'); ?></div>
	<?php } ?>
<?php } ?>
<br/>

<div class="rse_categories_class">
<?php 
	$rows = &$this->data;
	foreach ($rows as $row)
	{
		$name = rseventsHelper::is16() ? $row->title : $row->name;
		$description = rseventsHelper::strip_html_tags($row->CategoryDescription);
		$description = trim($description);
		$description = rseventsHelper::shortenjs($description,$row->id);
		
		echo '<p id="rse_title"><a href='.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=listcategoryevents&cid='.eventsHelper::sef($row->id,$name),false).'>'.$row->treename.'</a></p>';
		echo (empty($row->CategoryDescription)) ? '<p id="rse_description">'.JText::_('RSE_CATEGORY_NO_DESCR').'</p>' : '<p id="rse_description">'.$description.'</p>';
	}
?>
</div>

<div class="rsevents-pagination pagination">
	<div class="pageslinks">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
	<p class="pagescounter">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</p>
</div>