<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewCategories extends JView
{
	function display($tpl = null)
	{
		$mainframe =& JFactory::getApplication();
		$document =& JFactory::getDocument();
		$layout=JRequest::getVar('layout','','request');
		$pathway 	= & $mainframe->getPathWay();
		
		$menus = &JSite::getMenu();
		$menu  = $menus->getActive();
		
		//get page parameters
		$parameters = clone($mainframe->getParams('com_rsevents'));
		$this->assignRef('parameters', $parameters);
		
		if (rseventsHelper::is16())
		{
			if ($this->parameters->get('menu-meta_description'))
				$document->setDescription($this->parameters->get('menu-meta_description'));

			if ($this->parameters->get('menu-meta_keywords'))
				$document->setMetadata('keywords', $this->parameters->get('menu-meta_keywords'));

			if ($this->parameters->get('robots'))
				$document->setMetadata('robots', $this->parameters->get('robots'));
		}
		
		switch($layout)
		{
			default:
			{
				if(!$menu)
					$pathway->addItem(JText::_('RSE_BC_LISTCATEGORIES'), '');
				
				$categories		= $this->get('data');
				$pagination		= $this->get('pagination');
				
				$children = array();
				if (!empty($categories))
				foreach ( $categories as $v )
				{
					$pt 	= (rseventsHelper::is16()) ? $v->parent_id : $v->parent;
					$list 	= @$children[$pt] ? $children[$pt] : array();
					array_push( $list, $v );
					$children[$pt] = $list;
				}
				
				$list = JHTML::_('menu.treerecurse', 0, '', array(), $children, 9999, 0, 1 );
				
				// Ensure ampersands and double quotes are encoded in item titles
				foreach ($list as $i => $item) 
				{
					$treename = $item->treename;
					$treename = JFilterOutput::ampReplace($treename);
					$treename = str_replace('"', '&quot;', $treename);
					$list[$i]->treename = $treename;
				}
				
				$list = array_merge($list,array());
				
				$this->assignRef('data',$list);
				$this->assignRef('pagination',$pagination);
			} break;
		}
		parent::display($tpl);
	}
}