<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">var rseventsURL = '<?php echo JRoute::_('index.php?option=com_rsevents',false); ?>';</script>
<?php
$privateUrl = JRequest::getVar('privateUrl','','request');
$link = empty($privateUrl) ? '' : '&privateUrl='.$privateUrl;
if($this->data->EventRegistrationForm == 0 || !in_array($this->data->EventRegistrationForm,$this->formids)) {
?>

<div class="rsepage rssubscribe">
	<h3><?php echo  JText::_('RSE_SUBSCRIBE_TITLE'); ?></h3>
	<form action="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=subscribe&cid='.$this->data->IdEvent,false); ?>" method="post" name="adminForm">

		<table cellspacing="3" class="rse_table">
			<tr>
				<td>
					<label for="FirstName">
						<?php echo JText::_('RSE_SUBSCRIBER_FIRST_NAME'); ?> 
					</label>
				</td>
				<td><input type="text" id="FirstName" name="FirstName" size="30" value="<?php echo $this->escape($this->fName); ?>" /></td>
			</tr>
			<tr>
				<td>
					<label for="LastName">
						<?php echo JText::_('RSE_SUBSCRIBER_LAST_NAME'); ?>
					</label>
				</td>
				<td><input type="text" id="LastName" name="LastName" size="30" value="<?php echo $this->escape($this->lName); ?>" /></td>
			</tr>
			<tr>
				<td>
					<label for="Email">
						<?php echo JText::_('RSE_SUBSCRIBER_EMAIL'); ?> 
					</label>
				</td>
				<td><input type="text" id="Email" name="Email" size="30" value="<?php echo $this->Email; ?>" /></td>
			</tr>
			<tr>
				<td>
					<label for="IdTicket">
						<?php echo JText::_('RSE_SUBSCRIBER_TICKET'); ?> 
					</label>
				</td>
				<td>
					<span id="numtick"><select name="rse_numtickets" id="rse_numtickets"></select></span> <?php echo $this->lists['tickets']; ?> 
					<?php if ($this->rseventsConfig['event.multiple.tickets']) { ?>
					<a href="javascript: void(0);" onclick="add_ticket(0,'<?php echo JText::_('RSE_REMOVE_TICKET',true); ?>');"><?php echo JText::_('RSE_ADD_TICKET'); ?></a>
					<?php } ?>
				</td>
			</tr>
			<tr>
				<td><?php echo JText::_('RSE_SUBSCRIBER_TICKET_DESCRIPTION'); ?> </td>
				<td><?php  echo $this->ticket_descriptions; ?></td>
			</tr>
			
			<?php if ($this->showForm) { ?>
			<tr id="rse_hideCupon">
			<?php if ($this->coupons > 0) { ?>
				<td>
					<label for="CuponCode">
						<?php echo JText::_('RSE_CUPON').': '; ?> 
					</label>
				</td>
				<td><input type="text" id="CuponCode" name="CuponCode" size="30" value="" /></td>
			<?php } else { ?>
				<td colspan="2"></td>
			<?php } ?>
			</tr>
			
			<tr id="rse_hidePayment">
				<td><?php echo JText::_('RSE_TRANSACTION_METHOD'); ?> </td>
				<td><?php  echo $this->lists['payments']; ?></td>
			</tr>
			<?php } ?>
			
			<?php if ($this->rseventsConfig['event.multiple.tickets']) { ?>
			<tr>
				<td><?php echo JText::_('RSE_TICKETS_BIG'); ?>:</td>
				<td id="tickets"></td>
			</tr>
			<?php } ?>
			<tr>
				<td>&nbsp;</td>
				<td>
					<button type="submit"><?php echo JText::_('RSE_SUBSCRIBER_REGISTER');?></button>
					&nbsp;&nbsp;&nbsp;
					<button type="button" onclick="<?php echo $this->close(); ?>"><?php echo JText::_('RSE_CANCEL_BTN'); ?></button>
				</td>
			</tr>
		</table>
		<?php echo JHTML::_( 'form.token' ); ?>
		<input type="hidden" name="option" value="com_rsevents" />
		<input type="hidden" name="cid" value="<?php echo $this->data->IdEvent; ?>" />
		<input type="hidden" name="controller" value="events" />
		<input type="hidden" name="view" value="events" />
		<input type="hidden" name="layout" value="subscribe" />
		<span id="rse_tickets_ids"></span>
		<span id="rse_tickets_no"></span>
		<?php if(!empty($privateUrl)) { ?> <input type="hidden" name="privateUrl" value="<?php echo $privateUrl; ?>" /> <?php } ?>
		<input type="hidden" name="task" value="saveregistration" />
	</form>
</div>
<script type="text/javascript">
rse_hidePayment(document.getElementById('IdTicket').value,0,'<?php echo $this->data->IdEvent; ?>');
</script>
<?php 
}
else
{
	echo '<span style="clear:both;display:block;"></span>';
	echo rseventsViewEvents::rsform($this->data->EventRegistrationForm);
}
?>
<div class="rsevents-clear"></div>