<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewTickets extends JView
{
	function display($tpl = null)
	{
		$db =& JFactory::getDBO();
		$mainframe =& JFactory::getApplication();
		$document = & JFactory::getDocument();
		$pathway 	= & $mainframe->getPathWay();
		$user =& JFactory::getUser();
		$userid = $this->get('UserId');
		$cid = JRequest::getInt('cid',0);
		$document->addScript("includes/js/joomla.javascript.js");
		$layout = JRequest::getCmd('layout','','request');
		$task   = JRequest::getCmd('task','','request');
		$this->assignRef('rseventsConfig',rseventsHelper::getConfig());
		
		if (rseventsHelper::is16())
			$groups = JAccess::getGroupsByUser($user->id);
		
		switch($task)
		{
			case 'checkvalue':
			{
				$idevent = JRequest::getInt('IdEvent');
				
				$db->setQuery("SELECT EventOverbooking FROM #__rsevents_events WHERE IdEvent = ".$idevent." ");
				$overbooking = $db->loadResult();
				
				$db->setQuery("SELECT TicketPrice , TicketsPerUser , TicketMaxAudience FROM #__rsevents_tickets WHERE IdTicket = ".$cid);
				$tickets = $db->loadObject();
				$db->setQuery("SELECT SUM(st.TicketsSubscribed) FROM #__rsevents_subscription_tickets st LEFT JOIN #__rsevents_subscriptions s ON s.IdSubscription=st.IdSubscription WHERE st.IdTicket='".$cid."' AND s.SubscriptionState IN (0,1) ");
				$ticketsSubscribed = $db->loadResult();
				$avTickets = $tickets->TicketMaxAudience - $ticketsSubscribed;
				
				if ($tickets->TicketMaxAudience > 0)
				{
					$numTickets = ($ticketsSubscribed < $tickets->TicketMaxAudience && $avTickets > $tickets->TicketsPerUser) ? $tickets->TicketsPerUser : $avTickets;				
					$numTickets = ($numTickets == 0 || $numTickets == '' || $numTickets < 0) ? 1 : $numTickets;
				
					if ($tickets->TicketPrice == 0 && $tickets->TicketMaxAudience == 0)
						$numTickets = empty($tickets->TicketsPerUser) ? 1 : $tickets->TicketsPerUser;
				} else 
				{
					$numTickets = empty($tickets->TicketsPerUser) ? 1 : $tickets->TicketsPerUser;
				}
				
				if ($overbooking)
					$numTickets = $tickets->TicketsPerUser;
				
				echo $tickets->TicketPrice."\n".$numTickets;
				exit();
			} break;
		}
		
		switch($layout)
		{
			default:
			{
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent='".$cid."'");
				$eventname = $db->loadResult();
			
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userid)
				{
					$pathway->addItem(JText::_('RSE_BC_SHOWTICKETS'), '');	
					$pagination			= $this->get('pagination');
					$tickets			= $this->get('data');
					
					$this->assignRef('id',$cid);
					$this->assignRef('evName',$eventname);
					$this->assignRef('data',$tickets);
					$this->assignRef('pagination',$pagination);
					
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($cid,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
			
			} break;
			
			case 'edit':
			{
				$idevent	= JRequest::getInt('IdEvent',0,'request');
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent='".$idevent."'");
				$eventname = $db->loadResult();
				
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userid)
				{
					$ticket 	= $this->get('Ticket');
					
					if(empty($ticket->IdEvent)) $ticket->IdEvent = $idevent;
					if($cid == 0) $pathway->addItem(JText::_('RSE_BC_EDITTICKET'), ''); else $pathway->addItem(JText::_('RSE_BC_NEWTICKET'), '');
					$this->assignRef('ticket',$ticket);
					$this->assignRef('evName',$eventname);
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
			}
			
			case 'coupons':
			{
				$idevent	= JRequest::getInt('cid',0,'request');
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent='".$idevent."'");
				$eventname = $db->loadResult();
				
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userid)
				{				
					$coupons = $this->get('Coupons');
					
					
					$this->assignRef('data',$coupons);
					$this->assignRef('eventname',$eventname);
					$this->assignRef('id',$idevent);
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
				
			} break;
			
			case 'editcoupon':
			{
				$idevent	= JRequest::getInt('IdEvent',0,'request');
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent='".$idevent."'");
				$eventname = $db->loadResult();
				
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userid)
				{				
					$coupon = $this->get('Coupon');
					
					$this->assignRef('data',$coupon);
					$this->assignRef('eventname',$eventname);
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
			}
			
		}
		parent::display($tpl);
	}
}