<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2010 www.rsjoomla.com
* @license GPL, http://www.gnu.org/licenses/gpl-2.0.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );


$jversion = new JVersion();
$current_version =  $jversion->getShortVersion();
$is16 = (version_compare('1.6.0', $current_version) <= 0);

// Get a new installer
$plg_installer = new JInstaller();
$db =& JFactory::getDBO();

$db->setQuery("SELECT id FROM #__plugins WHERE `element`='rseventswire' AND `folder`='system' LIMIT 1");
$plg_id = $db->loadResult();
if ($plg_id)
	$plg_installer->uninstall('plugin', $plg_id);

?>

<p><strong>RSEvents! 1.2.0 uninstalled</strong></p>
<table class="adminlist">
	<thead>
		<tr>
			<th class="title" colspan="2"><?php echo JText::_('Extension'); ?></th>
			<th width="30%"><?php echo JText::_('Status'); ?></th>
		</tr>
	</thead>
	<tfoot>
		<tr>
			<td colspan="3"></td>
		</tr>
	</tfoot>
	<tbody>
		<tr class="row0">
			<td class="key" colspan="2"><?php echo 'RSEvents! '.JText::_('Component'); ?></td>
			<td><strong><?php echo JText::_('Removed'); ?></strong></td>
		</tr>
		<tr>
			<th><?php echo JText::_('Plugin'); ?></th>
			<th><?php echo JText::_('Group'); ?></th>
			<th></th>
		</tr>
		<tr class="row1">
			<td class="key">System - RSEvents! Wire Plugin</td>
			<td class="key">system</td>
			<td><strong><?php echo JText::_('Removed'); ?></strong></td>
		</tr>
		<tr>
				<th><?php echo JText::_('Modules'); ?></th>
				<th></th>
				<th></th>
			</tr>
			<tr class="row0">
				<td class="key">Guest Menu module</td>
				<td class="key"></td>
				<td><strong><?php echo JText::_('Installed'); ?></strong></td>
			</tr>
			<tr class="row0">
				<td class="key">Host Menu module</td>
				<td class="key"></td>
				<td><strong><?php echo JText::_('Installed'); ?></strong></td>
			</tr>
	</tbody>
</table>