<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class rseventsControllerFiles extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();
	}


	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model	= $this->getModel('events');
		$post	= JRequest::get('post');
		$cid	= JRequest::getInt('cid');
		
		$filePermission = (isset($post['FilePermission'][0])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][1])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][2])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][3])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][4])? 1 : 0);
		$filePermission .= (isset($post['FilePermission'][5])? 1 : 0);
		
		$post['FilePermission'] = $filePermission;
		$row= & JTable::getInstance('Rsevents_Files','Table');
		
		if(!$row->bind($post)) return JError::raiseWarning(500, $row->getError()); 

		if ($row->store())
			$msg = JText::_('RSE_FILE_SAVE' );
		else
			$msg = JText::_('RSE_FILE_SAVE_ERROR' );

		if (rseventsHelper::is16())
			echo '<script type="text/javascript">window.parent.location.reload();window.parent.SqueezeBox.close();</script>';
		else
			$this->setRedirect('index.php?option=com_rsevents&task=editevent&cid='.$cid, $msg);
	}

	/**
	 * remove record(s)
	 * @return void
	 */
	function deleteFile()
	{
		jimport('joomla.filesystem.file');
		$model		= $this->getModel('events');
		$row		=& JTable::getInstance('Rsevents_Files','Table');
		$cid		= JRequest::getInt('cid');
		$idEvent 	= JRequest::getInt('IdEvent');
		$row->load($cid);
		
		JFile::delete(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'assets'.DS.'files'.DS.$row->FileLocation);
		
		if(!empty($cid))
		{
			if(!$row->delete($cid))
				$msg = JText::_('RSE_FILE_DELETE_ERROR' );
			else
				$msg = JText::_('RSE_FILE_DELETE' );
		} else
			$msg = JText::_('RSE_FILE_DELETE_ERROR1' );
		
		$this->setRedirect( 'index.php?option=com_rsevents&task=editevent&cid='.$idEvent.'&tabposition=3', $msg );
	}
	
}