<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Groups Controller
 *
 */
class rseventsControllerGroups extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	 
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'apply'  , 	'save' );
	}

	//remove group
	function remove()
	{
		$model = $this->getModel('groups');
		$model->remove();
	}
	
	/**
	 * save a record 
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('groups');
		$model->save();
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$this->setRedirect( 'index.php?option=com_rsevents&task=listgroups');
	}
	
}