<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/


// No direct access
defined( '_JEXEC' ) or die( 'Restricted access' );


class rseventsControllerSubscriptions extends rseventsController
{
	/**
	 * constructor (registers additional tasks to methods)
	 * @return void
	 */
	function __construct()
	{
		parent::__construct();

		// Register Extra tasks
		$this->registerTask( 'accepted' , 'changeStatus');
		$this->registerTask( 'pending' , 'changeStatus');
		$this->registerTask( 'denied' , 'changeStatus');
		$this->registerTask( 'apply' , 'save');
		$this->registerTask( 'delete' , 'remove');
	}
	

	/**
	 * save a record (and redirect to main page)
	 * @return void
	 */
	function save()
	{
		$model = $this->getModel('subscriptions');
		$model->save();
	}

	/**
	 * remove record(s)
	 * @return void
	 */	
	function remove()
	{
		$model = $this->getModel('subscriptions');
		$model->remove();
	}

	/**
	 * cancel editing a record
	 * @return void
	 */
	function cancel()
	{
		$this->setRedirect('index.php?option=com_rsevents&task=listsubscriptions');
	}
	
	//change the status of the subscriber
	function changeStatus()
	{
		$model = $this->getModel('subscriptions');
		$model->changestatus();
	}

	
}