<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<script language="javascript" type="text/javascript">
function createFilter(filter)
{
	document.getElementById('filter').value = filter;
	submitform();
}

function eraseFilter()
{
	document.getElementById('filter').value = '';
	submitform();
}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_rsevents&task=listcategories'); ?>" method="post" name="adminForm" id="adminForm">
	<?php if (JRequest::getVar('tmpl')) { ?>
	<div align="right"><button type="button" onclick="window.parent.elSelectCategories(document.getElementsByName('cid[]'), document.getElementsByName('cidtitle[]'));"><?php echo JText::_('RSE_SELECT'); ?></button></div>
	<?php } ?>
	<table class="adminform">
		<tr>
			<td><?php echo JText::_('RSE_FILTER'); ?> <input type="text" name="rs_filter" id="filter" onchange="createFilter(document.getElementById('filter').value);" class="text_area" value="<?php echo $this->filter; ?>"/> <input type="button" value="<?php echo JText::_('RSE_FILTER'); ?>" onclick="createFilter(document.getElementById('filter').value);return false;" /> <input type="button" onclick="eraseFilter();" value="<?php echo JText::_('RSE_CLEAR_FILTER'); ?>" />
			</td>
		</tr>
	</table>
	<div id="editcell1">
		<table class="adminlist" width="100%">
			<thead>
			<tr>
				<th width="1%">#</th>
				<th width="1%"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->data); ?>);"/></th>
				<th width="1%"><?php echo JText::_( 'RSE_COLOR' ); ?></th>
				<th width="50%"><?php echo JHTML::_('grid.sort',JText::_('RSE_CATEGORY_NAME_DEFAULT'),'CategoryName',$this->sortOrder,$this->sortColumn,'listcategories'); ?></th>
				<th width="3%"><?php echo JHTML::_('grid.sort',JText::_('RSE_PUBLISHED'),'published',$this->sortOrder,$this->sortColumn,'listcategories'); ?></th>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_ORDER'),'ordering',$this->sortOrder,$this->sortColumn,'listcategories'); if ($this->ordering) echo '&nbsp;&nbsp;'.JHTML::_('grid.order',$this->data); ?></th>
				<?php } ?>
			</tr>
			</thead>
			<tbody>
	<?php
	$k = 0;
	$i = 0;
	$n = count($this->data);
	$rows = &$this->data;
	foreach ($rows as $row)
	{		
		$checked=JHTML::_('grid.id',$i,$row->id);
		$publish=JHTML::_('grid.published',$row,$i);		
	?>
			<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $row->id; ?></td>
				<td align="center"><?php echo $checked; ?></td>
				<td style="background:<?php echo $row->CategoryColor; ?>"></td>
				<td>
					<?php if (JRequest::getVar('tmpl'))
					{ 
					$name = rseventsHelper::is16() ? $row->title : $row->name;
					?> 
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'RSE_SELECT' );?>::<?php echo $name; ?>">
						<a style="cursor:pointer" href="javascript:void(0);" onclick="window.parent.elSelectCategory('<?php echo $row->id; ?>', '<?php echo str_replace( array("'", "\""), array("\\'", ""), $name ); ?>');">
						<?php echo $row->treename; ?>
						</a>
						<input type="hidden" name="cidtitle[]" value="<?php echo $name; ?>" />
					</span>
					<?php } else { ?> 
					<span class="editlinktip hasTip" title="<?php echo JText::_( 'RSE_EDIT_CATEGORY' );?>::<?php echo $row->treename; ?>">
					<?php echo '<a href="index.php?option=com_rsevents&task=editcategories&cid='.$row->id.'">'.$row->treename.'</a>'; ?>
					</span>
					<?php } ?>
				</td>
				<td align="center"><?php echo $publish; ?></td>
				<?php if (JRequest::getVar('tmpl') != 'component') { ?> 
				<td class="order" align="center">
					<?php if (!rseventsHelper::is16()) { ?>
					<span><?php echo $this->pagination->orderUpIcon($i, $row->parent == 0 || $row->parent == @$rows[$i-1]->parent, 'orderup', 'Move Up', $this->ordering); ?></span>
					<span><?php echo $this->pagination->orderDownIcon(  $i, $n, $row->parent == 0 || $row->parent == @$rows[$i+1]->parent, 'orderdown', 'Move Down', $this->ordering); ?></span>
					<?php } else { ?>
					<span><?php echo $this->pagination->orderUpIcon($i, $row->parent_id == 0 || $row->parent_id == @$rows[$i-1]->parent_id, 'orderup', 'Move Up', $this->ordering); ?></span>
					<span><?php echo $this->pagination->orderDownIcon(  $i, $n, $row->parent_id == 0 || $row->parent_id == @$rows[$i+1]->parent_id, 'orderdown', 'Move Down', $this->ordering); ?></span>
					<?php } ?>
					<?php $disabled = $this->ordering ?  '' : 'disabled="disabled"'; ?>
					<input type="text" name="order[]" size="5" value="<?php echo $row->ordering; ?>" <?php echo $disabled; ?> class="text_area" style="text-align:center;" />
				</td>
				<?php } ?>
			</tr>
	<?php
		$k = 1 - $k;
		$i++;
	}
	?>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="7"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
		</tfoot>
		</table>
	</div>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="listcategories" />
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="view" value="categories" />
	<input type="hidden" name="controller" value="categories" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	<?php if (JRequest::getVar('tmpl') == 'component') { ?>
	<input type="hidden" name="tmpl" value="component" />
	<?php } ?>
	</form>