<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<script language="javascript" type="text/javascript">
<?php if (rseventsHelper::is16()) { ?>
Joomla.submitbutton = function(task) 
{
	var form = document.adminForm;
	if(task == 'cancel')
		Joomla.submitform(task);
	else  
	{
		ret = true;
		if(form.CategoryName.value=='') { form.CategoryName.className = 'rserror'; ret=false; } else { form.CategoryName.className = '';  }
		if(ret) Joomla.submitform(task);
	}
	return false;
}
<?php } else { ?>
function submitbutton(task)
{
	var form = document.adminForm;
	if(task == 'cancel')
		submitform(task);
	else  
	{
		ret = true;
		if(form.CategoryName.value=='') { form.CategoryName.className = 'rserror'; ret=false; } else { form.CategoryName.className = '';  }	
		if(ret) submitform(task);
	}
	return false;
}
<?php } ?>

function rse_hex_to_rgb(h)
{
	h = h.charAt(0)=="#" ? h.substring(1,7) : h;
	r = parseInt(h.substring(0,2),16);
	g = parseInt(h.substring(2,4),16);
	b = parseInt(h.substring(4,6),16);
	
	if (isNaN(r)) r = 255;
	if (isNaN(g)) g = 255;
	if (isNaN(b)) b = 255;	
	return [r, g, b];
}

window.addEvent('domready', function() {
	new MooRainbow('change_color_rsei', {
		id: 'change_color_rse',
		imgPath: '<?php echo JURI::base(); ?>components/com_rsevents/assets/images/rainbow/',
		startColor: rse_hex_to_rgb($('rse_color_id').value),
		wheel: true,
		onChange: function(color) {
			$('rse_color_id').setStyle('background-color', color.hex);
			$('rse_color_id').value = color.hex;
		},
		onComplete: function(color) {
			$('rse_color_id').setStyle('background-color', color.hex);
			$('rse_color_id').value = color.hex;
		}
	});
});

<?php if ($this->data->IdCategory) { ?>
window.addEvent('domready',function() {
	var parent = $('parent');
	for (i=0;i<parent.length;i++)
		if (parent[i].value == <?php echo $this->data->IdCategory; ?>)
			parent[i].disabled = true;
});
<?php } ?>
</script>
<style>
.rserror 
{
	border:1px solid red;
}
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm">
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_PUBLISHED' ).':'; ?>
							</label>
						</td>
						<td>						
							<?php echo JHTML::_('select.booleanlist','published','class="inputbox"',$this->data->published); ?>
						</td>
					</tr>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_NAME_DEFAULT' ).':'; ?>
							</label>
						</td>
						<td>						
							<input name="CategoryName" value="<?php echo $this->escape($this->data->CategoryName); ?>" size="50" maxlength="100" /> (*)
						</td>
					</tr>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_ALIAS' ).':'; ?>
							</label>
						</td>
						<td>						
							<input name="CategoryAlias" value="<?php echo $this->escape($this->data->CategoryAlias); ?>" size="50" maxlength="100" />
						</td>
					</tr>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_COLOR' ).':'; ?>
							</label>
						</td>
						<td>						
							<img id="change_color_rsei" class="rse_color" src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/rainbow/color.gif" />
							<input class="rse_change_color" id="rse_color_id" size="10" type="text" name="CategoryColor" value="<?php echo $this->data->CategoryColor; ?>" style="background:<?php echo $this->data->CategoryColor; ?>;" />
						</td>
					</tr>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_PARENT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->parent; ?>
						</td>
					</tr>
					<?php if ($this->data->parent) { ?>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_REMOVE_PARENT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="checkbox" name="remove_parent" value="1" />
						</td>
					</tr>
					<?php } ?>
					<tr>
						<td>
							<label for="title">
								<?php echo JText::_( 'RSE_CATEGORY_DESCRIPTION' ).':'; ?>
							</label>
						</td>
						<td>
							<?php $editor=& JFactory::getEditor();
							echo $editor->display('CategoryDescription',$this->data->CategoryDescription,550,400,70,10,(bool) $this->rseventsConfig['editor.buttons']); ?>						
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_rsevents" />
<input type="hidden" name="cid" value="<?php echo $this->data->IdCategory; ?>" />
<input type="hidden" name="IdCategory" value="<?php echo $this->data->IdCategory; ?>" />
<input type="hidden" name="controller" value="categories" />
<input type="hidden" name="view" value="categories" />
<input type="hidden" name="task" value="" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>