<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewFiles extends JView
{
	function display($tpl = null)
	{
		$task=JRequest::getVar('task','','request');
		
		JSubMenuHelper::addEntry(JText::_('RSE_OVERVIEW'), 'index.php?option=com_rsevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_EVENT_MANAGER'), 'index.php?option=com_rsevents&task=listevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_ARCHIVE'), 'index.php?option=com_rsevents&task=archive');
		JSubMenuHelper::addEntry(JText::_('RSE_SUBSCRIPTION_MANAGER'), 'index.php?option=com_rsevents&task=listsubscriptions');
		JSubMenuHelper::addEntry(JText::_('RSE_CATEGORIES'), 'index.php?option=com_rsevents&task=listcategories');
		JSubMenuHelper::addEntry(JText::_('RSE_LOCATIONS'), 'index.php?option=com_rsevents&task=listlocations');
		JSubMenuHelper::addEntry(JText::_('RSE_THEMES'), 'index.php?option=com_rsevents&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSE_DESIGNS'), 'index.php?option=com_rsevents&task=listdesigns');
		JSubMenuHelper::addEntry(JText::_('RSE_GROUPS'), 'index.php?option=com_rsevents&task=listgroups');
		JSubMenuHelper::addEntry(JText::_('RSE_IMPORT'), 'index.php?option=com_rsevents&task=import');
		JSubMenuHelper::addEntry(JText::_('RSE_PAYMENTS'), 'index.php?option=com_rsevents&task=payments');
		JSubMenuHelper::addEntry(JText::_('RSE_SETTINGS'), 'index.php?option=com_rsevents&task=editsettings');
		JSubMenuHelper::addEntry(JText::_('RSE_UPDATES'), 'index.php?option=com_rsevents&task=update');
		
		switch($task)
		{
			case 'editfile':
			{
				$data		= $this->get('FileData','events');
				
				if(empty($data->FilePermission))
				$data->FilePermission = '111111';
				$filePermission[0] = ($data->FilePermission[0]==0 ? '' : 'checked="checked"');
				$filePermission[1] = ($data->FilePermission[1]==0 ? '' : 'checked="checked"');
				$filePermission[2] = ($data->FilePermission[2]==0 ? '' : 'checked="checked"');
				$filePermission[3] = ($data->FilePermission[3]==0 ? '' : 'checked="checked"');
				$filePermission[4] = ($data->FilePermission[4]==0 ? '' : 'checked="checked"');
				$filePermission[5] = ($data->FilePermission[5]==0 ? '' : 'checked="checked"');
				
				$this->assignRef('fileDetails',$data);
				$this->assignRef('filePermission' , $filePermission);

			} break;			
		}
		parent::display($tpl);
	}
}