<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewLocations extends JView
{
	function display($tpl = null)
	{
		JHTML::_('behavior.tooltip');
		
		$db =& JFactory::getDBO();
		$app =& JFactory::getApplication();
		$this->assignRef('rseventsConfig',rseventsHelper::getConfig());
		$task=JRequest::getVar('task','','request');
		
		JSubMenuHelper::addEntry(JText::_('RSE_OVERVIEW'), 'index.php?option=com_rsevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_EVENT_MANAGER'), 'index.php?option=com_rsevents&task=listevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_ARCHIVE'), 'index.php?option=com_rsevents&task=archive');
		JSubMenuHelper::addEntry(JText::_('RSE_SUBSCRIPTION_MANAGER'), 'index.php?option=com_rsevents&task=listsubscriptions');
		JSubMenuHelper::addEntry(JText::_('RSE_CATEGORIES'), 'index.php?option=com_rsevents&task=listcategories');
		JSubMenuHelper::addEntry(JText::_('RSE_LOCATIONS'), 'index.php?option=com_rsevents&task=listlocations',true);
		JSubMenuHelper::addEntry(JText::_('RSE_THEMES'), 'index.php?option=com_rsevents&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSE_DESIGNS'), 'index.php?option=com_rsevents&task=listdesigns');
		JSubMenuHelper::addEntry(JText::_('RSE_GROUPS'), 'index.php?option=com_rsevents&task=listgroups');
		JSubMenuHelper::addEntry(JText::_('RSE_IMPORT'), 'index.php?option=com_rsevents&task=import');
		JSubMenuHelper::addEntry(JText::_('RSE_PAYMENTS'), 'index.php?option=com_rsevents&task=payments');
		JSubMenuHelper::addEntry(JText::_('RSE_SETTINGS'), 'index.php?option=com_rsevents&task=editsettings');
		JSubMenuHelper::addEntry(JText::_('RSE_UPDATES'), 'index.php?option=com_rsevents&task=update');
		
		switch($task)
		{
			case 'listlocations':
			{
				JToolBarHelper::title(JText::_('RSE_LOCATION_LIST'),'generic.png');
				JToolBarHelper::addNewX('editlocation');
				JToolBarHelper::editListX('editlocation');
				JToolBarHelper::deleteList();
				JToolBarHelper::publishList();
				JToolBarHelper::unpublishList();
				JToolBarHelper::custom('main','preview.png','preview_f2.png',JText::_('RSE_RS_PRODUCT'),false);
				
				//get data
				$filter			= $app->getUserState('com_rsevents.events.locations');
				$sortColumn		= JRequest::getVar('filter_order','#__rsevents_locations.ordering');
				$sortOrder		= JRequest::getVar('filter_order_Dir','asc');
				$data			= $this->get('data');
				$pagination		= $this->get('pagination');
				
				//assign values
				$this->assignRef('filter',$filter);
				$this->assignRef('sortColumn',$sortColumn);
				$this->assignRef('sortOrder',$sortOrder);
				$this->assignRef('data',$data);
				$this->assignRef('pagination',$pagination);
			} break;
			
			case 'editlocation':
			{
				$cid = JRequest::getVar('cid',array(0),'request','array');
				if(is_array($cid)) $cid=intval($cid[0]);
				
				if($cid==0) 
					JToolBarHelper::title(JText::_('RSE_LOCATION_NEW','generic.png')); 
				else 
					JToolBarHelper::title(JText::_('RSE_LOCATION_EDIT','generic.png'));
				JToolBarHelper::save();
				JToolBarHelper::apply();
				JToolBarHelper::cancel();
				
				$location		= $this->get('Location');
				
				//set publish to 1 if the location is new
				if($cid == 0) $location->published=1;
				
				$this->assignRef('data',$location);
			} break;
		}
		
		
		parent::display($tpl);
	}
}