<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<div class="portlet" id="module_3">
	<div class="portlet-header"><?php echo JText::_('RSE_DASHBOARD_UPCOMING_EVENTS'); ?></div>
	<div class="portlet-content">
		<?php if (!empty($this->events)) { ?>
			<table class="adminlist">
				<thead>
					<tr>
						<th width="70%"><?php echo JText::_('RSE_UPCOMING_MODULE_EVENT'); ?></th>
						<th width="10%"><?php echo JText::_('RSE_UPCOMING_MODULE_EDIT'); ?></th>
						<th width="10%"><?php echo JText::_('RSE_UPCOMING_MODULE_PREVIEW'); ?></th>
						<th width="10%"><?php echo JText::_('RSE_UPCOMING_MODULE_SUBSCRIBERS'); ?></th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($this->events as $event) { $k=0; if (is_null($event->IdEvent)) continue; ?>
						<tr class="<?php echo "row$k"; ?>">
							<td>
								<a href="index.php?option=com_rsevents&task=editevent&cid=<?php echo $event->IdEvent ; ?>"><?php echo $event->EventName; ?></a>
							</td>
							<td align="center">
								<a href="index.php?option=com_rsevents&task=editevent&cid=<?php echo $event->IdEvent; ?>" target="_blank">
									<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/edit.png" />
								</a>
							</td>
							<td align="center">
								<a href="<?php echo JURI::root(); ?>index.php?option=com_rsevents&view=events&layout=show&cid=<?php echo $event->IdEvent; ?>" target="_blank">
									<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/preview.png" />
								</a>
							</td>
							<td align="center">
								<a href="index.php?option=com_rsevents&task=listsubscriptions&rs_evn_filter=<?php echo $event->IdEvent; ?>">
									<?php echo $this->getSubscribers($event->IdEvent); ?>
								</a>
							</td>
						</tr>
					<?php $k = 1 - $k; ?>
					<?php } ?>
				</tbody>
			</table>
			<?php } else echo JText::_('RSE_UPCOMING_MODULE_NO_EVENTS'); ?>
	</div>
</div>