<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<div class="portlet" id="module_4">
	<div class="portlet-header"><?php echo JText::_('RSE_DASHBOARD_SUBSCRIBERS'); ?></div>
	<div class="portlet-content">
		<?php if (!empty($this->subscribers)) { ?>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="60%"><?php echo JText::_('RSE_SUBSCRIBERS_MODULE_EVENT'); ?></th>
					<th width="15%"><?php echo JText::_('RSE_SUBSCRIBERS_MODULE_NAME'); ?></th>
					<th width="25%"><?php echo JText::_('RSE_SUBSCRIBERS_MODULE_DATE'); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php foreach ($this->subscribers as $subscriber) { $k=0; ?>
					<tr class="<?php echo "row$k"; ?>">
						<td>
							<strong><?php echo $subscriber->EventName; ?></strong>
							<?php $tarray = array(); ?>
							<?php $tickets = $this->getTickets($subscriber->IdSubscription); ?>
							<?php if (!empty($tickets)) { ?>
							<?php foreach ($tickets as $ticket) { ?>
							<?php $tarray[] =  $ticket->TicketsSubscribed. ' x '.$ticket->TicketName; ?>
							<?php } ?>
							<em>(<?php echo implode(', ',$tarray); ?>)</em>
							<?php } ?>
						</td>
						<td align="center">
							<a href="index.php?option=com_rsevents&task=editsubscription&cid=<?php echo $subscriber->IdSubscription; ?>"><?php echo $subscriber->name; ?></a>
						</td>
						<td align="center">
							<?php echo date($this->rseventsConfig['global.dateformat'],$subscriber->SubscriptionDate); ?>
						</td>
					</tr>
				<?php $k = 1 - $k; ?>
				<?php } ?>
			</tbody>
		</table>
		<?php } else echo JText::_('RSE_SUBSCRIBERS_MODULE_NO_SUBSCRIBERS'); ?>
	</div>
</div>