<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<div class="portlet" id="module_6">
	<div class="portlet-header"><?php echo JText::_('RSE_DASHBOARD_COMMENTS'); ?></div>
	<div class="portlet-content">
		<?php if (empty($this->comments)) { ?>
			<?php echo JText::_('RSE_DASHBOARD_NO_COMMENTS'); ?>
		<?php } else { ?>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="30%"><?php echo JText::_('RSE_COMMENTS_MODULE_EVENT'); ?></th>
					<th width="50%"><?php echo JText::_('RSE_COMMENTS_MODULE_COMMENT'); ?></th>
					<th width="10%"><?php echo JText::_('RSE_COMMENTS_MODULE_DETAILS'); ?></th>
					<th width="10%"><?php echo JText::_('RSE_COMMENTS_MODULE_PUBLISHED'); ?></th>
				</tr>
			</thead>
			<tbody>
			<?php foreach ($this->comments as $comment) { $k=0; ?>
				<tr class="<?php echo "row$k"; ?>">
					<td><a href="index.php?option=com_rsevents&task=editevent&cid=<?php echo $comment->IdEvent; ?>"><?php echo $comment->EventName; ?></a></td>
					<td><?php echo $this->showContent($comment->comment,$comment->id); ?></td>
					<td align="center"><img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/details.png" alt="<?php echo JText::_('RSE_COMMENTS_MODULE_DETAILS'); ?>" class="hasTip" title="<?php echo htmlentities('<b>'.JText::_('RSE_COMMENTS_MODULE_AUTHOR').'</b> : '.$comment->name.'<br/><b>'.JText::_('RSE_COMMENTS_MODULE_DATE').'</b> : '.date($this->rseventsConfig['global.dateformat'],$comment->date)); ?>" /></td>
					<td align="center">
						<?php if ($comment->published) { ?>
							<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/tick.png" alt="<?php echo JText::_('Published'); ?>" />
						<?php } else { ?>
							<img src="<?php echo JURI::root(); ?>administrator/components/com_rsevents/assets/images/icons/delete.png" alt="<?php echo JText::_('Unpublished'); ?>" />
						<?php } ?>
					</td>
				</tr>
			<?php $k = 1 - $k; ?>
			<?php } ?>
			</tbody>
		</table>
		<?php } ?>
	</div>
</div>