<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript">
function rse_repeat(value)
{
	if (value == 0) $('rse_repeat').style.display = 'none';
		else $('rse_repeat').style.display = '';
}

function rse_set_type(value)
{
	switch(value)
	{
		default:
		case '1':
			$('rse_label').innerHTML = '<?php echo JText::_('RSE_REPEAT_DAYS',true); ?>';
		break;
		
		case '2':
			$('rse_label').innerHTML = '<?php echo JText::_('RSE_REPEAT_WEEKS',true); ?>';
		break;
		
		case '3':
			$('rse_label').innerHTML = '<?php echo JText::_('RSE_REPEAT_MONTHS',true); ?>';
		break;
		
		case '4':
			$('rse_label').innerHTML = '<?php echo JText::_('RSE_REPEAT_YEARS',true); ?>';
		break;
	}
	
	rse_show_days(value);
}

function rse_show_days(value)
{
	if (value == 1 || value == 2) $('rse_days').style.display = '';
		else $('rse_days').style.display = 'none';
}

function selectall() 
{
	for ( i=0; i<document.getElementById('EventRepeatAlso').options.length; i++)
	{	
	document.getElementById('EventRepeatAlso').options[i].selected = true;
	}
}

<?php if (rseventsHelper::is16()) { ?>
Joomla.submitbutton = function(task) 
{
	var form = document.adminForm;
	if(task == 'cancel')
		Joomla.submitform(task);
	else  
	{
		selectall();
		Joomla.submitform(task);
	}
	return false;
}
<?php } else { ?>
function submitbutton(task)
{
	var form = document.adminForm;
	if(task == 'cancel')
		submitform(task);
	else  
	{
		selectall();
		submitform(task);
	}
	return false;
}
<?php } ?>

function addOption(from,to)
{
	to.options[to.options.length] = new Option( from.value, from.value, false, false);
}

function removeOption(from)
{
	if (from.options.selectedIndex == -1) return false;
	for(i=from.length-1; i>=0;i--)
		if (from.options[i].selected)
			from.remove(from.options[i].index);
}

</script>
<style>
.rserror 
{
	border:1px solid red;
}
</style>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table class="adminform">
					<tr>
						<td width="200">
							<label for="recurency">
								<?php echo JText::_( 'RSE_ENABLE_REPEAT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','EventEnableRepeat','class="inputbox" onclick="rse_repeat(this.value);"',$this->data->EventEnableRepeat); ?>
						</td>
					</tr>
				</table>
				<table class="adminform" id="rse_repeat">
					<tr>
						<td width="10%">
							<label for="repeat">
								<?php echo JText::_( 'RSE_REPEAT_TYPE' ).':'; ?>
							</label>
						</td>
						<td width="35%">
							<?php echo $this->lists['type']; ?>
						</td>
					</tr>
					<tr>
						<td width="10%">
							<label for="repeat">
								<?php echo JText::_( 'RSE_REPEAT_INTERVAL' ).':'; ?>
							</label>
						</td>
						<td width="35%">
							<input type="text" name="EventRepeatNumber" style="text-align:center;" value="<?php echo empty($this->data->EventRepeatNumber) ? 0 : $this->data->EventRepeatNumber;?>" size="2" maxlength="2" /> <span id="rse_label"></span>
						</td>
					</tr>
					<tr id="rse_days">
						<td width="10%">
							<label for="repeat">
								<?php echo JText::_( 'RSE_REPEAT_DAYS_INTERVAL' ).':'; ?>
							</label>
						</td>
						<td width="35%">
							<input type="checkbox" value="1" name="EventRepeatDays[]" <?php echo in_array(1,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb1">&nbsp; <label for="cb1"><?php echo JText::_('RSE_MONDAY'); ?></label>
							<input type="checkbox" value="2" name="EventRepeatDays[]" <?php echo in_array(2,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb2">&nbsp; <label for="cb2"><?php echo JText::_('RSE_TUESDAY'); ?></label>
							<input type="checkbox" value="3" name="EventRepeatDays[]" <?php echo in_array(3,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb3">&nbsp; <label for="cb3"><?php echo JText::_('RSE_WEDNESDAY'); ?></label>
							<input type="checkbox" value="4" name="EventRepeatDays[]" <?php echo in_array(4,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb4">&nbsp; <label for="cb4"><?php echo JText::_('RSE_THURSDAY'); ?></label>
							<input type="checkbox" value="5" name="EventRepeatDays[]" <?php echo in_array(5,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb5">&nbsp; <label for="cb5"><?php echo JText::_('RSE_FRIDAY'); ?></label>
							<input type="checkbox" value="6" name="EventRepeatDays[]" <?php echo in_array(6,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb6">&nbsp; <label for="cb6"><?php echo JText::_('RSE_SATURDAY'); ?></label>
							<input type="checkbox" value="0" name="EventRepeatDays[]" <?php echo in_array(0,$this->repeatdays) ? 'checked="checked"' : ''; ?> id="cb0">&nbsp; <label for="cb0"><?php echo JText::_('RSE_SUNDAY'); ?></label>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="until">
								<?php echo JText::_( 'RSE_REPEAT_UNTIL' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('calendar', date('Y-m-d',empty($this->data->EventRepeatUntil) ? time() : $this->data->EventRepeatUntil), "EventRepeatUntil", "EventRepeatUntil"); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="EventRepeatAlso">
								<?php echo JText::_( 'RSE_REPEAT_ALSO' ).':'; ?>
							</label>
						</td>
						<td width="130">
							<?php echo $this->lists['repeatalso']; ?>
						</td>
						<td width="40">
							<input type="button" name="repeatbutton" value="&laquo;" onclick="addOption(document.getElementById('RepeatAlso'),document.getElementById('EventRepeatAlso'));"/><br/><br/>
							<input type="button" name="repeatbutton1" value="&raquo;" onclick="removeOption(document.getElementById('EventRepeatAlso'));"/>
						</td>
						<td>	
							<?php echo JHTML::_('calendar', date('Y-m-d'), "RepeatAlso", "RepeatAlso"); ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_rsevents" />
<input type="hidden" name="cid" value="<?php echo $this->data->IdEvent; ?>" />
<input type="hidden" name="IdEvent" value="<?php echo $this->data->IdEvent; ?>" />
<input type="hidden" name="controller" value="repeat" />
<input type="hidden" name="view" value="repeat" />
<input type="hidden" name="task" value="" />
</form>
<script type="text/javascript">rse_repeat('<?php echo $this->data->EventEnableRepeat; ?>');</script>
<script type="text/javascript">rse_set_type('<?php echo $this->data->EventRepeatType; ?>');</script>
<script type="text/javascript">rse_show_days('<?php echo empty($this->data->EventRepeatType) ? 1 : $this->data->EventRepeatType; ?>');</script>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>