<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');
jimport( 'joomla.application.component.model' );
require_once(JPATH_ADMINISTRATOR.DS.'components'.DS.'com_rsevents'.DS.'models'.DS.'events.php');
class rseventsViewRepeat extends JView
{
	function display($tpl = null)
	{
		$app =& JFactory::getApplication();
		$db = & JFactory::getDBO();
		
		JSubMenuHelper::addEntry(JText::_('RSE_OVERVIEW'), 'index.php?option=com_rsevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_EVENT_MANAGER'), 'index.php?option=com_rsevents&task=listevents'); 
		JSubMenuHelper::addEntry(JText::_('RSE_ARCHIVE'), 'index.php?option=com_rsevents&task=archive');
		JSubMenuHelper::addEntry(JText::_('RSE_SUBSCRIPTION_MANAGER'), 'index.php?option=com_rsevents&task=listsubscriptions');
		JSubMenuHelper::addEntry(JText::_('RSE_CATEGORIES'), 'index.php?option=com_rsevents&task=listcategories');
		JSubMenuHelper::addEntry(JText::_('RSE_LOCATIONS'), 'index.php?option=com_rsevents&task=listlocations');
		JSubMenuHelper::addEntry(JText::_('RSE_THEMES'), 'index.php?option=com_rsevents&task=themes');
		JSubMenuHelper::addEntry(JText::_('RSE_DESIGNS'), 'index.php?option=com_rsevents&task=listdesigns');
		JSubMenuHelper::addEntry(JText::_('RSE_GROUPS'), 'index.php?option=com_rsevents&task=listgroups');
		JSubMenuHelper::addEntry(JText::_('RSE_IMPORT'), 'index.php?option=com_rsevents&task=import');
		JSubMenuHelper::addEntry(JText::_('RSE_PAYMENTS'), 'index.php?option=com_rsevents&task=payments');
		JSubMenuHelper::addEntry(JText::_('RSE_SETTINGS'), 'index.php?option=com_rsevents&task=editsettings');
		JSubMenuHelper::addEntry(JText::_('RSE_UPDATES'), 'index.php?option=com_rsevents&task=update');
		
		
		$cid = JRequest::getInt('cid','0','request');
		$event = rseventsModelEvents::getEvent();
		if($event->IdParent != 0 || $event->IdParent == '' )
			$app->redirect('index.php?option=com_rsevents&task=listevents',JText::_('RSE_REPEAT_ERROR1'));
		
		JToolBarHelper::title(JText::_('RSE_REPEAT_FOR').' '.$event->EventName,'generic.png');
		JToolBarHelper::save();
		JToolBarHelper::apply();
		JToolBarHelper::cancel();
		JToolBarHelper::custom('main','preview.png','preview_f2.png',JText::_('RSE_RS_PRODUCT'),false);
		
		
		$type[] = JHTML::_('select.option', '1', JText::_( 'RSE_REPEAT_TYPE_DAYS' ) );
		$type[] = JHTML::_('select.option', '2', JText::_( 'RSE_REPEAT_TYPE_WEEKS' ) );
		$type[] = JHTML::_('select.option', '3', JText::_( 'RSE_REPEAT_TYPE_MONTHS' ) );
		$type[] = JHTML::_('select.option', '4', JText::_( 'RSE_REPEAT_TYPE_YEARS' ) );
		$lists['type'] = JHTML::_('select.radiolist', $type, 'EventRepeatType', 'size="1" class="inputbox" onclick="rse_set_type(this.value)"', 'value', 'text',empty($event->EventRepeatType) ? 1 : $event->EventRepeatType);
		
		$db->setQuery("SELECT EventRepeatAlso FROM #__rsevents_events WHERE IdEvent='".$cid."'");
		$repeats = $db->loadResult();

		
		$repeatAlso = array();
		$getSelected = array();
		if (!empty($repeats))
		{
			$dates = unserialize($repeats);
			foreach($dates as $date)
			{
				$date = date('Y-m-d',$date);
				$repeatAlso[] = JHTML::_('select.option', $date, $date);
				$getSelected[] = $date;
			}
		}
		
		$lists['repeatalso'] = JHTML::_('select.genericlist', $repeatAlso, 'EventRepeatAlso[]', 'size="10" class="inputbox" multiple="multiple"', 'value', 'text', $getSelected );
		
		$repeatdays = empty($event->EventRepeatDays) ? array() : unserialize($event->EventRepeatDays);
		
		
		$this->assignRef('lists',$lists);			
		$this->assignRef('data',$event);
		$this->assignRef('repeatdays',$repeatdays);
		parent::display($tpl);
	}
}