<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<!-- tab -->

<script type="text/javascript">
function changeLayout(value)
{
	var rse_textarea = document.getElementById('layoutArea');
	var rse_message = document.getElementById('rse_intro_message');
	
	var default_layout = '<div style="overflow: hidden">\n{EventIcon}<a href="{EventLink}"><strong>{EventName}</strong></a><br/>\n{EventSubtitle}\n<p>{EventDescription}</p>\nAt <em>{LocationName}</em> from {EventStartDate} to {EventEndDate} - Hosted by {EventHost} - {CategoryName} - <a href="{EventLink}">Details</a></div>\n<hr/>';
	var table_layout = '<tr>\n\t<td>{EventStartDate} - {EventEndDate}</td>\n\t<td><a href="{EventLink}">{EventName}</a></td>\n\t<td><a href="{LocationLink}">{LocationName}</a></td>\n\t<td>{CategoryName}</td>\n</tr>';
	
	if (value == 0)
	{
		rse_textarea.style.display = '';
		rse_textarea.value = default_layout;
		rse_textarea.disabled = true;
		rse_message.style.display = 'none';
	} else if (value == 1)
	{
		rse_textarea.style.display = '';
		if (rse_textarea.value == '' || rse_textarea.value.indexOf('<tr>') != -1)
			rse_textarea.value = default_layout;
		rse_textarea.disabled = false;
		rse_message.style.display = 'none';
	} else if (value == 2)
	{
		rse_textarea.style.display = '';
		rse_textarea.value = table_layout;
		rse_textarea.disabled = true;
		rse_message.style.display = 'none';
	} else if (value == 3)
	{
		rse_textarea.style.display = '';
		if (rse_textarea.value == '' || rse_textarea.value.indexOf('<tr>') == -1)
			rse_textarea.value = table_layout;
		rse_textarea.disabled = false;
		rse_message.style.display = 'none';
	} else {
		rse_message.style.display = '';
		rse_textarea.disabled = true;
		rse_textarea.style.display = 'none';
	}
}

function rse_do_zoom(value)
{
	if (value > 18)
		document.getElementById('zoomlevel').value = 15;
	if (value <= 0)
		document.getElementById('zoomlevel').value = 10;
}

function rse_modal(val)
{
	if (val == 0)
		document.getElementById('noconflict').style.display = '';
	else
		document.getElementById('noconflict').style.display = 'none';
}

window.addEvent('domready', function(){
				toggler = $('submenu');
				element = $('config-document');
				if (element) {
					document.switcher = new JSwitcher(toggler, element, {cookieName: toggler.getProperty('class')});
				}
			});


</script>
<form action="index.php" method="post" name="adminForm" id="adminForm">
<div id="config-document">
<div id="page-general"  class="tab">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr>
		<td valign="top">
			<table  class="adminform">
				<tr>
					<td width="200">
						<label for="license">
							<?php echo JText::_( 'RSE_LICENSE' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[global.register.code]" value="<?php echo $this->data['global.register.code'];  ?>" size="55" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="date">
							<?php echo JText::_( 'RSE_DATE_FORMAT' ).':'; ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[global.dateformat]" value="<?php echo $this->data['global.dateformat'];  ?>" size="55" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="date">
							<?php echo JText::_( 'RSE_TIME_FORMAT' ).':'; ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[global.time]" value="<?php echo $this->data['global.time'];  ?>" size="10" maxlength="20" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="debug">
							<?php echo JText::_( 'RSE_12H' ).':'; ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[enable.12format]','class="inputbox"',$this->data['enable.12format']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="debug">
							<?php echo JText::_( 'RSE_RSS' ).':'; ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[enable.rss]','class="inputbox"',$this->data['enable.rss']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="debug">
							<?php echo JText::_( 'RSE_ENABLE_EDITOR_BUTTONS' ).':'; ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[editor.buttons]','class="inputbox"',$this->data['editor.buttons']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="debug">
							<span class="hasTip" title="<?php echo JText::_('RSE_DESCRIPTION_LENGTH_DESC'); ?>"><?php echo JText::_( 'RSE_DESCRIPTION_LENGTH' ).':'; ?></span>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[descr.length]" value="<?php echo $this->data['descr.length'];  ?>" size="5" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="debug">
							<span class="hasTip" title="<?php echo JText::_('RSE_SELECT_MODAL_DESC'); ?>"><?php echo JText::_( 'RSE_SELECT_MODAL' ).':'; ?></span>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[modal.type]','class="inputbox" onchange="rse_modal(this.value)"',$this->data['modal.type'],'Joomla!','jQuery'); ?>
					</td>
				</tr>
				<tr id="noconflict">
					<td width="200">
						<label for="debug">
							<span class="hasTip" title="<?php echo JText::_('RSE_JQUERY_NOCONFLICT_DESC'); ?>"><?php echo JText::_('RSE_JQUERY_NOCONFLICT').':'; ?></span>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[no.conflict]','class="inputbox"',$this->data['no.conflict']); ?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</div>
<!-- tab -->
<div id="page-dashboard" class="tab">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
	<tr>
		<td valign="top">
			<table  class="adminform">
				<tr>
					<td width="200">
						<label for="productinfo">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_PRODUCT_LINKS' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module2]','class="inputbox"',$this->data['module2']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="productinfo">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_PRODUCT_INFO' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module1]','class="inputbox"',$this->data['module1']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="upcoming">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_UPCOMING' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module3]','class="inputbox"',$this->data['module3']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="upcoming.limit">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_UPCOMING_LIMIT' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[upcoming.limit.module]" id="upcoming.limit" size="5" value="<?php echo $this->data['upcoming.limit.module']; ?>" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="subscribers">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_SUBSCRIBERS' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module4]','class="inputbox"',$this->data['module4']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="subscribers.limit">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_SUBSCRIBERS_LIMIT' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[subscribers.limit.module]" id="subscribers.limit" size="5" value="<?php echo $this->data['subscribers.limit.module']; ?>" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="comments">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_COMMENTS' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module6]','class="inputbox"',$this->data['module6']); ?>
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="comments.limit">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_COMMENTS_LIMIT' ); ?>
						</label>
					</td>
					<td>
						<input type="text" name="rseventsConfig[comments.limit.module]" id="comments.limit" size="5" value="<?php echo $this->data['comments.limit.module']; ?>" />
					</td>
				</tr>
				<tr>
					<td width="200">
						<label for="sync">
							<?php echo JText::_( 'RSE_SETTINGS_DASHBOARD_SYNC' ); ?>
						</label>
					</td>
					<td>
						<?php echo JHTML::_('select.booleanlist','rseventsConfig[module5]','class="inputbox"',$this->data['module5']); ?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>

</div>
<!-- tab -->
<div id="page-events" class="tab">

<?php echo $this->tabs->startPane('event-pane'); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_TAB_EVENTS_LAYOUT'),"event-layout"); ?>
<fieldset>
<legend><?php echo JText::_('RSE_EVENT_INTRO'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">
		<tr>
			<td width="10%">
				<label for="layouts">
					<?php echo JText::_( 'RSE_SELECT_INTRO_LAYOUT' ).' : '; ?>
				</label>
			</td>
			<td>
				<?php echo $this->lists['layout']; ?> <span id="rse_intro_message" style="display: none;"><?php echo JText::_('RSE_EVENT_INTRO_MESSAGE'); ?></span>
			</td>
		</tr>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>
		<tr>
			<td colspan="2">
				<textarea id="layoutArea" name="rseventsConfig[layouts.eventintro]" rows="10" cols="100%"><?php echo $this->data['layouts.eventintro']; ?></textarea>
			</td>
		</tr>
	</table>
</fieldset>

<fieldset>
	<legend><?php echo JText::_('RSE_GUEST_MENU_OPTIONS'); ?></legend>
	<table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">
		<tr>
			<td width="10%">
				<label for="invite">
					<?php echo JText::_( 'RSE_SHOW_INVITE' ).' : '; ?>
				</label>
			</td>
			<td>
				<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.show.invite]','class="inputbox"',$this->data['event.show.invite']); ?>
			</td>
		</tr>
		<tr>
			<td width="10%">
				<label for="outlook">
					<?php echo JText::_( 'RSE_SHOW_OUTLOOK' ).' : '; ?>
				</label>
			</td>
			<td>
				<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.show.outlook]','class="inputbox"',$this->data['event.show.outlook']); ?>
			</td>
		</tr>
		<tr>
			<td width="10%">
				<label for="outlook">
					<?php echo JText::_( 'RSE_SHOW_PRINT' ).' : '; ?>
				</label>
			</td>
			<td>
				<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.show.print]','class="inputbox"',$this->data['event.show.print']); ?>
			</td>
		</tr>
	</table>
</fieldset>

<fieldset>
	<legend><?php echo JText::_('RSE_MODERATION_SETTINGS'); ?></legend>
	<table cellspacing="0" cellpadding="0" border="0" width="100%" class="adminform">
		<tr>
			<td width="10%">
				<label for="moderation" class="editlinktip hasTip" title="<?php echo JText::_('RSE_MODERATION_EVENT_INFO'); ?>">
					<?php echo JText::_( 'RSE_MODERATION_EVENT_EMAIL' ).' : '; ?>
				</label>
			</td>
			<td>
				<input type="text" name="rseventsConfig[moderation.email]" value="<?php echo $this->data['moderation.email'];  ?>" size="100"  />
			</td>
		</tr>
		<tr>
			<td width="10%">
				<label for="moderation" class="editlinktip hasTip" title="<?php echo JText::_('RSE_MODERATION_LOCATION_INFO'); ?>">
					<?php echo JText::_( 'RSE_MODERATION_LOCATION_EMAIL' ).' : '; ?>
				</label>
			</td>
			<td>
				<input type="text" name="rseventsConfig[moderation.location.email]" value="<?php echo $this->data['moderation.location.email'];  ?>" size="100"  />
			</td>
		</tr>
	</table>
</fieldset>

<fieldset>
<legend><?php echo JText::_('RSE_AUTO_ARCHIVE'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="enableutoarchive">
								<?php echo JText::_( 'RSE_ENABLE_ARCHIVE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.enable.autoarchive]','class="inputbox"',$this->data['event.enable.autoarchive']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="autoarchive">
								<?php echo JText::_( 'RSE_NR_DAYS_ARCHIVE' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[event.archive.days]" value="<?php echo $this->data['event.archive.days'] ; ?>" size="3" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');" style="text-align:center;" maxlength="2" /> <?php echo JText::_('RSE_NR_DAYS'); ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</fieldset>

<fieldset>
<legend><?php echo JText::_('RSE_COMMENTS'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="enableFlash">
								<?php echo JText::_( 'RSE_COMMENTS_SELECT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->commentoptions; ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fieldset>

<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_TAB_EVENTS_REGISTRATION'),"event-registration"); ?>
<fieldset>
<legend><?php echo JText::_('RSE_FULL_BOOKING'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="booking">
								<?php echo JText::_( 'RSE_FULL_BOOKING_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[event.full.booking]" value="<?php echo $this->data['event.full.booking'];  ?>" size="100"  />
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</fieldset>

<fieldset>
<legend><?php echo JText::_('RSE_USER_REGISTRATION'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="registration">
								<?php echo JText::_( 'RSE_ENABLE_GUEST_REGISTRATION' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.enable.guests]','class="inputbox"',$this->data['event.enable.guests']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="registration">
								<?php echo JText::_( 'RSE_ENABLE_MULTIPLE_REGISTRATION' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.multiple.reg]','class="inputbox"',$this->data['event.multiple.reg']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="registration">
								<?php echo JText::_( 'RSE_ENABLE_MULTIPLE_TICKETS' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.multiple.tickets]','class="inputbox"',$this->data['event.multiple.tickets']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="registrationMethod">
								<?php echo JText::_( 'RSE_REGISTRATION_METHOD' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.redirect.registration]','class="inputbox"',$this->data['event.redirect.registration'],JText::_('RSE_CREATE_USER'),JText::_('RSE_REDIRECT')); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="redirect">
								<?php echo JText::_( 'RSE_CB_REDIRECT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['redirection']; ?>
						</td>
					</tr>	
					<tr>
						<td width="200">
							<label for="cbautoaccept" class="editlinktip hasTip" title="<?php echo JText::_('RSE_CB_AUTOACCEPT_INFO'); ?>">
								<?php echo JText::_( 'RSE_CB_AUTOACCEPT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[cb.autoapprove]','class="inputbox"',$this->data['cb.autoapprove']); ?>
						</td>
					</tr>	
					<tr>
						<td width="200">
							<label for="booking">
								<?php echo JText::_( 'RSE_DEFAULT_REGISTER_FORM' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['forms']; ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</fieldset>

<fieldset>
	<legend><?php echo JText::_('RSE_REGISTERED_USERS'); ?></legend>
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="title">
								<?php echo JText::_( 'RSE_SHOW_USER_NAME' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['udetails']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="avatar">
								<?php echo JText::_( 'RSE_AVATAR' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['avatars']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="profile">
								<?php echo JText::_( 'RSE_SUBSCRIBERS_ENABLE_PROFILE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['profile']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="profile">
								<?php echo JText::_( 'RSE_HOSTEDBY_ENABLE_PROFILE' ); ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[hostedby]','class="inputbox"',$this->data['hostedby']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="profile">
								<?php echo JText::_( 'RSE_POSTEDBY_ENABLE_PROFILE' ); ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[postedby]','class="inputbox"',$this->data['postedby']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="profile">
								<?php echo JText::_( 'RSE_POSTEDBY_TYPE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[posted.by]','class="inputbox"',$this->data['posted.by'],JText::_('RSE_POSTEDBY_TYPE_NAME'),JText::_('RSE_POSTEDBY_TYPE_USERNAME')); ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fieldset>
<?php 
$app =& JFactory::getApplication();
$app->triggerEvent('rse_settingsTab',array(array('data'=>&$this->data)));
?>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_TAB_EVENTS_FILES_EXTRAS_ICONS'),"event-fei"); ?>

<fieldset>
	<legend><?php echo JText::_('RSE_ICON_SHOW'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="enableicon">
								<?php echo JText::_('RSE_ENABLE_ICON').':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[enable.event.icon]','class="inputbox"',$this->data['enable.event.icon']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="sicon">
								<?php echo JText::_('RSE_SMALL_ICON_WIDTH').':'; ?>
							</label>
						</td>
						<td>
							<input type="text" style="text-align:center;" name="rseventsConfig[event.icon.small]" value="<?php echo $this->data['event.icon.small']; ?>" size="5"  maxlength="4" /> px
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="bicon">
								<?php echo JText::_('RSE_BIG_ICON_WIDTH').':'; ?>
							</label>
						</td>
						<td>
							<input type="text" style="text-align:center;" name="rseventsConfig[event.icon.big]" value="<?php echo $this->data['event.icon.big']; ?>" size="5" maxlength="4" /> px
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</fieldset>

<fieldset>
<legend><?php echo JText::_('RSE_FILES_ALLOWED'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="extensions">
								<?php echo JText::_( 'RSE_EXTENSIONS' ).':'; ?>
							</label>
						</td>
						<td>
							<textarea name="rseventsConfig[event.files]" rows="5" cols="30%"><?php echo $this->data['event.files'] ; ?></textarea>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</fieldset>

<fieldset>
<legend><?php echo JText::_('RSE_EXTRAS'); ?></legend>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="enableFlash">
								<?php echo JText::_( 'RSE_ENABLE_FLASH' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['flash']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="enableYoutube">
								<?php echo JText::_( 'RSE_ENABLE_YOUTUBE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['youtube']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="enableMp3">
								<?php echo JText::_( 'RSE_ENABLE_MP3' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['mp3']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="enableMeebo">
								<?php echo JText::_( 'RSE_ENABLE_MEEBO' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['meebo']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="enableMeebo">
								<?php echo JText::_( 'RSE_ENABLE_FLICKR' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['flickr']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="flikr.key">
								<?php echo JText::_( 'RSE_FLICKR_API_KEY' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[flikr.key]" value="<?php echo $this->data['flikr.key'];  ?>" size="50" maxlength="100" /> <a href="http://www.flickr.com/services/api/keys/apply/" target="_blank"><?php echo JText::_('RSE_MAP_KEY_REQUEST'); ?></a>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="flikr.key">
								<?php echo JText::_( 'RSE_FLICKR_NUM_PHOTOS' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[flikr.num.photos]" value="<?php echo $this->data['flikr.num.photos'];  ?>" size="3" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
</fieldset>

<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_TAB_EVENTS_SHARING'),"event-sharing"); ?>
	<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table class="adminform">
					<tr>
						<td width="200">
							<label for="enableplaceholder">
								<?php echo JText::_( 'RSE_ENABLE_RATING' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.rating]','class="inputbox"',$this->data['event.rating']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="enableplaceholder">
								<?php echo JText::_( 'RSE_ENABLE_EVENT_SHARING' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.sharing]','class="inputbox"',$this->data['event.sharing']); ?> <br/> <?php echo JText::_('RSE_SHARING_INFO'); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="facebook.share">
								<?php echo JText::_( 'RSE_ENABLE_FACEBOOK_SHARE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.facebook.share]','class="inputbox"',$this->data['event.facebook.share']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="facebook.like">
								<?php echo JText::_( 'RSE_ENABLE_FACEBOOK_LIKE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.facebook.like]','class="inputbox"',$this->data['event.facebook.like']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="twitter">
								<?php echo JText::_( 'RSE_ENABLE_TWITTER' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.twitter]','class="inputbox"',$this->data['event.twitter']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="google.buzz">
								<?php echo JText::_( 'RSE_ENABLE_GOOGLEPLUS' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[event.gplus]','class="inputbox"',$this->data['event.gplus']); ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->endPane(); ?>
</div>
<!-- tab -->
<div id="page-locations" class="tab">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="gMaps">
								<?php echo JText::_( 'RSE_ENABLE_MAPS' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['gMaps']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="gMaps">
								<?php echo JText::_( 'RSE_GOOGLEMAP_TYPE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[locations.geocode]','class="inputbox"',$this->data['locations.geocode']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="gMaps">
								<?php echo JText::_( 'RSE_ENABLE_DIRECTIONS' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[locations.directions]','class="inputbox"',$this->data['locations.directions']); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="gMaps">
								<?php echo JText::_( 'RSE_GOOGLE_MAP' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['maps']; ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="gMaps">
								<?php echo JText::_( 'RSE_GOOGLE_MAP_ZOOM' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" id="zoomlevel" size="3" onkeyup="rse_do_zoom(this.value);" style="text-align:center;" name="rseventsConfig[locations.gMaps.zoom]" value="<?php echo $this->data['locations.gMaps.zoom']; ?>" />
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="key">
								<?php echo JText::_( 'RSE_MAP_API' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[locations.gMaps.key]" value="<?php echo $this->data['locations.gMaps.key'];  ?>" size="100" maxlength="100"> <a href="http://code.google.com/apis/maps/signup.html" target="_blank"><?php echo JText::_('RSE_MAP_KEY_REQUEST'); ?></a>
						</td>
					</tr>
					<?php if($this->data['locations.gmaps'] == 1) { ?>
					<tr>
							<td width="100" class="center">
								<?php echo JText::_( 'RSE_MAP_CENTER' ); ?>
							</td>
							<td>
								<input type="text" name="rseventsConfig[locations.gMaps.center]" id="center" size="40" maxlength="250" value="<?php echo $this->data['locations.gMaps.center'];?>" />
								<a class="modal" href="index.php?option=com_rsevents&task=map&tmpl=component" rel="{handler: 'iframe', size: {x: 500, y: 400}}" /><?php echo JText::_('RSE_CHANGE'); ?></a>
							</td>
					</tr>
					<?php } ?>
				</table>
			</td>
		</tr>
	</table>
</div>
<div id="page-emails" class="tab">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="100">
							<label for="from">
								<?php echo JText::_( 'RSE_EMAIL_FROM' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.from]" value="<?php echo $this->data['emails.from'];  ?>" size="55" />
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="fromName">
								<?php echo JText::_( 'RSE_EMAIL_FROM_NAME' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.from.name]" value="<?php echo $this->data['emails.from.name'];  ?>" size="55" />
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_REPLY' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.reply]" value="<?php echo $this->data['emails.reply'];  ?>" size="55" />
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="cc">
								<?php echo JText::_( 'CC' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.cc]" value="<?php echo $this->data['emails.cc'];  ?>" size="55" />
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="cc">
								<?php echo JText::_( 'BCC' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.bcc]" value="<?php echo $this->data['emails.bcc'];  ?>" size="55" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
<?php echo $this->tabs->startPane('content-pane'); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_INV_EMAIL'),"emails-invite"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="135">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.invite.subject]" value="<?php echo $this->data['emails.invite.subject'];  ?>" size="55" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="135">
							<label for="">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.invite.type]','class="inputbox"',$this->data['emails.invite.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="135">
							<label for="">
								<?php echo JText::_( 'RSE_INVITATION_ENABLE_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.invite.message]','class="inputbox"',$this->data['emails.invite.message']); ?>
						</td>
					</tr>
					<tr>
						<td width="135">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.invite.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.invite.content]',$this->data['emails.invite.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.invite.content]" rows="10" cols="100%"><?php echo $this->data['emails.invite.content'];  ?></textarea>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_REG_EMAIL'),"emails-registration"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="100">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.registration.subject]" value="<?php echo $this->data['emails.registration.subject'];  ?>" size="55" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.registration.type]','class="inputbox"',$this->data['emails.registration.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="enable">
								<?php echo JText::_( 'RSE_EMAIL_ENABLE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.registration.enable]','class="inputbox"',$this->data['emails.registration.enable']); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.registration.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.registration.content]',$this->data['emails.registration.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.registration.content]" rows="10" cols="100%"><?php echo $this->data['emails.registration.content'];  ?></textarea>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_ACT_EMAIL'),"emails-activation"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="100">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.activation.subject]" value="<?php echo $this->data['emails.activation.subject'];  ?>" size="55" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.activation.type]','class="inputbox"',$this->data['emails.activation.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="enable">
								<?php echo JText::_( 'RSE_EMAIL_ENABLE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.activation.enable]','class="inputbox"',$this->data['emails.activation.enable']); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.activation.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.activation.content]',$this->data['emails.activation.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.activation.content]" rows="10" cols="100%"><?php echo $this->data['emails.activation.content'];  ?></textarea>
							<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_UNSUBSCRIBE'),"emails-unsubscribe"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="100">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.unsubscribe.subject]" value="<?php echo $this->data['emails.unsubscribe.subject'];  ?>" size="55">
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.unsubscribe.type]','class="inputbox"',$this->data['emails.unsubscribe.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="enable">
								<?php echo JText::_( 'RSE_EMAIL_ENABLE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.unsubscribe.enable]','class="inputbox"',$this->data['emails.unsubscribe.enable']); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.unsubscribe.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.unsubscribe.content]',$this->data['emails.unsubscribe.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.unsubscribe.content]" rows="10" cols="100%"><?php echo $this->data['emails.unsubscribe.content'];  ?></textarea>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_REMINDER'),"emails-reminder"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="200">
							<label for="subject">
								<?php echo JText::_( 'RSE_AUTOMATIC_REMINDER_DAYS' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.rem.days]" value="<?php echo $this->data['emails.rem.days'];  ?>" size="5">
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="subject">
								<?php echo JText::_( 'RSE_AUTOMATIC_REMINDER_RUN' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.rem.run]','class="inputbox"',$this->data['emails.rem.run'],JText::_('RSE_AUTOMATIC_REMINDER_RUN_START'),JText::_('RSE_AUTOMATIC_REMINDER_RUN_END')); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="subject">
								<?php echo JText::_( 'RSE_AUTOMATIC_REMINDER_LINK' ).':'; ?>
							</label>
						</td>
						<td>
							<a href="<?php echo JURI::root(); ?>index.php?option=com_rsevents&task=automaticreminder"><?php echo JURI::root(); ?>index.php?option=com_rsevents&task=automaticreminder</a>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.rem.subject]" value="<?php echo $this->data['emails.rem.subject'];  ?>" size="55">
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.rem.type]','class="inputbox"',$this->data['emails.rem.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="200">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.rem.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.rem.content]',$this->data['emails.rem.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.rem.content]" rows="10" cols="100%"><?php echo $this->data['emails.rem.content'];  ?></textarea>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->startPanel(JText::_('RSE_EMAIL_PR_EMAIL'),"emails-preminder"); ?>
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="100">
							<label for="subject">
								<?php echo JText::_( 'RSE_EMAIL_SUBJECT' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[emails.reminder.subject]" value="<?php echo $this->data['emails.reminder.subject'];  ?>" size="55" />
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MODE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[emails.reminder.type]','class="inputbox"',$this->data['emails.reminder.type'],JText::_('RSE_HTML'),JText::_('RSE_TEXT')); ?>
						</td>
					</tr>
					<tr>
						<td width="100">
							<label for="reply">
								<?php echo JText::_( 'RSE_EMAIL_MESSAGE' ).':'; ?>
							</label>
						</td>
						<td>
						<?php if($this->data['emails.reminder.type'] == 1) 					
							echo $this->editor->display('rseventsConfig[emails.reminder.content]',$this->data['emails.reminder.content'],550,400,70,10,(bool) $this->data['editor.buttons']);
							else
							{
						?>
							<textarea name="rseventsConfig[emails.reminder.content]" rows="10" cols="100%"><?php echo $this->data['emails.reminder.content'];  ?></textarea>
						<?php } ?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
<?php echo $this->tabs->endPanel(); ?>
<?php echo $this->tabs->endPane(); ?>
</div>
<div id="page-payments" class="tab">
<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td valign="top">
				<table  class="adminform">
					<tr>
						<td width="260">
							<label for="default_payment">
								<?php echo JText::_( 'RSE_PAYMENT_DEFAULT' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo $this->lists['payment'];?>
						</td>
					</tr>
					<tr>
						<td width="260">
							<label for="payment_type">
								<?php echo JText::_( 'RSE_PAYMENT_TYPE' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[payment.type]','class="inputbox"',$this->data['payment.type'],JText::_('RSE_PAYMENT_DROPDOWN'),JText::_('RSE_PAYMENT_RADIO')); ?>
						</td>
					</tr>
					<?php if (JPluginHelper::isEnabled('system','rseventspaypal')) {?>
					<tr>
						<td width="260">
							<label for="epayments">
								<?php echo JText::_( 'RSE_PAYMENTS_FOR_ALL' ).':'; ?>
							</label>
						</td>
						<td>
							<?php echo JHTML::_('select.booleanlist','rseventsConfig[paypal.for.users]','class="inputbox"',$this->data['paypal.for.users']); ?>
						</td>
					</tr>
					<?php } ?>
					<tr>
						<td width="260">
							<label for="currency">
								<?php echo JText::_( 'RSE_PAYMENT_CURRENCY' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[payment.currency]" value="<?php echo $this->data['payment.currency'];  ?>" size="4" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="260">
							<label for="thousands">
								<?php echo JText::_( 'RSE_PAYMENT_THOUSANDS' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[payment.thousands]" value="<?php echo $this->data['payment.thousands'];  ?>" size="4" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="260">
							<label for="decimal">
								<?php echo JText::_( 'RSE_PAYMENT_DECIMAL_SEPARATOR' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[payment.decimal]" value="<?php echo $this->data['payment.decimal'];  ?>" size="4" maxlength="50">
						</td>
					</tr>
					<tr>
						<td width="260">
							<label for="nr.decimal">
								<?php echo JText::_( 'RSE_PAYMENT_NR_DECIMALS' ).':'; ?>
							</label>
						</td>
						<td>
							<input type="text" name="rseventsConfig[payment.nrdecimals]" value="<?php echo $this->data['payment.nrdecimals'];  ?>" size="4" maxlength="50">
						</td>
					</tr>
				</table>
			</td>
		</tr>
</table>
</div>

<div id="page-sync" class="tab">
	<fieldset>
		<legend><?php echo JText::_('RSE_SYNC_GOOGLE_CALENDAR'); ?></legend>
		<table cellspacing="0" cellpadding="0" border="0" width="100%">
			<tr>
				<td valign="top">
					<table  class="adminform">
						<tr>
							<td width="200">
								<label for="location">
									<?php echo JText::_( 'RSE_GOOGLE_USERNAME' ).':'; ?>
								</label>
							</td>
							<td>
								<input type="text" name="rseventsConfig[google.username]" value="<?php echo $this->data['google.username'];  ?>" size="30" >
							</td>
						</tr>
						<tr>
							<td width="200">
								<label for="location">
									<?php echo JText::_( 'RSE_GOOGLE_PASSWORD' ).':'; ?>
								</label>
							</td>
							<td>
								<input type="password" name="rseventsConfig[google.password]" value="<?php echo $this->data['google.password'];  ?>" size="30" >
							</td>
						</tr>
						<tr>
							<td width="200">
								<label for="category">
									<?php echo JText::_( 'RSE_GOOGLE_CATEGORY' ).':'; ?>
								</label>
							</td>
							<td>
								<?php echo $this->lists['categories'];?>
							</td>
						</tr>
						<tr>
							<td width="200">
								<label for="location">
									<?php echo JText::_( 'RSE_GOOGLE_LOCATION' ).':'; ?>
								</label>
							</td>
							<td>
								<?php echo $this->lists['locations'];?>
							</td>
						</tr>
						<tr>
							<td width="200">&nbsp;</td>
							<td><button type="button" onclick="javascript:submitbutton('gcalendar')"><?php echo JText::_('RSE_SYNC_BUTTON'); ?></button></td>
						</tr>
					</table>
				</td>
			</tr>
	</table>
	</fieldset>
	
	<fieldset>
		<legend><?php echo JText::_('RSE_SYNC_FACEBOOK_EVENTS'); ?></legend>
		<table cellspacing="0" cellpadding="0" border="0" width="100%">
			<tr>
				<td valign="top">
					<table  class="adminform">
						<tr>
							<td colspan="2">
								<?php
								$redirect = 'http://www.rsjoomla.com/facebookrsevents/index.php?to='.urlencode(JURI::root().'administrator/index.php?option=com_rsevents&task=savetoken&tmpl=component'); 
								?>
								<button type="button" onclick="document.location='https://graph.facebook.com/oauth/authorize?client_id=<?php echo $this->data['facebook_appid']; ?>&amp;type=user_agent&amp;display=popup&amp;scope=<?php echo urlencode('read_stream,user_events'); ?>&amp;redirect_uri=<?php echo urlencode($redirect); ?>'"><?php echo JText::_('RSE_FACEBOOK_BTN'); ?></button>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<?php echo JText::_('RSE_FACEBOOK_MESSAGE'); ?>
							</td>
						</tr>
						<?php if (!empty($this->data['facebook_token'])) { ?>
						<tr>
							<td width="200">
								<label for="location">
									<?php echo JText::_( 'RSE_FACEBOOK_CATEGORY' ).':'; ?>
								</label>
							</td>
							<td>
								<?php echo $this->lists['fcategories'];?>
							</td>
						</tr>
						<tr>
							<td width="200">
								<label for="location">
									<?php echo JText::_( 'RSE_FACEBOOK_LOCATION' ).':'; ?>
								</label>
							</td>
							<td>
								<?php echo $this->lists['flocations'];?>
							</td>
						</tr>
						<tr>
							<td width="200">&nbsp;</td>
							<td>
								<button type="button" onclick="javascript:submitbutton('facebook')"><?php echo JText::_('RSE_SYNC_BUTTON'); ?></button>
							</td>
						</tr>
						<?php } ?>
					</table>
				</td>
			</tr>
	</table>
	</fieldset>
</div>

</div>
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="task" value="editSettings" />
<input type="hidden" id="firstzoomlevel" name="firstzoomlevel" value="4" />
<input type="hidden" name="option" value="com_rsevents" />
<input type="hidden" name="view" value="settings" />
<input type="hidden" name="controller" value="settings" />
</form>

<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>
<script type="text/javascript">rse_modal(<?php echo (int) $this->data['modal.type']; ?>)</script>
<script type="text/javascript">changeLayout('<?php echo $this->data['events.layout']; ?>')</script>