<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<script language="javascript" type="text/javascript">
function createFilter(filter)
{
	document.getElementById('filter').value = filter;
	submitform();
}

function eraseFilter()
{
	document.getElementById('filter').value = '';
	submitform();
}
</script>
<form action="index.php?option=com_rsevents&task=listsubscriptions" method="post" name="adminForm" id="adminForm">
	<table class="adminform">
		<tr>
			<td width="100%">
				<?php echo JText::_('RSE_FILTER'); ?> <input type="text" name="rs_filter" id="filter" onchange="createFilter(document.getElementById('filter').value);" class="text_area" value="<?php echo $this->filter; ?>"/> <input type="button" value="<?php echo JText::_('RSE_FILTER'); ?>" onclick="createFilter(document.getElementById('filter').value);return false;" /> <input type="button" onclick="eraseFilter();" value="<?php echo JText::_('RSE_CLEAR_FILTER'); ?>" />
			</td>
			<?php if($this->event_filter) {?>
			<td nowrap="nowrap">
				<?php echo $this->lists['tickets'];	?>
			</td>
			<?php } ?> 
			<td nowrap="nowrap">
				<?php echo $this->lists['archive'];	?>
			</td>
			<td nowrap="nowrap">
				<?php echo $this->lists['events'];	?>
			</td>
			<td nowrap="nowrap">
				<?php  echo $this->lists['state'];	?>
			</td>
		</tr>
	</table>
	<div id="editcell1">
		<table class="adminlist" width="100%">
			<thead>
			<tr>
				<th width="1%">#</th>
				<th width="1%"><input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($this->data); ?>);"/></th>
				<th width="20%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_EVENT_NAME'),'e.EventName',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="15%"><?php echo JText::_('RSE_SUBSCRIBER_EVENT_TICKETS'); ?></th>
				<th width="5%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_IP'),'s.UserIp',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="8%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_NAME'),'s.FirstName',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="8%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_USERNAME'),'u.username',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="8%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_EMAIL'),'s.Email',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="8%"><?php echo JHTML::_('grid.sort',JText::_('RSE_SUBSCRIBER_SUBSCRIBED'),'s.SubscriptionDate',$this->sortOrder,$this->sortColumn,'listsubscriptions'); ?></th>
				<th width="3%"><?php echo JText::_('RSE_SUBSCRIBER_DETAILS'); ?></th>
				<th width="2%"><?php echo JText::_('RSE_SUBSCRIBER_ACCEPTED'); ?></th>
				<th width="2%"><?php echo JText::_('RSE_SUBSCRIBER_PENDING'); ?></th>
				<th width="2%"><?php echo JText::_('RSE_SUBSCRIBER_DENIED'); ?></th>
				<th width="2%"><?php echo JText::_('RSE_SUBSCRIBER_DELETE'); ?></th>
			</tr>
			</thead>
			<tbody>
	<?php
	$k = 0;
	for ($i=0,$n=count($this->data);$i<$n;$i++)
	{
		$row =& $this->data[$i];
		$checked=JHTML::_('grid.id',$i,$row->RecordId);
		$log = trim($row->log);
	?>
			<tr class="<?php echo "row$k"; ?>">
				<td><?php echo $row->RecordId; ?></td>
				<td><?php echo $checked; ?></td>
				<td>
					<?php 
						echo $row->EventName. ' '; 
						if (!empty($log)) echo ' - <a class="modal" rel="{handler:\'iframe\'}" href="index.php?option=com_rsevents&task=log&cid='.$row->RecordId.'&tmpl=component">'.JText::_('RSE_SUBSCRIBER_LOG').'</a>';
					?>
				</td>
				<td>
					<?php $tickets = $this->getTickets($row->RecordId); ?>
					<?php if (!empty($tickets)) { ?>
					<?php foreach ($tickets as $ticket) { ?>
					<em><?php echo $ticket->TicketsSubscribed; ?> x <?php echo $ticket->TicketName; ?></em> <br />
					<?php }} ?>
				</td>
				<td align="center"><?php echo $row->UserIp; ?></td>
				<td align="center"><a href="index.php?option=com_rsevents&task=editsubscription&cid=<?php echo $row->RecordId; ?>"><?php echo $this->escape($row->FirstName).' '.$this->escape($row->LastName); ?></a></td>
				<td align="center"><?php echo empty($row->username) ? JText::_('RSE_GUEST') : $row->username; ?></td>
				<td align="center"><?php echo $row->Email; ?></td>
				<td align="center"><?php echo date($this->rseventsConfig['global.dateformat'],$row->SubscriptionDate); ?></td>
				<td align="center"><a href="index.php?option=com_rsevents&task=showtransaction&tmpl=component&cid=<?php echo $row->RecordId; ?>" class="modal" rel="{handler:'iframe'}"><img src="<?php echo JURI::root();?>administrator/components/com_rsevents/assets/images/icons/details.png" /></a></td>
				<td align="center"><?php echo ($row->SubscriptionState!=1) ? '<a href="index.php?option=com_rsevents&task=accepted&controller=subscriptions&cid='.$row->RecordId.'">' : ''; ?><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/'.($row->SubscriptionState==1 ? 'tick.png' : 'delete.png');?>"><?php echo ($row->SubscriptionState==1) ? '</a>' : ''; ?></td>
				<td align="center"><?php echo ($row->SubscriptionState!=0) ? '<a href="index.php?option=com_rsevents&task=pending&controller=subscriptions&cid='.$row->RecordId.'">' : ''; ?><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/'.($row->SubscriptionState==0 ? 'tick.png' : 'delete.png');?>"><?php echo ($row->SubscriptionState==1) ? '</a>' : ''; ?></td>
				<td align="center"><?php echo ($row->SubscriptionState!=-1) ? '<a href="index.php?option=com_rsevents&task=denied&controller=subscriptions&cid='.$row->RecordId.'">' : ''; ?><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/'.($row->SubscriptionState==-1 ? 'tick.png' : 'delete.png');?>"><?php echo ($row->SubscriptionState==1) ? '</a>' : ''; ?></td>
				<td align="center"><a href="index.php?option=com_rsevents&task=delete&controller=subscriptions&cid=<?php echo $row->RecordId; ?>"><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/delete.png' ;?>"></a></td>
			</tr>
	<?php
		$k=1-$k;
	}
	?>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="14"><?php echo $this->pagination->getListFooter(); ?></td>
			</tr>
		</tfoot>
		</table>
	</div>
	<?php echo JHTML::_( 'form.token' ); ?>
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="task" value="listsubscriptions" />
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="view" value="subscriptions" />
	<input type="hidden" name="controller" value="subscriptions" />
	<input type="hidden" name="filter_order" value="<?php echo $this->sortColumn; ?>" />
	<input type="hidden" name="filter_order_Dir" value="<?php echo $this->sortOrder; ?>" />
	</form>