<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/
defined('_JEXEC') or die('Restricted access');
if(file_exists(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'rsevents.php')){
	JHtml::_('behavior.tooltip');
	require_once (dirname(__FILE__).DS.'helper.php');
	$lang =& JFactory::getLanguage();
	$lang->load('com_rsevents');
	
	$list = modRseventsSliderHelper::getEvents($params);
	
	$class_suffix	= $params->get('moduleclass_sfx');
	$class_suffix 	= (empty($class_suffix)) ? '' : '_'.$class_suffix;
	
	$theme			= $params->get('theme','red');
	$type 			= $params->get('type','simple_vertical');
	$autoplay		= $params->get('autoplay','1');
	$duration		= $params->get('duration','1');
	$interval		= $params->get('interval','3');
	$text_above		= $params->get('text_above','');
	$text_below		= $params->get('text_below','');
	$width			= $params->get('width','550');
	$height			= $params->get('height','250');
	$show_buttons	= $params->get('buttons','1');
	$effect			= $params->get('effect','Fx.Transitions.Bounce');
	$effectmethod	= $params->get('effectmethod','easeOut');
	
	$document =&JFactory::getDocument();
	
	if(JPluginHelper::isEnabled('system','mtupgrade') || modRseventsSliderHelper::isJ16()){
		$document -> addScript(JURI::root().'modules/mod_rsevents_slider/tmpl/js/_class.noobSlidefor1_2.js');
	}else {
		$document -> addScript(JURI::root().'modules/mod_rsevents_slider/tmpl/js/_class.noobSlidefor1_1.js');
	}
	$document -> addStyleSheet(JURI::root().'modules/mod_rsevents_slider/tmpl/css/'.$type.'/style_'.$theme.'.css','text/css', 'screen');
	require(JModuleHelper::getLayoutPath('mod_rsevents_slider', $type));
}else {
	echo JText::_('RSE_MODULE_SLIDER_RSEVENTS_CHECK');
}
?>