<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2011 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

class modRseventsHostMenuHelper
{

	/**
	 * Method to get the events
	 *
	 * @access public
	 * @return array
	 */
	function getMenu(&$params)
	{
		$db		=& JFactory::getDBO();
		$user	=& JFactory::getUser();
		$cid	= JRequest::getInt('cid');
		$option	= JRequest::getCmd('option');
		$view 	= JRequest::getCmd('view');
		$layout	= JRequest::getCmd('layout');
		
		if ($option != 'com_rsevents') return '';
		if ($view != 'events') return '';
		if ($layout != 'show') return '';
		
		$db->setQuery("SELECT IdUser FROM #__rsevents_events WHERE IdEvent = '".$cid."' ");
		$eventowner = $db->loadResult();
		
		if (modRseventsHostMenuHelper::is16())
			$groups = JAccess::getGroupsByUser($user->id);
		
		if ($user->usertype == 'Super Administrator' || (modRseventsHostMenuHelper::is16() && in_array(8,$groups)) || $eventowner == $user->id)
		{
			$module_suffix = $params->get('moduleclass_sfx','');
			
			require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'rsevents.php');
			require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'events.php');
			
			$db->setQuery("SELECT IdEvent, EventName, IdParent, EventEndDate as EventEndDateToTime, EventEnableRegistration FROM #__rsevents_events WHERE IdEvent = '".$cid."' ");
			$event = $db->loadObject();
			
			$attribs = array('jmodule' => 1 , 'suffix' => $module_suffix);
			
			return eventsHelper::createHostMenu($event,$attribs);
		} else return '';
	}
	
	function is16()
	{
		$jversion = new JVersion();
		$current_version =  $jversion->getShortVersion();
		return (version_compare('1.6.0', $current_version) <= 0);
	}
}