<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

class com_rseventsInstallerScript 
{
	function install($parent) 
	{
		
	}

	function postflight($type, $parent) 
	{
		$db =& JFactory::getDBO();
		$installer	= new JInstaller();
		
		if ($type == 'install')
		{
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('100', 'Default', 1, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('101', 'Blue', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('102', 'Pink', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('103', 'Classic', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('104', 'Dark', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('105', 'Green', 0, 0)");
			$db->query();
		}
		
		if ($type == 'update')
		{
			$db->setQuery("SELECT extension_id FROM #__extensions WHERE `element`='rseventswire' AND `folder`='system' AND `type` = 'plugin' LIMIT 1");
			$sysid = $db->loadResult();
			if ($sysid) $installer->uninstall('plugin', $sysid);
			
			
			// EVENTS TABLE UPDATE
			$db->setQuery("DESCRIBE `#__rsevents_events`"); 
			$events_table = $db->loadObjectList();

			foreach($events_table as $event_row)
			{
				if(!($event_row->Field == 'IdNewDesign'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `IdNewDesign` INT( 10 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'IdTheme'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `IdTheme` INT( 10 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'designtype'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `designtype` INT( 1 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'SubscriptionNotification'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `SubscriptionNotification` TINYINT( 1 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'payments'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `payments` VARCHAR( 255 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'early_discount_type'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `early_discount_type` TINYINT(1) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'early_discount_value'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `early_discount_value` FLOAT NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'early_discount_deadline'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `early_discount_deadline` INT(11) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'late_fee_type'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `late_fee_type` TINYINT(1) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'late_fee_value'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `late_fee_value` FLOAT NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'late_fee_date'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `late_fee_date` INT(11) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'ticket_pdf'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `ticket_pdf` TINYINT( 1 ) NOT NULL");
					$db->query();
				}
				if(!($event_row->Field == 'ticket_pdf_layout'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_events` ADD `ticket_pdf_layout` TEXT NOT NULL");
					$db->query();
				}
			}
			
			$db->setQuery("UPDATE #__rsevents_events SET designtype = 1 WHERE IdDesign != 0");
			$db->query();
			
			
			// SUBSCRIPTIONS TABLE UPDATE
			$db->setQuery("DESCRIBE `#__rsevents_subscriptions`");
			$subscriptions_table = $db->loadObjectList();
			
			foreach($subscriptions_table as $subscription_row)
			{
				if(!($subscription_row->Field == 'Discount'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscriptions` ADD `Discount` DOUBLE NOT NULL");
					$db->query();
				}
				if(!($subscription_row->Field == 'early_fee'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscriptions` ADD `early_fee` FLOAT NOT NULL");
					$db->query();
				}
				if(!($subscription_row->Field == 'late_fee'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscriptions` ADD `late_fee` FLOAT NOT NULL");
					$db->query();
				}
				if(!($subscription_row->Field == 'tax'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscriptions` ADD `tax` FLOAT NOT NULL");
					$db->query();
				}
				if(!($subscription_row->Field == 'log'))
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscriptions` ADD `log` TEXT NOT NULL");
					$db->query();
				}
			}
			
			
			// SUBSCRIPTIONS TICKETS TABLE UPDATE
			$db->setQuery("ALTER TABLE #__rsevents_subscription_tickets DROP INDEX IdSubscription_2");
			$db->query();
			$db->setQuery("ALTER TABLE #__rsevents_subscription_tickets DROP INDEX IdSubscription");
			$db->query();
			$db->setQuery("ALTER TABLE #__rsevents_subscription_tickets DROP INDEX IdFee");
			$db->query();
			
			$db->setQuery("DESCRIBE `#__rsevents_subscription_tickets`");
			$subscription_tickets_table = $db->loadObjectList();
			
			foreach ($subscription_tickets_table as $subscription_ticket)
			{
				$db->setQuery("SELECT IdSubscription, Discount FROM #__rsevents_subscription_tickets");
				$objects = $db->loadObjectList();
				
				if (!empty($objects))
					foreach ($objects as $object)
					{
						$db->setQuery("UPDATE #__rsevents_subscriptions SET Discount = '".$db->getEscaped($object->Discount)."' WHERE IdSubscription = ".(int) $object->IdSubscription." ");
						$db->query();
					}
				
				if ($subscription_ticket->Field == 'Discount')
				{
					$db->setQuery("ALTER TABLE `#__rsevents_subscription_tickets` DROP `Discount`");
					$db->query();
				}
			}
			
			
			// DESIGNS TABLE UPDATE
			
			$db->setQuery("DESCRIBE `#__rsevents_designs`");
			$designs_table = $db->loadObjectList();
			
			foreach($designs_table as $design_row)
			{
				if($design_row->Field == 'published')
				{
					$db->setQuery("ALTER TABLE `#__rsevents_designs` DROP `published`");
					$db->query();
				}
				if($design_row->Field == 'ordering')
				{
					$db->setQuery("ALTER TABLE `#__rsevents_designs` DROP `ordering`");
					$db->query();
				}
			}
			
			$db->setQuery("DESCRIBE `#__rsevents_designs` `designtype` ");
			$result = $db->loadResult();
			if (empty($result))
			{
				$db->setQuery("ALTER TABLE `#__rsevents_designs` ADD `designtype` INT(1) NOT NULL");
				$db->query();
				$db->setQuery("UPDATE #__rsevents_designs SET designtype = 1");
				$db->query();
			}
			
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('100', 'Default', 1, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('101', 'Blue', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('102', 'Pink', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('103', 'Classic', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('104', 'Dark', 0, 0)");
			$db->query();
			$db->setQuery("INSERT IGNORE INTO `#__rsevents_designs` (`IdDesign`, `DesignName`, `DesignDefault`, `designtype`) VALUES('105', 'Green', 0, 0)");
			$db->query();
			
			$sqlfile = JPATH_ADMINISTRATOR.DS.'components'.DS.'com_rsevents'.DS.'install.mysql.utf8.sql';
			$buffer = file_get_contents($sqlfile);
			if ($buffer === false)
			{
				JError::raiseWarning(1, JText::_('JLIB_INSTALLER_ERROR_SQL_READBUFFER'));
				return false;
			}
			
			jimport('joomla.installer.helper');
			$queries = JInstallerHelper::splitSql($buffer);
			if (count($queries) == 0) {
				// No queries to process
				return 0;
			}
			
			// Process each query in the $queries array (split out of sql file).
			foreach ($queries as $query)
			{
				$query = trim($query);
				if ($query != '' && $query{0} != '#')
				{
					$db->setQuery($query);
					if (!$db->query())
					{
						JError::raiseWarning(1, JText::sprintf('JLIB_INSTALLER_ERROR_SQL_ERROR', $db->stderr(true)));
						return false;
					}
				}
			}
		}
		
		$db->setQuery("SELECT extension_id FROM #__extensions WHERE `element`='com_rsevents' AND `type`='component'");
		$db->setQuery("UPDATE #__menu SET component_id='".$db->loadResult()."' WHERE id > 1 AND component_id=0 AND `type`='component' AND `link` LIKE 'index.php?option=com_rsevents%'");
		$db->query();
		
	}
	
	function uninstall($parent) 
	{
		$db 		= JFactory::getDBO();
		$installer	= new JInstaller();
		
		$db->setQuery("SELECT extension_id FROM #__extensions WHERE `element`='mod_rsevents_guestmenu' AND `type` = 'module' LIMIT 1");
		$modrgid = $db->loadResult();
		if ($modrgid) $installer->uninstall('module', $modrgid);
		
		$db->setQuery("SELECT extension_id FROM #__extensions WHERE `element`='mod_rsevents_hostmenu' AND `type` = 'module' LIMIT 1");
		$modrhid = $db->loadResult();
		if ($modrhid) $installer->uninstall('module', $modrhid);
	}
}
