<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$edit = rseventsHelper::is16() ? 'media/system/images/edit.png' : 'images/M_images/edit.png' ;
?>

<script type="text/javascript">
	function validation()
	{
		var form = document.adminForm;
		var ret = true;
		var sdate = 0;
		var edate = 0;
		var msg = new Array();
		
		if(form.EventName.value == '') 
		{ 
			form.EventName.className = 'rserror'; 
			ret=false;
			msg.push('<?php echo JText::_('RSE_ERROR_NO_EVENT_NAME',true); ?>');
		} else form.EventName.className = '';
		
		if(form.IdCategory.value == '0') 
		{ 
			form.IdCategory.className = 'rserror';
			ret=false;
			msg.push('<?php echo JText::_('RSE_ERROR_NO_CATEGORY',true); ?>');
		} else form.IdCategory.className = '';
		
		if(form.IdLocation.value == '0') 
		{ 
			form.IdLocation.className = 'rserror'; 
			ret=false;
			msg.push('<?php echo JText::_('RSE_ERROR_NO_LOCATION',true); ?>');
		} else form.IdLocation.className = '';
		
		if(form.EventHost.value=='') 
		{ 
			form.EventHost.className = 'rserror';
			ret=false;
			msg.push('<?php echo JText::_('RSE_ERROR_NO_HOST',true); ?>');
		} else form.EventHost.className = '';
		
		if(form.EventStartDate.value=='') { form.EventStartDate.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDate.className = '';  }	
		if(form.EventStartDateH.value=='') { form.EventStartDateH.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateH.className = ''; }	
		if(form.EventStartDateM.value=='') { form.EventStartDateM.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateM.className = '';  }	
		if(form.EventEndDate.value=='') { form.EventEndDate.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDate.className = '';	 }
		if(form.EventEndDateH.value=='') { form.EventEndDateH.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateH.className = '';  }	
		if(form.EventEndDateM.value=='') { form.EventEndDateM.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateM.className = '';  }	
		<?php if($this->rseventsConfig['enable.12format'] == 1) { ?>
		if(form.EventStartDateH.value > 12 || form.EventStartDateH.value < 1) { form.EventStartDateH.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateH.className = ''; }	
		if(form.EventStartDateM.value > 59 || form.EventStartDateM.value < 0) { form.EventStartDateM.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateM.className = '';  }
		if(form.EventEndDateH.value > 12 || form.EventEndDateH.value < 1) { form.EventEndDateH.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateH.className = '';  }	
		if(form.EventEndDateM.value > 59 || form.EventEndDateM.value < 0) { form.EventEndDateM.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateM.className = '';  }
		<?php } else { ?>
		if(form.EventStartDateH.value > 23 || form.EventStartDateH.value < 0) { form.EventStartDateH.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateH.className = ''; }	
		if(form.EventStartDateM.value > 59 || form.EventStartDateM.value < 0) { form.EventStartDateM.className = 'rserror'; ret=false; sdate = 1; } else { form.EventStartDateM.className = '';  }
		if(form.EventEndDateH.value > 23 || form.EventEndDateH.value < 0) { form.EventEndDateH.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateH.className = '';  }	
		if(form.EventEndDateM.value > 59 || form.EventEndDateM.value < 0) { form.EventEndDateM.className = 'rserror'; ret=false; edate = 1; } else { form.EventEndDateM.className = '';  }
		<?php } ?>
		
		if (sdate) msg.push('<?php echo JText::_('RSE_ERROR_INVALID_START_DATE',true); ?>');
		if (edate) msg.push('<?php echo JText::_('RSE_ERROR_INVALID_END_DATE',true); ?>');
		
		<?php if($this->rseventsConfig['enable.12format'] == 1) { ?>
		var date1 = form.EventStartDate.value.split("-");
		var year1 = date1[0];
		var month1 = date1[1];
		var day1 = date1[2];
		
		var date2 = form.EventEndDate.value.split("-");
		var year2 = date2[0];
		var month2 = date2[1];
		var day2 = date2[2];
		
		var type1;
		if (document.getElementById('EventAmPm10').checked) type1 = 'am'; else type1 = 'pm';
		var type2;
		if (document.getElementById('EventAmPm20').checked) type2 = 'am'; else type2 = 'pm';
		var d1 = new Date(year1 +' '+ month1 + ' ' + day1 + ' ' + form.EventStartDateH.value + ':' +form.EventStartDateM.value + ':00'+ ' ' + type1);
		var d2 = new Date(year2 +' '+ month2+ ' ' + day2 + ' ' + form.EventEndDateH.value + ':' +form.EventEndDateM.value + ':00'+ ' ' + type2);
		<?php } else { ?>
		d1 = strtotime(form.EventStartDate.value + ' ' + form.EventStartDateH.value + ':' + form.EventStartDateM.value);
		d2 = strtotime(form.EventEndDate.value + ' ' + form.EventEndDateH.value + ':' + form.EventEndDateM.value);
		<?php } ?>
		
		if (d1 > d2)
		{
			form.EventStartDate.className = 'rserror';
			form.EventEndDate.className = 'rserror';
			msg.push('<?php echo JText::_('RSE_INVALID_END_DATE',true); ?>');
			ret = false;
		}
		
		<?php if (!$this->data->designtype) { ?>
		if(form.IdNewDesign.value == '0') 
		{ 
			form.IdNewDesign.className = 'rserror'; 
			ret=false;
			msg.push('<?php echo JText::_('RSE_INVALID_DESIGN',true); ?>');
		} else form.IdNewDesign.className = '';
		
		if(form.IdTheme.value=='0') 
		{ 
			form.IdTheme.className = 'rserror'; 
			ret=false;
			msg.push('<?php echo JText::_('RSE_INVALID_THEME',true); ?>');
		} else form.IdTheme.className = '';
		<?php } ?>
		
		<?php if ($this->data->EventEnableRegistration) { ?>
		if (form.early_discount_value.value != '' && form.early_discount_value.value != '0' && form.early_discount_deadline.value == '')
		{
			form.early_discount_deadline.className = 'rserror';
			msg.push('<?php echo JText::_('RSE_EVENT_OPTION_EARLY_DISCOUNT_INFO',true); ?>');
			ret = false;
		} else form.early_discount_deadline.className = '';
		
		if (form.late_fee_value.value != '' && form.late_fee_value.value != '0' && form.late_fee_date.value == '')
		{
			form.late_fee_date.className = 'rserror';
			msg.push('<?php echo JText::_('RSE_EVENT_OPTION_LATE_FEE_INFO',true); ?>');
			ret = false;
		} else form.late_fee_date.className = '';
		
		ddate = strtotime(form.early_discount_deadline.value);
		edate = strtotime(form.late_fee_date.value);
		
		if (form.early_discount_value.value != '' && form.early_discount_value.value != '0' && form.early_discount_deadline.value != '' && form.late_fee_value.value != '' && form.late_fee_value.value != '0' && form.late_fee_date.value != '' && edate <= ddate)
		{
			form.late_fee_date.className = 'rserror';
			msg.push('<?php echo JText::_('RSE_EVENT_OPTION_LATE_FEE_DATE_INFO',true); ?>');
			ret = false;
		} else form.late_fee_date.className = '';
		
		if (document.getElementById('EventEnableRegistration1').checked && form.EventStartRegistration.value != '' && form.EventEndRegistration.value != '')
		{
			var d3 = strtotime(form.EventStartRegistration.value);
			var d4 = strtotime(form.EventEndRegistration.value);
			
			if (d3 > d4)
			{
				form.EventStartRegistration.className = 'rserror';
				form.EventEndRegistration.className = 'rserror';
				ret = false;
				msg.push('<?php echo JText::_('RSE_ERROR_INVALID_SE_REGISTRATION',true); ?>');
			}
		}
		<?php } ?>
		
		if (msg != '')
		{
			document.getElementById('rse_error').style.display = 'block';
			document.getElementById('rse_error').innerHTML = msg.join('<br />');
		} else document.getElementById('rse_error').style.display = 'none';
		
		return ret;
	}
	
	function rse_enable_tickets(value)
	{
		if (value == 1)
			document.getElementById('rse_manage_tickets').style.display = '';
		else
			document.getElementById('rse_manage_tickets').style.display = 'none';
	}
	
	function rse_doApply()
	{
		document.getElementById('task').value = 'apply';
		return validation();
	}
	
	function rse_doSave()
	{
		document.getElementById('task').value = 'save';
		return validation();
	}
	
	function rse_doCancel()
	{
		<?php if (!empty($this->data->IdEvent)) { ?>
		document.location = '<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($this->data->IdEvent,$this->data->EventName),false) ?>';
		<?php } else { ?>
		document.location = '<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events',false) ?>';
		<?php } ?>
	}
	
	function rse_onFocus(what,text)
	{
		if (what.value == text)
			what.value = '';
	}

	function rse_onBlur(what,text)
	{
		if (what.value == '')
			what.value = text;
	}
	
	function newFile()
	{
		filesdiv = document.getElementById('files');
		
		br = document.createElement("br");
		input = document.createElement("input");
		input.type = 'file';
		input.name = 'files[]';
		input.size = '40';
		
		filesdiv.appendChild(br);
		filesdiv.appendChild(input);
	}	
</script>

<form action="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=addeditevent&cid='.eventsHelper::sef($this->data->IdEvent,$this->data->EventName),false); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">

<div id="rse_error"></div>

<fieldset class="rsevents" id="page_1">
	<legend><?php echo JText::_('RSE_EVENT_INFO'); ?></legend>
	
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="rse_table">
		<?php if($this->isAdmin) { ?>
		<tr>
			<td><label for="published"><?php echo JText::_( 'RSE_PUBLISHED' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','published','class="inputbox"',empty($this->data->published) ? 1 : $this->data->published); ?></td>
		</tr>
		<?php } ?>
		<tr>
			<td><label for="EventName"><?php echo JText::_( 'RSE_EVENT_NAME' ).':'; ?></label></td>
			<td><input id="EventName" name="EventName" value="<?php echo $this->escape($this->data->EventName); ?>" size="50" maxlength="100" /> (*)</td>
		</tr>
		<tr>
			<td><label for="EventSubtitle"><?php echo JText::_( 'RSE_EVENT_SUBTITLE' ).':'; ?></label></td>
			<td><input id="EventSubtitle" name="EventSubtitle" value="<?php echo $this->escape($this->data->EventSubtitle); ?>" size="50" maxlength="100" /></td>
		</tr>
		<tr>
			<td><label for="EventHost"><?php echo JText::_( 'RSE_EVENT_HOSTER' ).':'; ?></label></td>
			<td><input id="EventHost" name="EventHost" value="<?php echo $this->escape($this->data->EventHost); ?>" size="50" maxlength="100" /> (*)</td>
		</tr>
		<tr>
			<td><label for="EventURL"><?php echo JText::_( 'RSE_EVENT_WEB' ).':'; ?></label></td>
			<td><input id="EventURL" name="EventURL" value="<?php echo $this->escape($this->data->EventURL); ?>" size="50" maxlength="100" /></td>
		</tr>
		<tr>
			<td><label for="EventPhone"><?php echo JText::_( 'RSE_EVENT_PHONE' ).':'; ?></label></td>
			<td><input id="EventPhone" name="EventPhone" value="<?php echo $this->escape($this->data->EventPhone); ?>" size="50" maxlength="100" /></td>
		</tr>
		<tr>
			<td><label for="EventEmail"><?php echo JText::_( 'RSE_EVENT_EMAIL' ).':'; ?></label></td>
			<td><input id="EventEmail" name="EventEmail" value="<?php echo $this->escape($this->data->EventEmail); ?>" size="50" maxlength="100" /></td>
		</tr>
		<?php if ($this->data->designtype) { ?>
		<tr>
			<td><label for="design"><?php echo JText::_( 'RSE_EVENT_OLD_DESIGN' ).':'; ?></label></td>
			<td>
				<?php
					$this->db->setQuery("SELECT DesignName FROM #__rsevents_designs WHERE IdDesign = '".$this->data->IdDesign."' AND designtype = 1 ");
					echo $this->db->loadResult(); 
				?>
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td><label for="IdNewDesign"><?php echo JText::_( 'RSE_EVENT_NEW_DESIGN' ).':'; ?></label></td>
			<td><?php echo $this->lists['designs']; ?> <?php if (!$this->data->designtype) echo '(*)'; ?></td>
		</tr>
		<tr>
			<td><label for="IdTheme"><?php echo JText::_( 'RSE_EVENT_THEME' ).':'; ?></label></td>
			<td><?php echo $this->lists['themes']; ?> <?php if (!$this->data->designtype) echo '(*)'; ?></td>
		</tr>
		<?php if($this->numCat != 1) { ?>
		<tr>
			<td><label for="IdCategory"><?php echo JText::_( 'RSE_EVENT_CATEGORY' ).':'; ?></label></td>
			<td><?php echo $this->lists['categories']; ?> (*)</td>
		</tr>
		<?php } ?>
		<tr>
			<td>
				<label for="IdLocation"><?php echo JText::_( 'RSE_EVENT_LOCATION' ).':'; ?></label> 
				<img id="rse_hideme" style="display:none;" src="<?php echo JURI::root().'components/com_rsevents/assets/images/loader.gif' ?>">
			</td>
			<td>						
				<input type="text" name="lfilter" id="lfilter" value="<?php echo JText::_('RSE_SEARCH'); ?>" size="15" onkeyup="rse_search_locations(this.value);" onkeydown="rse_stop_search_locations();" onblur="rse_onBlur(this,'<?php echo JText::_('RSE_SEARCH'); ?>');" onfocus="rse_onFocus(this,'<?php echo JText::_('RSE_SEARCH'); ?>');" />	
				<span id="rse_locations"><?php echo $this->lists['locations']; ?></span>  (*) 
				<?php echo ($this->locationPermission != '0') ? '<a class="modal" href="'.rseventsHelper::route('index.php?option=com_rsevents&view=locations&layout=addeditlocation&tmpl=component',false).'" rel="{handler: \'iframe\', size: {x: 800, y: 600}}">'.JText::_('RSE_EVENT_ADD_LOCATION').'</a>' : ''; ?>
			</td>
		</tr>
		<tr>
			<td><label for="EventStartDate"><?php echo JText::_( 'RSE_EVENT_START_DATE' ).':'; ?></label></td>
			<td>
				<?php echo JHTML::_('rsevents.calendar', date('Y-m-d',$this->data->EventStartDate), "EventStartDate", "EventStartDate"); ?>					
				<input name="EventStartDateH" style="text-align:center;" value="<?php echo $this->data->EventStartDateH; ?>" size="3" maxlength="2" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');" /> : <input name="EventStartDateM"  style="text-align:center;" value="<?php echo $this->data->EventStartDateM; ?>" size="3" maxlength="2" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');" /> <?php if($this->rseventsConfig['enable.12format'] == 1) echo JHTML::_('select.booleanlist','EventAmPm1','class="inputbox"',$this->data->EventAmPm1,'pm','am'); ?> (*)
			</td>
		</tr>
		<tr>
			<td><label for="EventEndDate"><?php echo JText::_( 'RSE_EVENT_END_DATE' ).':'; ?></label></td>
			<td>						
				<?php echo JHTML::_('rsevents.calendar', date('Y-m-d',$this->data->EventEndDate), "EventEndDate", "EventEndDate"); ?>						
				<input name="EventEndDateH" style="text-align:center;" value="<?php echo $this->data->EventEndDateH; ?>" size="3" maxlength="2" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');" /> : <input name="EventEndDateM" style="text-align:center;" value="<?php echo $this->data->EventEndDateM; ?>" size="3" maxlength="2" onkeyup="javascript:this.value=this.value.replace(/[^0-9]/g, '');" /> <?php if($this->rseventsConfig['enable.12format'] == 1) echo JHTML::_('select.booleanlist','EventAmPm2','class="inputbox"',$this->data->EventAmPm2,'pm','am'); ?> (*)
			</td>
		</tr>
		<tr>
			<td><label for="EventType" class="hasTip" title="<?php echo JText::_('RSE_EVENT_OPTION_TYPE_DESC'); ?>"><?php echo JText::_( 'RSE_EVENT_OPTION_TYPE' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','EventType','class="inputbox"',($this->data->IdEvent ? $this->data->EventType:1),JText::_('RSE_PUBLIC'),JText::_('RSE_PRIVATE')); ?></td>
		</tr>
		<?php if($this->data->EventType == '0') { ?>
		<tr>
			<td><label for="privateUrl"><?php echo JText::_( 'RSE_EVENT_OPTION_PRIVATE_URL' ).':'; ?></label></td>
			<td>
				<strong><a href="<?php echo JURI::root().'index.php?option=com_rsevents&view=events&layout=show&cid='.$this->data->IdEvent.'&privateUrl='.$this->data->EventPrivateUrl; ?>" target="_blank"><?php echo JURI::root().'index.php?option=com_rsevents&view=events&layout=show&cid='.$this->data->IdEvent.'&privateUrl='.$this->data->EventPrivateUrl; ?></a></strong> - (<a href="index.php?option=com_rsevents&task=generate&cid=<?php echo $this->data->IdEvent; ?>&controller=events"><?php echo JText::_('RSE_EVENT_GENERATE_PRIVATE_URL');?></a>)
			</td>
		</tr>
		<?php } ?>
		<?php if($this->rseventsConfig['events.commenting'] != 0) { ?>
		<tr>
			<td><label for="EventEnableComments"><?php echo JText::_( 'RSE_EVENT_OPTION_COMMENT' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','EventEnableComments','class="inputbox"',$this->data->EventEnableComments); ?></td>
		</tr>
		<?php } ?>
		<?php if ($this->rseventsConfig['enable.event.icon'] == 1) { ?>
		<tr>
			<td><label for="EventIcon"><?php echo JText::_( 'RSE_ICON' ).':'; ?></label></td>
			<td>
				<?php if ($this->data->EventIcon == '') { ?>
					<input type="file" id="EventIcon" name="icon" size="40"/>
				<?php } else { 
				jimport('joomla.filesystem.file');
				$ext = JFile::getExt($this->data->EventIcon);
				$image = str_replace('.'.$ext,'_'.$this->rseventsConfig['event.icon.small'].'.'.$ext,$this->data->EventIcon);
				?>
					<img style="vertical-align:middle;" src="<?php echo JURI::root(); ?>components/com_rsevents/assets/images/thumbs/<?php echo $image; ?>" /> <a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&task=deleteicon&controller=events&cid='.$this->data->IdEvent,false); ?>"><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/delete.png'; ?>" /></a>
				<?php } ?>
			</td>
		</tr>
		<?php } ?>
		<tr>
			<td colspan="2" style="text-align:right;">
				<button type="button" class="rse_btn" onclick="checkOpen(2,5);"><?php echo JText::_('RSE_NEXT_BTN'); ?> &raquo;</button>
			</td>
		</tr>
	</table>
	
</fieldset>

<fieldset class="rsevents" id="page_2">
	<legend><?php echo JText::_('RSE_EVENT_LEGEND_DESCRIPTION'); ?></legend>
	
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="rse_table">
		<tr>
			<td><label for="EventDescription"><?php echo JText::_( 'RSE_EVENT_LEGEND_DESCRIPTION' ).':'; ?></label></td>
			<td><?php echo $this->editor->display('EventDescription',$this->data->EventDescription,450,400,50,10,(bool) $this->rseventsConfig['editor.buttons']); ?></td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:right;">
				<button type="button" class="rse_btn" onclick="checkOpen(1,5);">&laquo; <?php echo JText::_('RSE_PREVIOUS_BTN'); ?></button>
				<button type="button" class="rse_btn" onclick="checkOpen(3,5);"><?php echo JText::_('RSE_NEXT_BTN'); ?> &raquo;</button>
			</td>
		</tr>
	</table>
	
</fieldset>

<fieldset class="rsevents" id="page_3">
	<legend><?php echo JText::_('RSE_EVENT_LEGEND_REGISTRATION'); ?></legend>
	
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="rse_table">
		<tr>
			<td><label for="EventEnableRegistration"><?php echo JText::_( 'RSE_EVENT_OPTION_REGISTRATION' ).':'; ?></label></td>
			<td>
				<?php echo JHTML::_('select.booleanlist','EventEnableRegistration','class="inputbox" onclick="rse_enable_tickets(this.value)"',$this->data->EventEnableRegistration); ?>
					<span id="rse_manage_tickets" style="<?php echo $this->data->EventEnableRegistration ? '' : 'display: none'; ?>">
					<?php if (!$this->data->IdEvent) { ?>
						<strong style="display: block;"><?php echo JText::_('RSE_EVENT_SAVE_FIRST'); ?></strong>
					<?php } else { ?>
						<a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=tickets&cid='.$this->data->IdEvent.':'.JFilterOutput::stringURLSafe($this->data->EventName),false); ?>"><?php echo JText::_('RSE_EVENT_OPTION_TICKETS'); ?></a>
					<?php } ?>
					</span>
			</td>
		</tr>
		<?php if ($this->data->EventEnableRegistration) { ?>
		<tr>
			<td><label for="payments"><?php echo JText::_( 'RSE_EVENT_AVAILABLE_PAYMENTS' ).':'; ?></label></td>
			<td><?php echo $this->lists['payments']; ?></td>
		</tr>
		<tr>
			<td><label for="EventStartRegistration"><?php echo JText::_( 'RSE_EVENT_OPTION_START_REGISTRATION' ).':'; ?></label></td>
			<td><?php echo JHTML::_('rsevents.calendar', empty($this->data->EventStartRegistration) ? '' : date('Y-m-d',$this->data->EventStartRegistration), "EventStartRegistration", "EventStartRegistration"); ?></td>
		</tr>
		<tr>
			<td><label for="EventEndRegistration"><?php echo JText::_( 'RSE_EVENT_OPTION_END_REGISTRATION' ).':'; ?></label></td>
			<td><?php echo JHTML::_('rsevents.calendar', empty($this->data->EventEndRegistration) ? '' : date('Y-m-d',$this->data->EventEndRegistration), "EventEndRegistration", "EventEndRegistration"); ?></td>
		</tr>
		<tr>
			<td><label for="early_discount_type"><?php echo JText::_( 'RSE_EVENT_OPTION_EARLY_DISCOUNT_TYPE' ).':'; ?></label></td>
			<td><?php echo $this->lists['early_discount']; ?></td>
		</tr>
		<tr>
			<td><label for="early_discount_value"><?php echo JText::_( 'RSE_EVENT_OPTION_EARLY_DISCOUNT_VALUE' ).':'; ?></label></td>
			<td><input type="text" id="early_discount_value" name="early_discount_value" value="<?php echo $this->data->early_discount_value; ?>" size="5" /></td>
		</tr>
		<tr>
			<td><label for="early_discount_deadline" class="hasTip" title="<?php echo JText::_('RSE_EVENT_OPTION_EARLY_DISCOUNT_DEADLINE_DESC'); ?>"><?php echo JText::_( 'RSE_EVENT_OPTION_EARLY_DISCOUNT_DEADLINE' ).':'; ?></label></td>
			<td><?php echo JHTML::_('rsevents.calendar', empty($this->data->early_discount_deadline) ? '' : date('Y-m-d H:i',$this->data->early_discount_deadline), "early_discount_deadline", "early_discount_deadline", "%Y-%m-%d %H:%M"); ?></td>
		</tr>
		<tr>
			<td><label for="late_fee_type"><?php echo JText::_( 'RSE_EVENT_OPTION_LATE_FEE_TYPE' ).':'; ?></label></td>
			<td><?php echo $this->lists['late_fee']; ?></td>
		</tr>
		<tr>
			<td><label for="late_fee_value"><?php echo JText::_( 'RSE_EVENT_OPTION_LATE_FEE_VALUE' ).':'; ?></label></td>
			<td><input type="text" id="late_fee_value" name="late_fee_value" value="<?php echo $this->data->late_fee_value; ?>" size="5" /></td>
		</tr>
		<tr>
			<td><label for="late_fee_date" class="hasTip" title="<?php echo JText::_('RSE_EVENT_OPTION_LATE_FEE_DEADLINE_DESC'); ?>"><?php echo JText::_( 'RSE_EVENT_OPTION_LATE_FEE_DEADLINE' ).':'; ?></label></td>
			<td><?php echo JHTML::_('rsevents.calendar', empty($this->data->late_fee_date) ? '' : date('Y-m-d H:i',$this->data->late_fee_date), "late_fee_date", "late_fee_date", "%Y-%m-%d %H:%M"); ?></td>
		</tr>
		<?php } ?>
		<tr>
			<td><label for="EventRegistrationForm"><?php echo JText::_( 'RSE_EVENT_REGISTRATION_FORM' ).':'; ?></label></td>
			<td><?php echo $this->lists['forms']; ?></td>
		</tr>
		<tr>
			<td><label for="SubscriptionNotification"><?php echo JText::_( 'RSE_EVENT_SUBSCRIPTION_NOTIFICATION' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','SubscriptionNotification','class="inputbox"',$this->data->SubscriptionNotification); ?></td>
		</tr>
		<tr>
			<td><label for="EventOverbooking"><?php echo JText::_( 'RSE_EVENT_OPTION_OVERBOOKING' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','EventOverbooking','class="inputbox"',$this->data->EventOverbooking); ?></td>
		</tr>
		<tr>
			<td><label for="EventShowGuest"><?php echo JText::_( 'RSE_EVENT_OPTION_GUEST' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','EventShowGuest','class="inputbox"',$this->data->EventShowGuest); ?></td>
		</tr>
		<tr>
			<td><label for="EventAutoApprove" class="hasTip" title="<?php echo JText::_('RSE_EVENT_AUTO_APROVE_INFO'); ?>"><?php echo JText::_( 'RSE_EVENT_AUTO_APROVE' ).':'; ?></label></td>
			<td><?php echo JHTML::_('select.booleanlist','EventAutoApprove','class="inputbox"',$this->data->EventAutoApprove); ?></td>
		</tr>
		<?php if (defined('RSEVENTS_PAYPAL') && $this->rseventsConfig['paypal.for.users'] == 1) { ?>
		<tr>
			<td><label for="EventPaypalEmail"><?php echo JText::_( 'RSE_PAYPAL_EMAIL' ).':'; ?></label></td>
			<td><input id="EventPaypalEmail" name="EventPaypalEmail" value="<?php echo $this->escape($this->data->EventPaypalEmail); ?>" size="50" /></td>
		</tr>
		<tr>
		   <td width="200"><label for="returnurl"><?php echo JText::_('RSE_PAYPAL_RETURN_URL') . ' : '; ?></label>
		   <td><input type="text" name="EventReturnUrl" value="<?php echo $this->escape($this->data->EventReturnUrl); ?>" size="50" /></td>
		</tr>
		<?php } ?>
		<tr>
			<td colspan="2" style="text-align:right;">
				<button type="button" class="rse_btn" onclick="checkOpen(2,5);">&laquo; <?php echo JText::_('RSE_PREVIOUS_BTN'); ?></button>
				<button type="button" class="rse_btn" onclick="checkOpen(4,5);"><?php echo JText::_('RSE_NEXT_BTN'); ?> &raquo;</button>
			</td>
		</tr>
	</table>
	
</fieldset>

<fieldset class="rsevents" id="page_4">
	<legend><?php echo JText::_('RSE_EVENT_LEGEND_EXTRA'); ?></legend>
	
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="rse_table">
		<tr>
			<td>
				<fieldset class="rsevents">
					<legend><?php echo JText::_('RSE_EXTRAS'); ?></legend>
					<p>
						<?php $rel = rseventsHelper::is16() ? 'rel="{handler: \'iframe\'}"' : ''; ?>
						<?php $links=array();
						if ($this->rseventsConfig['events.extras.youtube']) $links[] = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=youtube&cid=0&IdEvent='.$this->data->IdEvent.'&tmpl=component',false).'" '.$rel.' class="modal">'.JText::_('Youtube').'</a>'; 
						if($this->rseventsConfig['events.extras.flash']) $links[] = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=flash&cid=0&IdEvent='.$this->data->IdEvent.'&tmpl=component',false).'" '.$rel.' class="modal">'.JText::_('Flash').'</a>';
						if($this->rseventsConfig['events.extras.mp3']) $links[] = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=mp3&cid=0&IdEvent='.$this->data->IdEvent.'&tmpl=component',false).'" '.$rel.' class="modal">'.JText::_('MP3').'</a>';
						if($this->rseventsConfig['events.extras.meebo']) $links[] = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=chat&cid=0&IdEvent='.$this->data->IdEvent.'&tmpl=component',false).'" '.$rel.' class="modal">'.JText::_('Meebo').'</a>';
						if($this->rseventsConfig['events.extras.flickr']) $links[] = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=flickr&cid=0&IdEvent='.$this->data->IdEvent.'&tmpl=component',false).'" '.$rel.' class="modal">'.JText::_('Flickr').'</a>';
						echo implode(' | ',$links);	?>
					</p>
					<?php if(!empty($this->extras)) { ?>		
					<table cellpadding="0" cellspacing="0" class="rsevents-table-list">
						<thead>
							<tr>
								<th style="text-align:center;"><?php echo JText::_( 'RSE_EXTRA_TYPE' ); ?></th>
								<th style="text-align:center;"><?php echo JText::_( 'RSE_EXTRA' ); ?></th>
								<th style="text-align:center;"><?php echo JText::_( 'RSE_EDIT' );  ?></th>
								<th style="text-align:center;"><?php echo JText::_( 'RSE_EXTRAS_DELETE' ); ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
							$k = 0;
							for ($i=0,$n=count($this->extras);$i<$n;$i++)
							{		
							$row =& $this->extras[$i];
							if($row->ExtraName=='flash') $row->ExtraValue = '---';
							if($row->ExtraName=='meebo') $row->ExtraValue = '---';
							if ($row->ExtraName == 'meebo') $row->ExtraName = 'chat';
							?>
								<tr class="<?php echo "row$k"; ?>">
									<td align="center"><img src="<?php echo JURI::root().'components/com_rsevents/assets/images/icons/'.$row->ExtraName.'.jpg'; ?>" /></td>
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout='.$row->ExtraName.'&cid='.$row->IdExtra.'&IdEvent='.$this->data->IdEvent.'&tmpl=component',false); ?>" <?php echo $rel; ?> class="modal"><?php echo substr(preg_replace('/\<br(\s*)?\/?\>/i', "\n", $row->ExtraValue),0,50); ?></a></td>
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout='.$row->ExtraName.'&cid='.$row->IdExtra.'&IdEvent='.$this->data->IdEvent.'&tmpl=component',false); ?>" <?php echo $rel; ?> class="modal"><img src="<?php echo JURI::root().$edit; ?>"></a></td>
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&task=deleteextra&controller=events&cid='.$row->IdExtra.'&IdEvent='.$this->data->IdEvent,false); ?>"><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/delete.png'; ?>"></a></td>
								</tr>
							<?php $k=1-$k; } ?>
						</tbody>
					</table>	
					<?php } ?>
				</fieldset>
			</td>
		</tr>
		<tr>
			<td>
				<fieldset class="rsevents">
					<legend><?php echo JText::_('RSE_FILES'); ?></legend>
					<div id="files">
						<input type="file" name="files[]" size="40"/>
					</div>
					<br/><a href="" onclick="newFile();return false;"><?php echo JText::_('RSE_FILE_ADD_FILES'); ?></a>
					<?php if(!empty($this->files)) { ?>				
					<table  class="rsevents-table-list">
						<thead>
							<tr>
								<th align="center"><?php echo JText::_( 'RSE_FILE_NAME' ); ?></th>
								<th align="center"><?php echo JText::_( 'RSE_FILE_VISIBLE_EVERYONE' ); ?></th>
								<th align="center"><?php echo JText::_( 'RSE_FILE_VISIBLE_REGISTERED' ); ?></th>
								<th align="center"><?php echo JText::_( 'RSE_EDIT' ); ?></th>
								<th align="center"><?php echo JText::_( 'RSE_DELETE_FILE' ); ?></th>
							</tr>
						</thead>
						<tbody>
							<?php
							$k = 0;
							for ($i=0,$n=count($this->files);$i<$n;$i++)
							{		
								$row =& $this->files[$i];
							?>
								<tr class="<?php echo "row$k"; ?>">
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=files&cid='.$row->IdFile.'&IdEvent='.$this->data->IdEvent.'&tmpl=component',false); ?>" <?php echo $rel; ?> class="modal"><?php echo $this->escape($row->FileName); ?></a></td>
									<td align="center"><?php echo JText::_('RSE_FILE_BEFORE').$row->fp0.' '; ?><?php echo JText::_('RSE_FILE_DURING').$row->fp1.' '; ?><?php echo JText::_('RSE_FILE_AFTER').$row->fp2.' '; ?></td>
									<td align="center"><?php echo JText::_('RSE_FILE_BEFORE').$row->fp3.' '; ?><?php echo JText::_('RSE_FILE_DURING').$row->fp4.' '; ?><?php echo JText::_('RSE_FILE_AFTER').$row->fp5.' '; ?></td>
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=files&cid='.$row->IdFile.'&IdEvent='.$this->data->IdEvent.'&tmpl=component',false); ?>" <?php echo $rel; ?> class="modal"><img src="<?php echo JURI::root().$edit; ?>"></a></td>
									<td align="center"><a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&task=deletefile&controller=files&cid='.$row->IdFile.'&IdEvent='.$row->IdEvent,false); ?>"><img src="<?php echo JURI::root().'administrator/components/com_rsevents/assets/images/icons/delete.png'; ?>" title="Delete" alt="<?php echo JText::_('RSE_DELETE_FILE'); ?>"></a></td>
								</tr>
							<?php $k=1-$k; } ?>
						</tbody>
					</table>		
					<?php } ?>	
				</fieldset>
			</td>
		</tr>
		<?php $app =& JFactory::getApplication(); ?>
		<?php $app->triggerEvent('rse_frontendEventTabs',array(array('data'=>&$this->data))); ?>
		<tr>
			<td style="text-align:right;">
				<button type="button" class="rse_btn" onclick="checkOpen(3,5);">&laquo; <?php echo JText::_('RSE_PREVIOUS_BTN'); ?></button>
				<button type="button" class="rse_btn" onclick="checkOpen(5,5);"><?php echo JText::_('RSE_NEXT_BTN'); ?> &raquo;</button>
			</td>
		</tr>
	</table>
	
</fieldset>

<fieldset class="rsevents" id="page_5">
	<legend><?php echo JText::_('RSE_EVENT_LEGEND_META'); ?></legend>
	
	<table cellpadding="5" cellspacing="0" border="0" width="100%" class="rse_table">
		<tr>
			<td><label for="EventPageTitle"><?php echo JText::_( 'RSE_EVENT_PAGE_TITLE' ).':'; ?></label></td>
			<td><input type="text" id="EventPageTitle" name="EventPageTitle" value="<?php echo $this->escape($this->data->EventPageTitle); ?>" size="50"/></td>
		</tr>
		<tr>
			<td><label for="EventKeywords"><?php echo JText::_( 'RSE_EVENT_KEYWORDS' ).':'; ?></label></td>
			<td><textarea id="EventKeywords" name="EventKeywords" rows="5" cols="50"><?php echo $this->escape($this->data->EventKeywords); ?></textarea></td>
		</tr>
		<tr>
			<td><label for="EventMetaDescription"><?php echo JText::_( 'RSE_EVENT_METADESCRIPTION' ).':'; ?></label></td>
			<td><textarea id="EventMetaDescription" name="EventMetaDescription" rows="5" cols="50"><?php echo $this->escape($this->data->EventMetaDescription); ?></textarea></td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:right;">
				<button type="button" class="rse_btn" onclick="checkOpen(4,5);">&laquo; <?php echo JText::_('RSE_PREVIOUS_BTN'); ?></button>
			</td>
		</tr>
	</table>
	
</fieldset>

<div class="rse_btn_actions">
	<button type="submit" class="rse_btn" onclick="return rse_doApply()"><?php echo JText::_('RSE_APPLY'); ?></button>
	<button type="submit" class="rse_btn" onclick="return rse_doSave()"><?php echo JText::_('RSE_SAVE_BTN'); ?></button>
	<button type="button" class="rse_btn" onclick="rse_doCancel()"><?php echo JText::_('RSE_CANCEL_BTN'); ?></button>
</div>

<?php echo JHTML::_( 'form.token' ); ?>
<input type="hidden" name="option" value="com_rsevents" />
<input type="hidden" name="cid" value="<?php echo $this->data->IdEvent; ?>" />
<input type="hidden" name="IdEvent" value="<?php echo $this->data->IdEvent; ?>" />
<input type="hidden" name="controller" value="events" />
<input type="hidden" name="view" value="events" />
<input type="hidden" name="layout" value="addeditevent" />
<input type="hidden" id="task" name="task" value="save" />
<input type="hidden" id="rstab" name="tab" value="1" />
<input type="hidden" name="EventIcon" value="<?php echo $this->escape($this->data->EventIcon); ?>" />
<?php if($this->numCat ==1) { ?><input type="hidden" id="IdCategory" name="IdCategory[]" value="<?php echo $this->idCat; ?>" /><?php } ?>
<?php
//keep session alive while editing
JHTML::_('behavior.keepalive');
?>
</form>

<script type="text/javascript">
function checkOpen(page, totalPages)
{
	document.getElementById('rstab').value = page;
	for (var i=0; i<=totalPages; i++)
	{
		var thePage = document.getElementById('page_' + i);
		if (thePage)
			document.getElementById('page_' + i).style.display = 'none';
	}
	
	var thePage = document.getElementById('page_' + page);
	if (thePage)
		thePage.style.display = '';
}
checkOpen(<?php echo JRequest::getInt('tab',1); ?>,5);
</script>