<?php 
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>


<div style="text-align:right;">
	<?php if($this->isAdmin) { ?>
		<a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=addeditevent',false); ?>" class="editlinktip hasTip" title="<?php echo JText::_('RSE_ADD_EVENT_TITLE'); ?>"><img src="<?php echo JURI::root().$this->edit; ?>" alt="<?php echo JText::_('RSE_ADD_EVENT'); ?>" /></a>
	<?php } ?>
	<?php if ($this->rseventsConfig['enable.rss']) { ?>
		<a href="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events&format=feed&type=rss',false); ?>"><img src="<?php echo JURI::root().$this->rss; ?>" /></a>
	<?php } ?>
</div>


<?php if (rseventsHelper::is16()) { ?>
	<?php if ($this->parameters->get('show_page_heading', 1)) { ?>
	<?php $title = $this->parameters->get('page_heading', ''); ?>
	<h1><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_EVENTS'); ?></h1>
	<?php } ?>
<?php } else { ?>
	<?php if ($this->parameters->get('show_page_title', 1)) { ?>
	<?php $title = $this->parameters->get('page_title', ''); ?>
	<div class="componentheading<?php echo $this->escape($this->parameters->get('pageclass_sfx')); ?>"><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_EVENTS'); ?></div>
	<?php } ?>
<?php } ?>
<br/>

<?php 
if($this->search_location == 0  || $this->search_location == 2)
	echo rseventsViewEvents::showSearch(); 
?>

<form action="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=events',false); ?>" method="post" name="adminForm">
<?php if($this->parameters->get('enableordering') == 1 && ($this->parameters->get('orderloction') == 0 || $this->parameters->get('orderloction') == 2)) { ?>
	<div style="text-align:right;">
		<?php echo JHTML::_('grid.sort',  JText::_('RSE_ORDERING').' ', 'e.EventStartDate', $this->direction, 'e.EventStartDate'); ?>
	</div>
	<br/>
<?php } ?>

<?php echo $this->layout; ?>

<?php if($this->parameters->get('enableordering') == 1 && ($this->parameters->get('orderloction') == 1 || $this->parameters->get('orderloction') == 2)) { ?>
	<br/>
	<div style="text-align:right;">
		<?php echo JHTML::_('grid.sort',  JText::_('RSE_ORDERING').' ', 'e.EventStartDate', $this->direction, 'e.EventStartDate'); ?>
	</div>
	<br/>
<?php } ?>

<div class="rsevents-pagination pagination">
	<div class="pageslinks">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
	<p class="pagescounter">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</p>
</div>
<br/>
<input type="hidden" name="direction" id="rsdirection" value="" />
</form>
<?php 
if($this->search_location == 1 || $this->search_location == 2)
	echo rseventsViewEvents::showSearch(); 
?>

<script type="text/javascript">
function tableOrdering(order, dir, task)
{	
	document.getElementById('rsdirection').value = dir;
	document.adminForm.submit();
}
<?php if (rseventsHelper::is16()) { ?>Joomla.tableOrdering = tableOrdering;<?php } ?>
</script>