<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.modal');
?>
<script language="javascript" type="text/javascript">
function reloadCaptcha()
{
	document.getElementById('captcha').src = document.getElementById('captcha').src+ '?' +new Date();
}
</script>
<div id="rsevents-action">
<form action="<?php echo rseventsHelper::route('index.php'); ?>" method="post" name="adminForm" id="adminForm">
	<table cellpadding="4" cellspacing="0" border="0" width="100%" class="rse_table">
		<tr>
			<td>
				<label for="rse_form">
					<?php echo JText::_('RSE_FROM'); ?>
				</label>
			</td>
			<td>
				<input type="text" value="" id="rse_form" name="rse_from" size="40" />
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<?php echo JText::_('RSE_INVITE_ADDRESSES'); ?> <br />
				<textarea name="emails" rows="10" cols="100" class="rsevents-message" id="rsevents-emails"><?php echo $this->escape($this->importedContacts);?></textarea>
				<br /> <?php echo JText::_('RSE_INVITE_IMPORTS'); ?>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<table cellpadding="5" cellspacing="0" border="0">
					<tr>
						<td colspan="2">
							<input type="radio" name="importfrom" value="yahoo" id="yahoo" checked="checked" onclick="rse_change_carrier('yahoo');"/>
							<label for="yahoo"><img src="<?php echo JURI::root();?>components/com_rsevents/assets/images/yahoo.png" border="0"/></label>
							<input type="radio" name="importfrom" value="gmail" id="gmail" onclick="rse_change_carrier('gmail');"/>
							<label for="gmail"><img src="<?php echo JURI::root();?>components/com_rsevents/assets/images/gmail.png" border="0"/></label>
						</td>
					</tr>
					<tr>
						<td>
							<label for="username">
								<?php echo JText::_('RSE_USER_ID'); ?> : 
							</label>
						</td>
						<td>
							<input name="username" type="text" id="username"/><span id="rsevents-carrier">@yahoo.com</span>
						</td>
					</tr>
					<tr>
						<td>
							<label for="password">
								<?php echo JText::_('RSE_PASSWORD'); ?> : 
							</label>
						</td>
						<td>
							<input name="password" type="password" id="password" />
						</td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td>
							<button type="submit" onclick="return rsevents_import_validation();"><?php echo JText::_('RSE_IMPORT_NOW');?></button>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<?php if ($this->rseventsConfig['emails.invite.message']) { ?>
		<tr>
			<td><?php echo JText::_('RSE_INVITE_MESSAGE'); ?></td>
			<td><?php echo $this->editor->display('message','',400,300,50,10,(bool) $this->rseventsConfig['editor.buttons']); ?></td>
		</tr>
		<?php } ?>
		<tr>
			<td colspan="2">
				<table cellpadding="5" cellspacing="0" border="0">
					<tr>
						<td>
							<img id="captcha" src="index.php?option=com_rsevents&task=captcha&tmpl=component" onclick="javascript:reloadCaptcha()" />
						</td>
						<td>
							<span class="explain">
								<?php echo JText::_('RSFE_CAPTCHA_TEXT'); ?> 
									<br />
								<?php echo JText::_('RSFE_CAPTCHA_RELOAD'); ?>
							</span>
							<input type="text" id="secret" name="secret" value="" />
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<button type="submit" onclick="return rsevents_invite_validation('<?php echo JURI::root(); ?>');" style="float:left;"><?php echo JText::_('RSE_INVITE'); ?></button>
				<button type="button" style="float:left;" onclick="<?php echo $this->close(); ?>"><?php echo JText::_('RSE_CANCEL_BTN');?></button>
			</td>
		</tr>
	</table>
	
	<input name="typename" id="typename" type="hidden" value="yahoo">
	<input type="hidden" name="option" value="com_rsevents" />
	<input type="hidden" name="cid" value="<?php echo $this->data->IdEvent; ?>" />
	<input type="hidden" name="IdEvent" value="<?php echo $this->data->IdEvent; ?>" />
	<?php if ($this->data->EventType == 0) { ?>
	<input type="hidden" name="privateUrl" value="<?php echo $this->data->EventPrivateUrl; ?>" />
	<?php } ?>
	<input type="hidden" name="controller" value="events" />
	<input type="hidden" name="task" id="task" value="invite" />
	<?php echo JHTML::_( 'form.token' ); ?>
	
</form>
</div>
<div class="rsevents-clear"></div>