<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>
<?php if ($this->rseventsConfig['locations.gmaps'] == 1 && !empty($this->rseventsConfig['locations.gMaps.key'])) { ?>
<script type="text/javascript">
    function initialize() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map_canvas"));
		var geocoder = new GClientGeocoder();
        map.setCenter(new GLatLng(50.289339, -57.656250), 2);
        map.addControl(new GSmallMapControl());
        map.addControl(new GMapTypeControl());
    
        // Create a base icon for all of our markers that specifies the
        // shadow, icon dimensions, etc.
        var baseIcon = new GIcon(G_DEFAULT_ICON);
        baseIcon.shadow = "http://www.google.com/mapfiles/shadow50.png";
        baseIcon.iconSize = new GSize(20, 34);
        baseIcon.shadowSize = new GSize(37, 34);
        baseIcon.iconAnchor = new GPoint(9, 34);
        baseIcon.infoWindowAnchor = new GPoint(9, 2);
    
        // Creates a marker whose info window displays the event
        function createMarker(point, thetext) 
		{
          var theicon = new GIcon(baseIcon);
          theicon.image = "http://www.google.com/mapfiles/marker.png";
    
          // Set up our GMarkerOptions object
          markerOptions = { icon:theicon };
          var marker = new GMarker(point, markerOptions);
    
          GEvent.addListener(marker, "click", function() {
            marker.openInfoWindowHtml(" "+ thetext+ " ");
          });
          return marker;
        }
    
        // Add Events marker
		<?php if (!empty($this->data)) { ?>
		<?php foreach ($this->data as $location => $events) { ?>
		<?php $counter = count($events); ?>
		<?php $variable = 'i'.$location; ?>
		<?php $variable = 0; ?>
		<?php $degree = 0; ?>
		<?php foreach ($events as $event) { ?>
		<?php if ($variable > 0) $degree = $degree + 0.001; ?>
		<?php $text = '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($event->IdEvent,$event->EventName)).'">'.$this->escape($event->EventName).'</a> - '.$this->escape($event->LocationName).'<br /> '.JText::_('RSE_EVENTS_START_DATE',true).' '.rseventsHelper::translateDate(date($this->rseventsConfig['global.dateformat'],$event->EventStartDate)).' <br /> '.JText::_('RSE_EVENTS_END_DATE',true).' '.rseventsHelper::translateDate(date($this->rseventsConfig['global.dateformat'],$event->EventEndDate)); ?>
			<?php if (!empty($event->LocationLat) && !empty($event->LocationLon)) { ?>
				map.addOverlay(createMarker(new GLatLng(<?php echo ($event->LocationLat + $degree); ?> , <?php echo ($event->LocationLon + $degree); ?>), '<?php echo $text; ?>'));
			<?php } else { ?>
		geocoder.getLatLng("<?php echo $event->LocationAddress. ' '.$event->LocationCity; ?>",function(point)
		{
			if (point)
			{
				var lat = parseFloat(point.lat().toFixed(5));
				var degree = parseFloat('<?php echo $degree; ?>');
				var thelat = lat + degree;
				
				var lng = parseFloat(point.lng().toFixed(5));
				var thelng = lng + degree;
				
				map.addOverlay(createMarker(new GLatLng(thelat , thelng), '<?php echo $text; ?>'));
			}
		});
			<?php } ?>
		<?php $variable++; ?>
		<?php } ?>
		<?php } ?>
		<?php } ?>		
		
      }
    }
	window.addEvent("domready", function(){ initialize(); });
    </script>
<?php } ?>

<?php if (rseventsHelper::is16()) { ?>
	<?php if ($this->parameters->get('show_page_heading', 1)) { ?>
	<?php $title = $this->parameters->get('page_heading', ''); ?>
	<h1><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_EVENTS_MAP'); ?></h1>
	<?php } ?>
<?php } else { ?>
	<?php if ($this->parameters->get('show_page_title', 1)) { ?>
	<?php $title = $this->parameters->get('page_title', ''); ?>
	<div class="componentheading<?php echo $this->escape($this->parameters->get('pageclass_sfx')); ?>"><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_EVENTS_MAP'); ?></div>
	<?php } ?>
<?php } ?>
<br/>
<div id="map_canvas" style="width: 100%; height: 500px"></div>