<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
$theowner = $this->rseventsConfig['posted.by'] ? JFactory::getUser($this->data->IdUser)->name : JFactory::getUser($this->data->IdUser)->username;
?>

<div style="text-align:right;">
<a href="#" onclick="window.print();return false;" ><img src="<?php echo JURI::root().'components/com_rsevents/assets/images/print.png'; ?>" alt="<?php echo JText::_('RSE_MENU_EVENT_PRINT'); ?>" /></a>
<a href="#" onclick="window.close();" ><img src="<?php echo JURI::root().'components/com_rsevents/assets/images/close.png'; ?>" alt="Close" /></a>
</div>
<h1 style="text-align:center;"><?php echo '<i>&#8220;'. $this->escape($this->data->EventName).'&#8221;</i>'; ?></h1>

<table cellspacing="0" cellpadding="2" width="100%" style="padding:40px;" class="rse_table">
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_HOSTER').':';?> </strong> </td>
		<td width="75%"><?php echo $this->escape($this->data->EventHost); ?> </td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_OWNER');?> </strong> </td>
		<td width="75%"><?php echo $this->escape($theowner); ?></td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_STARTS_MESSAGE');?> </strong></td>
		<td width="75%"><?php echo rseventsHelper::translateDate(date($this->rseventsConfig['global.dateformat'],$this->data->EventStartDate)) ; ?></td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_ENDS_MESSAGE');?> </strong> </td>
		<td width="75%"><?php echo rseventsHelper::translateDate(date($this->rseventsConfig['global.dateformat'],$this->data->EventEndDate)); ?> </td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_LOCATION').':';?> </strong> </td>
		<td width="75%"><?php echo $this->data->LocationName; ?> </td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_ADDRESS').':';?> </strong> </td>
		<td width="75%"><?php echo $this->data->LocationAddress; ?> </td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_PHONE').':';?> </strong> </td>
		<td width="75%"><?php echo $this->data->EventPhone; ?> </td>
	</tr>
	<tr>
		<td><strong><?php echo JText::_('RSE_EVENT_EMAIL').':';?> </strong> </td>
		<td width="75%"><?php echo $this->data->EventEmail; ?> </td>
	</tr>
</table>
<div style="padding:0px 40px;">
	<?php echo $this->eventdescription;?>
</div>
<br/><br/>


<?php
	if (!empty($this->data->LocationLat) && !empty($this->data->LocationLon) && $this->rseventsConfig['locations.gmaps'] == 1)
	{
		$google_maps_lat_lng = '('.$this->data->LocationLat.', '.$this->data->LocationLon.')';
		$google_maps_lat_lng = str_replace(array('(', ')', ' '), '', $google_maps_lat_lng);
		$google_maps_zoom = $this->rseventsConfig['locations.gMaps.zoom'];
		switch($this->rseventsConfig['google.map'])
		{
			default:
			case 'G_NORMAL_MAP':
				$google_map_type = '&maptype=terrain';
			break;
			case 'G_HYBRID_MAP':
				$google_map_type = '&maptype=hybrid';
			break;
			case 'G_SATELLITE_MAP':
				$google_map_type = '&maptype=satellite';
			break;
		}

		echo '<p><img src="http://maps.google.com/maps/api/staticmap?center='.$google_maps_lat_lng.'&zoom='.$google_maps_zoom.$google_map_type.'&markers=%7c'.$google_maps_lat_lng.'&size=699x360&sensor=false" alt="Location" /></p>';
	}
?>