<?php 
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
?>
<h1><?php echo !empty($this->details->name) ? $this->details->name : JText::_('RSE_WIRE_METHOD'); ?></h1>

<?php if (!empty($this->details)) { ?>
<?php $tickets = $this->details->tickets; ?>
<?php $discount = $this->details->discount; ?>
<fieldset>
<table cellspacing="10" cellpadding="0" class="rse_table">
	<tr>
		<td><strong><?php echo JText::_('RSE_TICKETS_BIG').':'; ?></strong></td>
		<td>
			<?php $total = 0; ?>
			<?php if (!empty($tickets)) { 
				foreach ($tickets as $ticket) 
				{
					if (empty($ticket->TicketPrice))
						echo $ticket->TicketsSubscribed. ' x '.JText::_('RSE_TICKET_FREE'). '<br />';
					else
						echo $ticket->TicketsSubscribed. ' x '.$ticket->TicketPrice. ' ' .$this->rseventsConfig['payment.currency']. '<br />';
					
					if ($ticket->TicketPrice > 0)
						$total += ($ticket->TicketsSubscribed * $ticket->TicketPrice);
				}
			} 
			if (!empty($discount)) $total = $total - $discount;
			?>
		</td>
	</tr>
	
	<?php  if ($this->details->early_fee) { ?>
	<?php $total = $total - $this->details->early_fee; ?>
	<tr>
		<td><strong><?php echo JText::_('RSE_EARLY_FEE_DISCOUNT').':'; ?></strong></td>
		<td><?php echo number_format($this->details->early_fee,2,'.',',').' '.$this->rseventsConfig['payment.currency']; ?></td>
	</tr>
	<?php } ?>
	
	<?php if ($this->details->late_fee) { ?>
	<?php $total = $total + $this->details->late_fee; ?>
	<tr>
		<td><strong><?php echo JText::_('RSE_LATE_FEE').':'; ?></strong></td>
		<td><?php echo number_format($this->details->late_fee,2,'.',',').' '.$this->rseventsConfig['payment.currency']; ?></td>
	</tr>
	<?php } ?>
	
	<?php if (!empty($this->details->tax)) { ?>
	<?php $total = $total + $this->details->tax; ?>	
	<tr>
		<td><strong><?php echo JText::_('RSE_TICKET_TAX').':'; ?></strong></td>
		<td><?php echo number_format($this->details->tax,2,'.',',').' '.$this->rseventsConfig['payment.currency']; ?></td>
	</tr>
	<?php } ?>
	<?php if (!empty($discount)) { ?>
	<tr>
		<td><strong><?php echo JText::_('RSE_TICKET_DISCOUNT').':'; ?></strong></td>
		<td><?php echo number_format($discount,2,'.',',').' '.$this->rseventsConfig['payment.currency']; ?></td>
	</tr>
	<?php } ?>
	<tr>
		<td><strong><?php echo JText::_('RSE_TOTAL').':'; ?></strong></td>
		<td><?php echo number_format($total,2,'.',',').' '.$this->rseventsConfig['payment.currency']; ?></td>
	</tr>
</table>
</fieldset>
<?php } ?>

<br /><br />
<?php echo $this->wireDetails; ?>
<br /><br />

<?php if (!JRequest::getInt('noback',0)) { ?>
<?php $url = empty($this->redirect) ? rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($this->cid,$this->eventname),false) : $this->redirect; ?>
<button type="button" onclick="document.location='<?php echo $url; ?>'"><?php echo JText::_('RSE_BACK_BTN'); ?></button>
<?php } ?>