<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

class rseventsViewEvents extends JView
{
	//Creates the Event Feed

	function display( )
	{
		$doc		= & JFactory::getDocument();
		$db			= & JFactory::getDBO();
		$rseventsConfig = rseventsHelper::getConfig();

		// Get some data from the model
		$config =& JFactory::getConfig();
		JRequest::setVar('limit', $config->getValue('feed_limit'));
		$rows = & $this->get('data');

		foreach ( $rows as $row )
		{
			// strip html from feed item title
			$title = $this->escape( $row->EventName );
			$title = html_entity_decode( $title );

			$categs = '';
			$db->setQuery("SELECT c.CategoryName FROM #__rsevents_categories c LEFT JOIN #__rsevents_events_cat ec ON ec.IdCategory = c.IdCategory WHERE ec.IdEvent =".$row->IdEvent);
			$categs = $db->loadResultArray();
			$categs = implode(',',$categs);
			
			// strip html from feed item category
			$category = $this->escape( $categs );
			$category = html_entity_decode( $category );

			//Format date
			$startDate = date( $rseventsConfig['global.dateformat'], $row->EventStartDate );
			$endDate = date( $rseventsConfig['global.dateformat'], $row->EventEndDate);
			

			// url link to article
			// & used instead of &amp; as this is converted by feed creator
			$link = 'index.php?option=com_rsevents&view=events&layout=show&cid='. $row->IdEvent;
			$link = rseventsHelper::route( $link );

			$db->setQuery("SELECT LocationCity FROM #__rsevents_locations WHERE IdLocation = ".$row->IdLocation);
			$LocationCity = $db->loadResult();
			
			// feed item description text
			$description = JText::_( 'Title' ).': '.$this->escape($title).'<br />';
			$description .= JText::_( 'Location' ).': <strong>'.$this->escape($row->LocationName).'</strong> - '.$this->escape($LocationCity).'<br />';
			$description .= JText::_( 'Category' ).': '.$category.'<br />';
			$description .= JText::_( 'Date' ).': '.$startDate.' - '.$endDate.'<br />';
			$description .= JText::_( 'Description' ).': '.$row->EventDescription;

			@$created =  ($row->EventCreation == 0) ? date( 'r', $row->EventStartDate) : date( 'r', $row->EventCreation) ;

			// load individual item creator class
			$item = new JFeedItem();
			$item->title 		= $title;
			$item->link 		= $link;
			$item->description 	= $description;
			$item->date			= $created;
			$item->category   	= $category;

			// loads item info into rss array
			$doc->addItem( $item );
		}
	}
}
?>