<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<?php if (rseventsHelper::is16()) { ?>
	<?php if ($this->parameters->get('show_page_heading', 1)) { ?>
	<?php $title = $this->parameters->get('page_heading', ''); ?>
	<h1><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_LOCATIONS'); ?></h1>
	<?php } ?>
<?php } else { ?>
	<?php if ($this->parameters->get('show_page_title', 1)) { ?>
	<?php $title = $this->parameters->get('page_title', ''); ?>
	<div class="componentheading<?php echo $this->escape($this->parameters->get('pageclass_sfx')); ?>"><?php echo !empty($title) ? $this->escape($title) : JText::_('RSE_LOCATIONS'); ?></div>
	<?php } ?>
<?php } ?>
<br />


<form action="<?php echo rseventsHelper::route('index.php?option=com_rsevents&view=locations',false); ?>" method="post" name="adminForm">
<?php 
	$user =& JFactory::getUser();
	$n=count($this->data);
	for ($i=0;$i<$n;$i++)
	{
		$row =& $this->data[$i];
		if($row->published == '1')
		{
			
			$description = rseventsHelper::strip_html_tags($row->LocationDescription);
			$description = trim($description);
			$description = rseventsHelper::shortenjs($description,$row->RecordId);
			
			echo '<a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=listlocationevents&cid='.eventsHelper::sef($row->RecordId,$row->LocationName),false).'">'.$this->escape($row->LocationName).'</a>';
			if (@$this->permissions['enableEditLocation'] || $user->usertype == 'Super Administrator') echo ' - <small><a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=locations&layout=addeditlocation&cid='.$row->RecordId,false).'">'.JText::_('RSE_EDIT').'</a></small>';
			echo '<br/>';
			echo (empty($row->LocationDescription)) ? JText::_('RSE_LOCATION_NO_DESCRIPTION').'<br/><br/>' : $description.'<br/><br/>';
		}
	}
?>

<div class="rsevents-pagination pagination">
	<div class="pageslinks">
		<?php echo $this->pagination->getPagesLinks(); ?>
	</div>
	<p class="pagescounter">
		<?php echo $this->pagination->getPagesCounter(); ?>
	</p>
</div>
</form>