<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined('_JEXEC') or die('Restricted access');
?>

<?php if(empty($this->subscriptionsDetails)) echo JText::_('RSE_USER_HAS_NO_SUBSCRIPTIONS');  else {?>
<table class="rsevents-table-list" width="100%">
	<thead>
		<tr>
			<th><?php echo JText::_('RSE_EVENTNAME'); ?></th>
			<th><?php echo JText::_('RSE_STATUS'); ?></th>
			<th><?php echo JText::_('RSE_SUBSCRIPTION_DATE'); ?></th>
			<th><?php echo JText::_('RSE_SUBSCRIPTION_PAYMENT_STATUS'); ?></th>
		</tr>
	</thead>
	
	<tbody>
<?php
foreach ($this->subscriptionsDetails as $subscription) 
{
	$state = '';
	if($subscription->SubscriptionState == 1) $state = JText::_('RSE_SUBSCRIBER_ACCEPTED'); 
	if($subscription->SubscriptionState == 0) $state = JText::_('RSE_SUBSCRIBER_PENDING'); 
	if($subscription->SubscriptionState == -1) $state = JText::_('RSE_SUBSCRIBER_DENIED');
	
	$url = base64_decode($subscription->PaymentUrl);
	if (strpos($url,'?') !== false) $url .= '&noback=1'; else $url .= '?noback=1';
	
	echo  '<tr>'.
				'<td><a href="'.rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($subscription->IdEvent,$subscription->EventName),false).'">' . $this->escape($subscription->EventName) . '</a></td>' .
				'<td align="center">' . $state . '</td>' . 
				'<td align="center">' . rseventsHelper::translateDate(date($this->rseventsConfig['global.dateformat'],$subscription->SubscriptionDate)) . '</td>' .
				'<td align="center">';
				if (!empty($subscription->PaymentUrl))
				{
					if ($subscription->SubscriptionState == 1)
						echo JText::_('RSE_PAYMENT_COMPLETE');
					else
						echo '<a href="'.$url.'" target="_blank">' . JText::_('RSE_PAYMENT_INCOMPLETE') . '</a>';
				}
				
	echo		'</td>
			</tr>';
}	

?>
	</tbody>
</table>
<?php } ?>