<?php
/**
* @version 1.2.0
* @package RSEvents! 1.2.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); 
jimport( 'joomla.application.component.view');

class rseventsViewSubscriptions extends JView
{
	function display($tpl = null)
	{		
		$db 		=& JFactory::getDBO();
		$user 		=& JFactory::getUser();
		$mainframe  =& JFactory::getApplication();
		$userId 	= $this->get('SubscriptionUser');
		$pathway 	= & $mainframe->getPathWay();
		$layout		= JRequest::getCmd('layout','','request');
		
		if (rseventsHelper::is16())
			$groups = JAccess::getGroupsByUser($user->id);
		
		switch($layout)
		{	
			default:
			case '':
			case 'default':
			{
				$idevent		= JRequest::getInt('IdEvent',0,'request');
				$ticket_filter  = $mainframe->getUserStateFromRequest('com_rsevents.tf', 'ticket_filter', '');
				$state_filter   = $mainframe->getUserStateFromRequest('com_rsevents.sf', 'state_filter', '');
				
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent= '".$idevent."'");
				$eventname = $db->loadResult();
				
				$pathway->addItem(JText::_('RSE_BC_SUBSCRIPTION'). ' "'.$eventname.'"', '');
				
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userId)
				{
					$db->setQuery("SELECT IdTicket, TicketName  FROM #__rsevents_tickets WHERE IdEvent='".$idevent."'");

					$catlist[]			= JHTML::_('select.option',  '0', JText::_( 'RSE_SUBSCRIBER_SELECT_TICKET' ), 'IdTicket', 'TicketName' );
					$catlist			= array_merge( $catlist, $db->loadObjectList() );
					$lists['tickets']   = JHTML::_('select.genericlist', $catlist, 'ticket_filter', 'class="inputbox" size="1" onchange="submitbutton(\'listsubscriptions\');"','IdTicket', 'TicketName', $ticket_filter  );
					
					$state[] = JHTML::_('select.option',  '', JText::_( 'RSE_SUBSCRIBER_SELECT_STATE' ), 'value', 'text' );
					$state[] = JHTML::_('select.option',  '-1', JText::_( 'RSE_SUBSCRIBER_DENIED' ), 'value', 'text' );
					$state[] = JHTML::_('select.option',  '0', JText::_( 'RSE_SUBSCRIBER_PENDING' ), 'value', 'text' );
					$state[] = JHTML::_('select.option',  '1', JText::_( 'RSE_SUBSCRIBER_ACCEPTED' ), 'value', 'text' );
					$lists['state']      = JHTML::_('select.genericlist', $state, 'state_filter', 'class="inputbox" size="1" onchange="submitbutton(\'listsubscriptions\');"','value', 'text' , $state_filter  );
					
					$filter				= JRequest::getVar('rs_filter');
					$sortColumn			= JRequest::getVar('filter_order','s.SubscriptionDate');
					$sortOrder			= JRequest::getVar('filter_order_Dir','desc');
					$listSubscribers	= $this->get('data');
					$pagination			= $this->get('pagination');
					
					
					$this->assignRef('eventName',$eventname);
					$this->assignRef('filter',$filter);
					$this->assignRef('idEvent',$idevent);
					$this->assignRef('lists', $lists);
					$this->assignRef('sortColumn',$sortColumn);
					$this->assignRef('sortOrder',$sortOrder);
					$this->assignRef('data',$listSubscribers);
					$this->assignRef('pagination',$pagination);
				
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
			} break;
			
			case 'edit':
			{
				$cid		= JRequest::getInt('cid',0);
				$idevent 	= JRequest::getInt('IdEvent',0,'request');
				
				$db->setQuery("SELECT EventName FROM #__rsevents_events WHERE IdEvent= '".$idevent."'");
				$eventname = $db->loadResult();
				
				if($user->usertype == 'Super Administrator' || (rseventsHelper::is16() && in_array(8,$groups)) || $user->id == $userId)
				{
					$subscription=$this->get('Subscription');
					$this->assignRef('data',$subscription);
					$pathway->addItem(JText::_('RSE_BC_EDIT_SUBSCRIPTION'), '');
					
					$state[]       				 = JHTML::_('select.option',  '1', JText::_( 'RSE_SUBSCRIBER_ACCEPTED' ), 'value', 'text' );
					$state[]    				 = JHTML::_('select.option',  '0', JText::_( 'RSE_SUBSCRIBER_PENDING' ), 'value', 'text' );
					$state[]        			 = JHTML::_('select.option',  '-1', JText::_( 'RSE_SUBSCRIBER_DENIED' ), 'value', 'text' );
					$lists['changeStatus']       = JHTML::_('select.genericlist', $state, 'SubscriptionState', 'class="inputbox" size="1"','value', 'text', intval($subscription->SubscriptionState));
					
					$this->assignRef('lists',$lists);
					$this->assignRef('idEvent',$idevent);
					$this->assignRef('eventname',$eventname);
				
				} else $mainframe->redirect(rseventsHelper::route('index.php?option=com_rsevents&view=events&layout=show&cid='.eventsHelper::sef($idevent,$eventname),false),JText::_('RSE_ACCESS_DENIED'));
				
			} break;
			
			case 'mysubscriptions':
				
				$document =& JFactory::getDocument();
				
				$this->assignRef('rseventsConfig',rseventsHelper::getConfig());
				$subscriptionsDetails = $this->get('UserSubscriptions');
				$this->assignRef('subscriptionsDetails',$subscriptionsDetails);
				$parameters = clone($mainframe->getParams('com_rsevents'));
				
				if (rseventsHelper::is16())
				{
					if ($parameters->get('menu-meta_description'))
						$document->setDescription($parameters->get('menu-meta_description'));

					if ($parameters->get('menu-meta_keywords'))
						$document->setMetadata('keywords', $parameters->get('menu-meta_keywords'));

					if ($parameters->get('robots'))
						$document->setMetadata('robots', $parameters->get('robots'));
				}
				
			break;
		}
		parent::display($tpl);
	}
}