<?php
/**
* @version 1.0.0
* @package RSEvents! 1.0.0
* @copyright (C) 2009 www.rsjoomla.com
* @license GPL, http://www.gnu.org/copyleft/gpl.html
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

JHTML::_('behavior.tooltip');
require_once(JPATH_SITE.DS.'components'.DS.'com_rsevents'.DS.'helpers'.DS.'rsevents.php');

$params = & $params;

$db				= JFactory::getDBO();
$doc			= JFactory::getDocument();
$class_suffix	= $params->get('moduleclass_sfx');
$class_suffix	= (empty($class_suffix)) ? '' : '_'.$class_suffix;
$itid			= $params->get('itemid','');
$categ			= $params->get('categs','0');
$loc			= $params->get('locs','0');
$startd			= $params->get('startd','0');
$endd			= $params->get('endd','0');
$archive		= $params->get('archive',0);


$Itemid = JRequest::getInt('Itemid','','request');
if(!empty($Itemid))
{
	if($itid == '' || empty($itid)) $itemId =  '&Itemid='.$Itemid;
		else $itemId = '&Itemid='.$itid;
} else $itemId='';

if ($startd || $endd)
{
	$doc->addScriptDeclaration("window.addEvent('domready', function(){ rse_check_dates(); });");
	
	$script = "function rse_check_dates()\n{\n";
	if ($startd)
	{
		$script .= "
		if (document.getElementById('enablestart').checked)
		{
			document.getElementById('rseStartDate').disabled = false;
			document.getElementById('rseStartDate_img').style.display = '';
		}
		else
		{
			document.getElementById('rseStartDate').disabled = true;
			document.getElementById('rseStartDate_img').style.display = 'none';
		}";
	}
	
	if ($endd)
	{
		$script .= "
		if (document.getElementById('enableend').checked)
		{
			document.getElementById('rseEndDate').disabled = false;
			document.getElementById('rseEndDate_img').style.display = '';
		}
		else 
		{
			document.getElementById('rseEndDate').disabled = true;
			document.getElementById('rseEndDate_img').style.display = 'none';
		}";
	}
	$script .= "\n}\n";
	
	$doc->addScriptDeclaration($script);
}

//get categories
$extra_category = JHTML::_('select.option',  '0', JText::_( 'RSE_SEARCH_MODULE_ALL_CATEGORIES' ), 'value', 'text');
$categories = rseventsHelper::getCategories('IdCategory[]','size="3" multiple="multiple" style="width:75%"',0,$extra_category);

//get locations
$db->setQuery("SELECT IdLocation, LocationName  FROM #__rsevents_locations ORDER BY LocationName ASC");
$location[] = JHTML::_('select.option',  '0', JText::_( 'RSE_SEARCH_MODULE_ALL_LOCATIONS' ), 'IdLocation', 'LocationName');
$location = array_merge($location,$db->loadObjectList());
$locations      = JHTML::_('select.genericlist', $location, 'IdLocation[]', 'size="3" multiple="multiple" style="width:75%"','IdLocation', 'LocationName',0);


?>
<div class="event_search<?php echo $class_suffix; ?>">
<form action="<?php echo JRoute::_('index.php?option=com_rsevents&view=events&layout=search'.$itemId,false); ?>" method="post" >

<?php if($categ == 1) { ?>
<label for="IdCategory"><?php echo JText::_('RSE_SEARCH_MODULE_CATEGORIES'); ?></label>
<br/>
<?php echo $categories.'<br/>'; } ?>

<?php if($loc == 1) { ?>
<label for="IdLocation"><?php echo JText::_('RSE_SEARCH_MODULE_LOCATIONS'); ?></label>
<br/>
<?php echo $locations.'<br/>'; } ?>

<?php if($startd == 1) { ?>
<label for="rseStartDate"><?php echo JText::_('RSE_SEARCH_MODULE_STARTDATE'); ?></label>
<br/>
<input type="checkbox" class="hasTip" id="enablestart" value="1" title="<?php echo JText::_('RSE_SEARCH_MODULE_ENABLE_START_DATE'); ?>" onchange="rse_check_dates();" name="enablestart"/> <?php echo JHTML::_('calendar', date('Y-m-d'), "rseStartDate", "rseStartDate","%Y-%m-%d",'readonly="readonly" size="15"') . '<br/>'; } ?>

<?php if($endd == 1) { ?>
<label for="IdLocation"><?php echo JText::_('RSE_SEARCH_MODULE_ENDDATE'); ?></label>
<br/>
<input type="checkbox" class="hasTip" id="enableend" value="1" title="<?php echo JText::_('RSE_SEARCH_MODULE_ENABLE_END_DATE'); ?>" onchange="rse_check_dates();" name="enableend"/> <?php echo JHTML::_('calendar', date('Y-m-d'), "rseEndDate", "rseEndDate","%Y-%m-%d",'readonly="readonly" size="15"') . '<br/>'; } ?>

<?php if ($archive) { ?>
<label for="rse_archive"><?php echo JText::_('RSE_SEARCH_MODULE_ARCHIVE'); ?></label> 
<br/>
<?php echo JHTML::_('select.booleanlist','rse_archive','class="inputbox"',0); ?>
<br/>
<?php } ?>

<label for="rse_keyword"><?php echo JText::_('RSE_SEARCH_MODULE_KEYWORDS'); ?></label> 
<br/>
<input type="text" id="rse_keyword" name="rse_keyword" value="" style="width:90%" />
<br/><br/>
<button class="button" type="submit"><?php echo JText::_('RSE_SEARCH_MODULE_SEARCH_BUTTON'); ?></button>
</form>
</div>